/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.bean;

import java.net.InetAddress;

/**
 *
 * @author tskoda
 */
public interface Port {

    interface Security {

        boolean requireTls(InetAddress client);
    }

    interface Filter {

        boolean pass(InetAddress client);
    }

    interface Limit {

        boolean pass();

        void connected();

        void disconnected();

        int getLimit();
    }

    interface Listener {

        boolean connected(String serviceId, Boolean secure, String remoteAddress, int localPort);

        void disconnected(String serviceId, String remoteAddress, int localPort);
    }

    int getPort();

    String getIfc();

    String getHost();

    String getServiceName();

    boolean isSSL();

    Security getSecurity();

    boolean accept(InetAddress client);

    boolean connected(String remoteAddress, int remotePort);

    void disconnected(String remoteAddress, int remotePort);
}
