/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.common.error;

/**
 * Contains definitions of all possible ErrorCodes
 * @author tskoda
 */
public enum Code {
    
    /**
     * Everything went right, no error occurred.
     */
    OK,
    
    /**
     * When control user get disconnected.
     */
    CONTROL_DISCONNECTED,
    
    /**
     * An unknown error occurred.
     */
    UNKNOWN_ERROR,
    
    /**
     * An implementation of required interface not found. There are probalby missing jars
     * on classpath.
     */
    CLASS_PATH_ERROR,
    
    /**
     * Internal server error which can not be solved or ignored.
     */
    INTERNAL_SERVER_ERROR,
    
    /**
     * Command can not be processed. It might be in incorrect format.
     */
    COMMAND_ERROR,
    
    /**
     * Installation is not complete or some expected resource as database
     * or configuration files not found or corrupted.
     */
    RESOURCE_ERROR,
    
    EXT_SERVICE_ERROR,
    
    /**
     * When startup timeout reached.
     */
    TIMEOUT;
    
    
    
    

//    public static final int NO_ERROR = 0;
//    
//    
//    
//    /** Unknown error while initializing Kerio Connect Bridge */
//    public static final int BRIDGE_ERROR = 1010;
//    public static final int BRIDGE_INITIALIZATION_ERROR = 1011;
//    public static final int BRIDGE_ALREADY_INITIALIZED = 1012;
//    public static final int MANAGER_ALREADY_INITIALIZED = 1013;
//    //
//    public static final int LOG_ERROR = 1020;
//    public static final int LOG_NOT_A_FILE = 1021;
//    public static final int LOG_NOT_ACCESSIBLE = 1022;
//    public static final int LOG_CAN_NOT_CREATE_FILE = 1023;
//    public static final int LOG_CAN_NOT_OPEN_PIPE = 1024;
//    public static final int LOG_CAN_NOT_OPEN_FILE = 1025;
//    public static final int LOG_UNSUPPORTED_ENCODING = 1026;
//    public static final int LOG_UNKNOWN_LEVEL = 1027;
//    //
//    public static final int CONF_ERROR = 1030;
//    public static final int CONF_CAN_NOT_READ_CONFIGURATION = 1031;
//    /** Detected invalid or missing parameter value */
//    public static final int CONF_INVALID_PARAMETER = 1032;
//    public static final int CONF_MESSAGE_INVALID = 1033;
//    public static final int CONF_INVALID_COMMANDLINE = 103;
//    //
//    public static final int SESSION_ERROR = 1040;
//    public static final int SESSION_INVALID_URL = 1041;
//    public static final int SESSION_NOT_AUTHORIZED = 1042;
//    public static final int DOMAIN_ERROR = 1050;
//    public static final int DOMAIN_UKNOWN_PRIMARY = 1051;
//    //
//    public static final int CONNECT_ERROR = 1060;
//    public static final int CONNECT_MESSAGE_TOO_LONG = 1061;
//    public static final int CONNECT_INCOMPLETE_MESSAGE = 1062;
//    //Certificate problems
//    /** Certificate can not be loaded */
//    public static final int CERTIFICATE_ERROR = 1070;
//    //
//    public static final int AUTH_ERROR = 1080;
//    public static final int AUTH_MESSAGE_CORRUPTED = 1081;
//    
//    //
//    public static final int SYNC_ERROR = 1090;
//    
//
//    /** 
//     * Do not let anyone to instantiate this class. 
//     */
//    private Code() {
//    }
}
