/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.api;

import com.kerio.im.common.Key;
import java.io.File;

/**
 * Holds configuration values. Immutable class.
 *
 * @author tskoda
 */
public final class GlobalKey {

    /**
     * Key for refresh period property
     */
    //TODO move, rename it
    public static final Key<Integer> REFRESH_PERIOD_KEY = Key.with("bridge.refreshPeriod");
    /**
     * Key for server federation activity
     */
    //TODO move
    public static final Key<Boolean> S2S_ENABLED = Key.with("s2s.enabled");

    /**
     * Key for XMPP remote control port.
     */
    public static final Key<Integer> SERVICE_REMOTE_PORT = Key.with("service.im.remote.port");
    /**
     * Key for XMPP remote control port user.
     */
    public static final Key<String> SERVICE_REMOTE_LOGIN = Key.with("service.im.remote.login");
    /**
     * Key for XMPP remote control port domain.
     */
    public static final Key<String> SERVICE_REMOTE_DOMAIN = Key.with("service.im.remote.domain");
    /**
     * Key for directory where XMPP instance run.
     */
    public static final Key<File> SERVICE_DIR = new Key("service.dir");
    /**
     * Key for directory where all XMPP related data are stored.
     */
    public static final Key<File> DATA_DIR = new Key("data.dir");
    /**
     * Key for directory where XMPP archive is stored.
     */
    public static final Key<String> ARCHIVE_SUBDIR = Key.with("archive.subdir");
    /**
     * Key for single archive file size. Units are MB.
     */
    public static final Key<Long> ARCHIVE_FILE_LIMIT = Key.with("archive.size");
    /**
     * Key for server hostname.
     */
    public static final Key<String> HOSTNAME = Key.with("hostname");

    /**
     * Key for roster limitation.
     */
    public static final Key<Integer> ROSTER_LIMIT = Key.with("roster.maximum");
}
