/*
 *  Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.conversation.archive;

import java.io.File;
import java.io.IOException;
import java.util.Date;
import java.util.logging.Logger;

/**
 *
 * @author tskoda
 */
public class FileStoreWriterFactory {
    
    private static final Logger LOG = Logger.getLogger(FileStoreWriterFactory.class.getName());

    private final FileFactory fileManager;
    private final Long limit;

    FileStoreWriterFactory(FileFactory archiveFiles, Long limit) {
        this.fileManager = archiveFiles;
        this.limit = limit;
    }

    public FileStoreWriter create() throws IOException {
        return create(null);
    }

    public FileStoreWriter create(File file) throws IOException {
        if (file == null) {
            file = this.fileManager.next(new Date());
        }

        FileStoreWriter result = new FileStoreWriter(file, new FileStoreWriter.SizeCheck(file, limit));
        return result;
    }
}
