/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.logging;

import com.kerio.im.common.TypedProperties;
import java.util.logging.Filter;
import java.util.logging.Level;
import java.util.logging.LogRecord;

/**
 *
 * @author tskoda
 */
public class FileFilter implements Filter {

    private static final Level DEBUG_OFF = Level.WARNING;
    private final Level level;
    private boolean debug;

    protected FileFilter(TypedProperties properties) {
        this.debug = properties.get(LogKeys.DEBUG);
        this.level = properties.get(LogKeys.FILE_LEVEL);
    }

    @Override
    public boolean isLoggable(LogRecord lr) {

        Level filterLevel = debug ? this.level : DEBUG_OFF;
        boolean result = lr.getLevel().intValue() >= filterLevel.intValue();
        return result;
    }

    public void setDebug(boolean debug) {
        this.debug = debug;
    }
}
