/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.logging;

/**
 *
 * @author tskoda
 */
public class StanzaAnonymizer {

    //public static final String MESSAGE_OPEN = "<message";
    public static final String BODY_OPEN = "<body";
    public static final String HTML_OPEN = "<html";
    //public static final int BODY_OPEN_LENGTH = BODY_OPEN.length();
    public static final String BODY_CLOSE = "</body>";
    public static final String HTML_CLOSE = "</html>";
    public static final String AUTH_OPEN = "<auth";
    public static final String AUTH_CLOSE = "</auth>";
    
    public static final String CONTENT = ">...";
    public static final String INCOMPLETE_CONTENT = "...";

    public StanzaAnonymizer() {
    }

    public String anonymize(String loggerName, String message) {
        if (message.indexOf("body") >= 0) {
            StringBuilder sb = new StringBuilder(message);
            anonymize(sb, HTML_OPEN, HTML_CLOSE);
            anonymize(sb, BODY_OPEN, BODY_CLOSE);
            return sb.toString();
        } else if (message.indexOf("auth") >= 0) {
            StringBuilder sb = new StringBuilder(message);
            anonymize(sb, AUTH_OPEN, AUTH_CLOSE);
            return sb.toString();
        } else {
            return message;
        }

    }

    private void anonymize(StringBuilder sb, String startTag, String endTag) {

        int begin = sb.indexOf(startTag, 0);
        int end = sb.indexOf(endTag, 0);

        if (end >= 0) {

            if ((begin >= 0) && (begin < end)) {
                //beging...end
                sb.replace(begin + startTag.length(), end, CONTENT);
            } else {
                //...end
                sb.replace(0, end, INCOMPLETE_CONTENT);
            }
        } else if (begin >= 0) {
            //begin...
            sb.replace(begin + startTag.length(), sb.length(), CONTENT);
        }

    }
}
