/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.logging;

import java.io.IOException;
import java.io.OutputStream;

/**
 *
 * @author development
 */
class TraceFilterStream extends OutputStream {
    private boolean wasSpace = false;
    private OutputStream target;

    public TraceFilterStream(OutputStream target) {
        this.target = target;
    }

    @Override
    public void write(int b) throws IOException {
        if (b == 32 || b == 9 || b == 10 || b == 13) {
            if (!wasSpace) {
                target.write(32);
                wasSpace = true;
            }
        } else {
            target.write(b);
            wasSpace = false;
        }
    }

    @Override
    public void close() throws IOException {
        target.close();
    }
    
}
