/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.service;

import com.kerio.im.bean.Port;
import java.net.InetAddress;

/**
 *
 * @author tskoda
 */
public class Security implements Port.Security {
    
    public static Security required(boolean hasExceptions, CombinedFilter filter) {
        Security result = new Security();
        result.setRequired(hasExceptions, filter);
        return result;
    }
    
    public static Security optional() {
        Security result = new Security();
        result.setOptional();
        return result;
        
    }
    
    private boolean requireTLS;
    private boolean hasExceptions;
    private CombinedFilter filter;
    
    private Security() {
    }

    public boolean isRequireTLS() {
        return requireTLS;
    }
    
    public void setRequired(boolean hasExceptions, CombinedFilter filter) {
        this.requireTLS = Boolean.TRUE;
        this.hasExceptions = hasExceptions;
        this.filter = filter;
    }
    
    public void setOptional() {
        this.requireTLS = Boolean.FALSE;
        this.hasExceptions = Boolean.FALSE;
        this.filter = CombinedFilter.without();
    }
    
    @Override
    public boolean requireTls(InetAddress client) {
        if (this.requireTLS && this.hasExceptions) {
            return !this.filter.pass(client);
        } else {
            return this.requireTLS;
        }
    }

    @Override
    public String toString() {
        return "Security{" + "requireTLS=" + requireTLS + ", hasExceptions=" + hasExceptions + ", filter=" + filter + '}';
    }
    
    
}
