package com.kerio.im.core;

import static org.junit.Assert.assertNull;

import com.diffblue.deeptestutils.Reflector;
import com.kerio.im.core.api.service.AccessPolicyService;
import com.kerio.im.core.api.service.AuthService;
import com.kerio.im.core.api.service.ConfigurationService;
import com.kerio.im.core.api.service.ConversationService;
import com.kerio.im.core.api.service.GroupService;
import com.kerio.im.core.api.service.MessageService;
import com.kerio.im.core.api.service.SecurityService;
import com.kerio.im.core.api.service.ServiceBus;
import com.kerio.im.core.api.service.ThreadService;
import com.kerio.im.core.api.service.VCardService;
import com.kerio.im.core.auth.Authentication;
import com.kerio.im.core.auth.OfflineAuthentication;
import com.kerio.im.core.remote.RemoteControl;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class CoreRuntimeDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: CoreRuntime */
  // Test generated by Diffblue Deeptest.

  @Test
  public void accessPolicyOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    Reflector.setField(objectUnderTest, "remote", null);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", null);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final AccessPolicyService retval = objectUnderTest.accessPolicy();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void authOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    Reflector.setField(objectUnderTest, "remote", null);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", null);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final AuthService retval = objectUnderTest.auth();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void busOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    Reflector.setField(objectUnderTest, "remote", null);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", null);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final ServiceBus retval = objectUnderTest.bus();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void configurationOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    final RemoteControl remoteControl =
        (RemoteControl) Reflector.getInstance("com.kerio.im.core.remote.RemoteControl");
    final ErrorHandler errorHandler =
        (ErrorHandler) Reflector.getInstance("com.kerio.im.core.ErrorHandler");
    Reflector.setField(errorHandler, "shutdown", null);
    Reflector.setField(remoteControl, "errorHandler", errorHandler);
    Reflector.setField(remoteControl, "bus", null);
    Reflector.setField(objectUnderTest, "remote", remoteControl);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    final Authentication authentication =
        (Authentication) Reflector.getInstance("com.kerio.im.core.auth.Authentication");
    authentication.set(null);
    final OfflineAuthentication offlineAuthentication =
        (OfflineAuthentication)
            Reflector.getInstance("com.kerio.im.core.auth.OfflineAuthentication");
    final ErrorHandler errorHandler1 =
        (ErrorHandler) Reflector.getInstance("com.kerio.im.core.ErrorHandler");
    final Shutdown shutdown = (Shutdown) Reflector.getInstance("com.kerio.im.core.Shutdown");
    Reflector.setField(shutdown, "timeoutExecutor", null);
    Reflector.setField(shutdown, "threadPool", null);
    Reflector.setField(shutdown, "state", null);
    Reflector.setField(shutdown, "shutdownExecutor", null);
    Reflector.setField(shutdown, "bus", null);
    Reflector.setField(errorHandler1, "shutdown", shutdown);
    Reflector.setField(offlineAuthentication, "errorHandler", errorHandler1);
    Reflector.setField(offlineAuthentication, "domain", null);
    Reflector.setField(offlineAuthentication, "port", 0);
    Reflector.setField(offlineAuthentication, "login", null);
    Reflector.setField(authentication, "offlineAuth", offlineAuthentication);
    Reflector.setField(authentication, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", authentication);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final ConfigurationService retval = objectUnderTest.configuration();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void conversationsOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    Reflector.setField(objectUnderTest, "remote", null);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", null);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final ConversationService retval = objectUnderTest.conversations();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void errorsOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    Reflector.setField(objectUnderTest, "remote", null);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", null);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final ErrorHandler retval = objectUnderTest.errors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void groupsOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    Reflector.setField(objectUnderTest, "remote", null);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", null);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final GroupService retval = objectUnderTest.groups();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void messageOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    Reflector.setField(objectUnderTest, "remote", null);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", null);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final MessageService retval = objectUnderTest.message();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void securityServiceOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    Reflector.setField(objectUnderTest, "remote", null);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", null);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final SecurityService retval = objectUnderTest.securityService();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void threadsOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    Reflector.setField(objectUnderTest, "remote", null);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", null);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final ThreadService retval = objectUnderTest.threads();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void vcardsOutputNull() throws Exception {

    // Arrange
    final CoreRuntime objectUnderTest =
        (CoreRuntime) Reflector.getInstance("com.kerio.im.core.CoreRuntime");
    Reflector.setField(objectUnderTest, "errorHandler", null);
    Reflector.setField(objectUnderTest, "ciphersManager", null);
    Reflector.setField(objectUnderTest, "archive", null);
    Reflector.setField(objectUnderTest, "extService", null);
    Reflector.setField(objectUnderTest, "xmppService", null);
    Reflector.setField(objectUnderTest, "certificates", null);
    Reflector.setField(objectUnderTest, "backup", null);
    Reflector.setField(objectUnderTest, "vcards", null);
    Reflector.setField(objectUnderTest, "domains", null);
    Reflector.setField(objectUnderTest, "authManager", null);
    Reflector.setField(objectUnderTest, "configuration", null);
    Reflector.setField(objectUnderTest, "conversations", null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "ports", null);
    final RemoteControl remoteControl =
        (RemoteControl) Reflector.getInstance("com.kerio.im.core.remote.RemoteControl");
    final ErrorHandler errorHandler =
        (ErrorHandler) Reflector.getInstance("com.kerio.im.core.ErrorHandler");
    Reflector.setField(errorHandler, "shutdown", null);
    Reflector.setField(remoteControl, "errorHandler", errorHandler);
    Reflector.setField(remoteControl, "bus", null);
    Reflector.setField(objectUnderTest, "remote", remoteControl);
    Reflector.setField(objectUnderTest, "groups", null);
    Reflector.setField(objectUnderTest, "bus", null);
    final Authentication authentication =
        (Authentication) Reflector.getInstance("com.kerio.im.core.auth.Authentication");
    authentication.set(null);
    final OfflineAuthentication offlineAuthentication =
        (OfflineAuthentication)
            Reflector.getInstance("com.kerio.im.core.auth.OfflineAuthentication");
    final ErrorHandler errorHandler1 =
        (ErrorHandler) Reflector.getInstance("com.kerio.im.core.ErrorHandler");
    final Shutdown shutdown = (Shutdown) Reflector.getInstance("com.kerio.im.core.Shutdown");
    Reflector.setField(shutdown, "timeoutExecutor", null);
    final ThreadPool threadPool = new ThreadPool();
    Reflector.setField(threadPool, "threadFactory", null);
    Reflector.setField(threadPool, "pool", null);
    Reflector.setField(shutdown, "threadPool", threadPool);
    Reflector.setField(shutdown, "state", null);
    Reflector.setField(shutdown, "shutdownExecutor", null);
    Reflector.setField(shutdown, "bus", null);
    Reflector.setField(errorHandler1, "shutdown", shutdown);
    Reflector.setField(offlineAuthentication, "errorHandler", errorHandler1);
    Reflector.setField(offlineAuthentication, "domain", null);
    Reflector.setField(offlineAuthentication, "port", 0);
    Reflector.setField(offlineAuthentication, "login", null);
    Reflector.setField(authentication, "offlineAuth", offlineAuthentication);
    Reflector.setField(authentication, "bus", null);
    Reflector.setField(objectUnderTest, "offlineAuthManager", authentication);
    Reflector.setField(objectUnderTest, "logging", null);
    Reflector.setField(objectUnderTest, "threadPool", null);
    Reflector.setField(objectUnderTest, "accessPolicy", null);

    // Act
    final VCardService retval = objectUnderTest.vcards();

    // result
    assertNull(retval);
  }
}
