package com.kerio.im.core.cert;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;
import static org.mockito.AdditionalMatchers.or;
import static org.mockito.Matchers.anyBoolean;
import static org.mockito.Matchers.isA;
import static org.mockito.Matchers.isNull;

import com.diffblue.deeptestutils.Reflector;
import com.kerio.im.bean.Certificate;
import com.kerio.im.external.ExtService;
import java.lang.reflect.Method;
import java.util.HashMap;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class CertificatesDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: Certificates */
  // Test generated by Diffblue Deeptest.

  @Test
  public void access$000InputNotNullOutputNull() throws Exception {

    // Arrange
    final Certificates x0 =
        (Certificates) Reflector.getInstance("com.kerio.im.core.cert.Certificates");
    Reflector.setField(x0, "domains", null);
    Reflector.setField(x0, "extService", null);
    Reflector.setField(x0, "serverCertificates", null);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.cert.Certificates");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "access$000", Reflector.forName("com.kerio.im.core.cert.Certificates"));
    methodUnderTest.setAccessible(true);
    final CertificateStore retval = (CertificateStore) methodUnderTest.invoke(null, x0);

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(fullyQualifiedNames = {"com.kerio.im.core.cert.Certificates$2"})
  @Test
  public void handleInputNotNull0NotNullNotNullFalseFalseOutputFalse() throws Exception {

    // Arrange
    final Object objectUnderTest = Reflector.getInstance("com.kerio.im.core.cert.Certificates$2");
    Reflector.setField(objectUnderTest, "val$newCertificateId", null);
    final HashMap hashMap = new HashMap();
    hashMap.put(-268_435_456, 0);
    Reflector.setField(objectUnderTest, "val$result", hashMap);
    final Certificates certificates =
        (Certificates) Reflector.getInstance("com.kerio.im.core.cert.Certificates");
    Reflector.setField(certificates, "domains", null);
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(certificates, "extService", extService);
    final CertificateStore certificateStore =
        (CertificateStore) Reflector.getInstance("com.kerio.im.core.cert.CertificateStore");
    Reflector.setField(certificateStore, "defaultDomain", null);
    Reflector.setField(certificateStore, "certificates", null);
    Reflector.setField(certificates, "serverCertificates", certificateStore);
    Reflector.setField(objectUnderTest, "this$0", certificates);
    final String id = "";
    final java.util.HashSet<String> aliases = new java.util.HashSet<String>();
    final String certificate = "";
    final String key = "";
    final boolean isDefault = false;
    final boolean isValid = false;
    final Certificate certificate1 = PowerMockito.mock(Certificate.class);
    PowerMockito.whenNew(Certificate.class)
        .withParameterTypes(String.class, boolean.class, String.class, String.class)
        .withArguments(
            or(isA(String.class), isNull(String.class)),
            anyBoolean(),
            or(isA(String.class), isNull(String.class)),
            or(isA(String.class), isNull(String.class)))
        .thenReturn(certificate1);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.cert.Certificates$2");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "handle",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.util.Set"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("boolean"),
            Reflector.forName("boolean"));
    methodUnderTest.setAccessible(true);
    final boolean retval =
        (boolean)
            methodUnderTest.invoke(
                objectUnderTest, id, aliases, certificate, key, isDefault, isValid);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void processInputNotNullOutputFalse() throws Exception {

    // Arrange
    final Object objectUnderTest = Reflector.getInstance("com.kerio.im.core.cert.Certificates$2");
    Reflector.setField(objectUnderTest, "val$newCertificateId", "?");
    Reflector.setField(objectUnderTest, "val$result", null);
    Reflector.setField(objectUnderTest, "this$0", null);
    final String id = "";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.cert.Certificates$2");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod("process", Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, id);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void processInputNotNullOutputTrue() throws Exception {

    // Arrange
    final Object objectUnderTest = Reflector.getInstance("com.kerio.im.core.cert.Certificates$1");
    Reflector.setField(objectUnderTest, "this$0", null);
    final String id = "";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.cert.Certificates$1");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod("process", Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, id);

    // result
    assertEquals(true, retval);
  }
}
