package com.kerio.im.core.configuration;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.mockito.AdditionalMatchers.or;
import static org.mockito.Matchers.isA;
import static org.mockito.Matchers.isNull;

import com.diffblue.deeptestutils.Reflector;
import com.diffblue.deeptestutils.mock.DTUMemberMatcher;
import com.kerio.im.common.Key;
import com.kerio.im.common.TypedProperties;
import com.kerio.im.core.api.service.ServiceBus;
import java.io.File;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.Map;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.api.mockito.expectation.PowerMockitoStubber;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class StoreConfigurationDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: StoreConfiguration */
  // Test generated by Diffblue Deeptest.
  @PrepareForTest(TypedProperties.class)
  @Test
  public void allOutputNotNull() throws Exception {

    // Setup mocks
    PowerMockito.mockStatic(TypedProperties.class);

    // Arrange
    final StoreConfiguration objectUnderTest =
        (StoreConfiguration)
            Reflector.getInstance("com.kerio.im.core.configuration.StoreConfiguration");
    Reflector.setField(objectUnderTest, "properties", null);
    final TypedProperties typedProperties = PowerMockito.mock(TypedProperties.class);
    final Method asCopyMethod =
        DTUMemberMatcher.method(TypedProperties.class, "asCopy", TypedProperties.class);
    PowerMockito.doReturn(typedProperties)
        .when(TypedProperties.class, asCopyMethod)
        .withArguments(or(isA(TypedProperties.class), isNull(TypedProperties.class)));

    // Act
    final TypedProperties retval = objectUnderTest.all();

    // result
    assertNotNull(retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({TypedProperties.class, File.class})
  @Test
  public void cmdInput1OutputIllegalArgumentException() throws Throwable {

    // Setup mocks
    PowerMockito.mockStatic(TypedProperties.class);

    // Arrange
    final StoreConfiguration objectUnderTest =
        (StoreConfiguration)
            Reflector.getInstance("com.kerio.im.core.configuration.StoreConfiguration");
    final TypedProperties typedProperties = PowerMockito.mock(TypedProperties.class);
    Reflector.setField(objectUnderTest, "properties", typedProperties);
    final HashMap<String, String> cmdProperties = new HashMap<String, String>();
    cmdProperties.put(null, null);
    final File file = PowerMockito.mock(File.class);
    PowerMockito.when(file.getAbsolutePath()).thenReturn("!");
    PowerMockito.when(file.isDirectory()).thenReturn(false);
    Reflector.setField(file, "prefixLength", 0);
    Reflector.setField(file, "path", null);
    final Method fileMethod =
        DTUMemberMatcher.method(TypedProperties.class, "file", Key.class, Map.class);
    PowerMockito.doReturn(file)
        .when(TypedProperties.class, fileMethod)
        .withArguments(
            or(isA(Key.class), isNull(Key.class)), or(isA(Map.class), isNull(Map.class)));

    // Act
    thrown.expect(IllegalArgumentException.class);
    try {
      final Class<?> classUnderTest =
          Reflector.forName("com.kerio.im.core.configuration.StoreConfiguration");
      final Method methodUnderTest =
          classUnderTest.getDeclaredMethod("cmd", Reflector.forName("java.util.Map"));
      methodUnderTest.setAccessible(true);
      methodUnderTest.invoke(objectUnderTest, cmdProperties);
    } catch (InvocationTargetException ex) {
      throw ex.getCause();
    }

    // Method is not expected to return due to exception thrown
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({TypedProperties.class, File.class})
  @Test
  public void cmdInput1OutputIllegalArgumentException2() throws Throwable {

    // Setup mocks
    PowerMockito.mockStatic(TypedProperties.class);

    // Arrange
    final StoreConfiguration objectUnderTest =
        (StoreConfiguration)
            Reflector.getInstance("com.kerio.im.core.configuration.StoreConfiguration");
    final TypedProperties typedProperties = PowerMockito.mock(TypedProperties.class);
    Reflector.setField(objectUnderTest, "properties", typedProperties);
    final HashMap<String, String> cmdProperties = new HashMap<String, String>();
    cmdProperties.put(null, null);
    final File file1 = PowerMockito.mock(File.class);
    PowerMockito.when(file1.getAbsolutePath()).thenReturn(" ");
    PowerMockito.when(file1.isDirectory()).thenReturn(false);
    Reflector.setField(file1, "prefixLength", 1);
    Reflector.setField(file1, "path", "/   ");
    final File file = PowerMockito.mock(File.class);
    PowerMockito.when(file.isDirectory()).thenReturn(true);
    Reflector.setField(file, "prefixLength", 0);
    Reflector.setField(file, "path", null);
    final Method fileMethod =
        DTUMemberMatcher.method(TypedProperties.class, "file", Key.class, Map.class);
    ((PowerMockitoStubber) PowerMockito.doReturn(file).doReturn(file1))
        .when(TypedProperties.class, fileMethod)
        .withArguments(
            or(isA(Key.class), isNull(Key.class)), or(isA(Map.class), isNull(Map.class)));

    // Act
    thrown.expect(IllegalArgumentException.class);
    try {
      final Class<?> classUnderTest =
          Reflector.forName("com.kerio.im.core.configuration.StoreConfiguration");
      final Method methodUnderTest =
          classUnderTest.getDeclaredMethod("cmd", Reflector.forName("java.util.Map"));
      methodUnderTest.setAccessible(true);
      methodUnderTest.invoke(objectUnderTest, cmdProperties);
    } catch (InvocationTargetException ex) {
      throw ex.getCause();
    }

    // Method is not expected to return due to exception thrown
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({TypedProperties.class, StoreConfiguration.class, File.class})
  @Test
  public void constructorInput1NotNullOutputIllegalArgumentException() throws Exception {

    // Setup mocks
    PowerMockito.mockStatic(TypedProperties.class);

    // Arrange
    final HashMap<String, String> cmdProperties = new HashMap<String, String>();
    cmdProperties.put(null, null);
    final ServiceBus bus =
        (ServiceBus) Reflector.getInstance("com.kerio.im.core.api.service.ServiceBus");
    final TypedProperties typedProperties = PowerMockito.mock(TypedProperties.class);
    PowerMockito.whenNew(TypedProperties.class).withNoArguments().thenReturn(typedProperties);
    final File file = PowerMockito.mock(File.class);
    PowerMockito.when(file.getAbsolutePath()).thenReturn("");
    PowerMockito.when(file.isDirectory()).thenReturn(false);
    Reflector.setField(file, "prefixLength", 0);
    Reflector.setField(file, "path", null);
    final Method fileMethod =
        DTUMemberMatcher.method(TypedProperties.class, "file", Key.class, Map.class);
    PowerMockito.doReturn(file)
        .when(TypedProperties.class, fileMethod)
        .withArguments(
            or(isA(Key.class), isNull(Key.class)), or(isA(Map.class), isNull(Map.class)));

    // Act, creating object to test constructor
    thrown.expect(IllegalArgumentException.class);
    final StoreConfiguration objectUnderTest = new StoreConfiguration(cmdProperties, bus);

    // Method is not expected to return due to exception thrown
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(TypedProperties.class)
  @Test
  public void getInputNotNullOutputZero() throws Exception {

    // Arrange
    final StoreConfiguration objectUnderTest =
        (StoreConfiguration)
            Reflector.getInstance("com.kerio.im.core.configuration.StoreConfiguration");
    final TypedProperties typedProperties = PowerMockito.mock(TypedProperties.class);
    final Method getMethod = DTUMemberMatcher.method(TypedProperties.class, "get", Key.class);
    PowerMockito.doReturn(0)
        .when(typedProperties, getMethod)
        .withArguments(or(isA(Key.class), isNull(Key.class)));
    Reflector.setField(objectUnderTest, "properties", typedProperties);
    final Key key = (Key) Reflector.getInstance("com.kerio.im.common.Key");

    // Act
    final Object retval = objectUnderTest.get(key);

    // result
    assertEquals(new Integer(0), retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(TypedProperties.class)
  @Test
  public void getInputNotNullZeroOutputZero() throws Exception {

    // Arrange
    final StoreConfiguration objectUnderTest =
        (StoreConfiguration)
            Reflector.getInstance("com.kerio.im.core.configuration.StoreConfiguration");
    final TypedProperties typedProperties = PowerMockito.mock(TypedProperties.class);
    final Method getMethod =
        DTUMemberMatcher.method(TypedProperties.class, "get", Key.class, Object.class);
    PowerMockito.doReturn(0)
        .when(typedProperties, getMethod)
        .withArguments(
            or(isA(Key.class), isNull(Key.class)), or(isA(Object.class), isNull(Object.class)));
    Reflector.setField(objectUnderTest, "properties", typedProperties);
    final Key key = (Key) Reflector.getInstance("com.kerio.im.common.Key");
    final Object defValue = 0;

    // Act
    final Object retval = objectUnderTest.get(key, defValue);

    // result
    assertEquals(new Integer(0), retval);
  }
}
