package com.kerio.im.core.conversation;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import com.diffblue.deeptestutils.Reflector;
import com.diffblue.deeptestutils.mock.DTUMemberMatcher;
import java.io.File;
import java.io.IOException;
import java.lang.reflect.Method;
import java.sql.Connection;
import org.apache.derby.jdbc.EmbeddedDataSource40;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class DerbyConnectionFactoryDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: DerbyConnectionFactory */
  // Test generated by Diffblue Deeptest.

  @Test
  public void createInputNotNullOutputNotNull() throws Exception {

    // Arrange
    final DerbyDestination destination =
        (DerbyDestination) Reflector.getInstance("com.kerio.im.core.conversation.DerbyDestination");
    final File file = PowerMockito.mock(File.class);
    Reflector.setField(file, "prefixLength", 0);
    Reflector.setField(file, "path", null);
    Reflector.setField(destination, "database", file);
    Reflector.setField(destination, "parent", null);
    Reflector.setField(destination, "exists", null);

    // Act
    final DerbyConnectionFactory retval = DerbyConnectionFactory.create(destination);

    // result
    assertNotNull(retval);
    assertNotNull(Reflector.getInstanceField(retval, "derbyConnectioFactory"));
    assertNotNull(Reflector.getInstanceField(retval, "destination"));
    assertNotNull(
        Reflector.getInstanceField(Reflector.getInstanceField(retval, "destination"), "database"));
    assertEquals(
        0,
        Reflector.getInstanceField(
            Reflector.getInstanceField(
                Reflector.getInstanceField(retval, "destination"), "database"),
            "prefixLength"));
    assertNull(
        Reflector.getInstanceField(
            Reflector.getInstanceField(
                Reflector.getInstanceField(retval, "destination"), "database"),
            "path"));
    assertNull(
        Reflector.getInstanceField(Reflector.getInstanceField(retval, "destination"), "parent"));
    assertNull(
        Reflector.getInstanceField(Reflector.getInstanceField(retval, "destination"), "exists"));
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(
      fullyQualifiedNames = {
        "com.kerio.im.core.conversation.DerbyConnectionFactory$DerbyConnectionFactoryImpl"
      },
      value = {EmbeddedDataSource40.class})
  @Test
  public void newConnectionInputNotNullOutputNotNull() throws Exception {

    // Arrange
    final DerbyConnectionFactory.DerbyConnectionFactoryImpl objectUnderTest =
        new DerbyConnectionFactory.DerbyConnectionFactoryImpl();
    final String path = "";
    final EmbeddedDataSource40 embeddedDataSource40 = PowerMockito.mock(EmbeddedDataSource40.class);
    final Connection connection = (Connection) Reflector.getInstance("java.sql.Connection");
    final Method getConnectionMethod =
        DTUMemberMatcher.method(EmbeddedDataSource40.class, "getConnection");
    PowerMockito.doReturn(connection)
        .when(embeddedDataSource40, getConnectionMethod)
        .withNoArguments();
    PowerMockito.whenNew(EmbeddedDataSource40.class)
        .withNoArguments()
        .thenReturn(embeddedDataSource40);

    // Act
    final Connection retval = objectUnderTest.newConnection(path);

    // result
    assertNotNull(retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(
      fullyQualifiedNames = {
        "com.kerio.im.core.conversation.DerbyConnectionFactory$DerbyConnectionFactoryImpl"
      },
      value = {EmbeddedDataSource40.class, File.class})
  @Test
  public void newConnectionOutputNotNull() throws Exception {

    // Arrange
    final DerbyConnectionFactory objectUnderTest =
        (DerbyConnectionFactory)
            Reflector.getInstance("com.kerio.im.core.conversation.DerbyConnectionFactory");
    final DerbyConnectionFactory.DerbyConnectionFactoryImpl
        derbyConnectionFactory$DerbyConnectionFactoryImpl =
            new DerbyConnectionFactory.DerbyConnectionFactoryImpl();
    Reflector.setField(
        objectUnderTest,
        "derbyConnectioFactory",
        derbyConnectionFactory$DerbyConnectionFactoryImpl);
    final DerbyDestination derbyDestination =
        (DerbyDestination) Reflector.getInstance("com.kerio.im.core.conversation.DerbyDestination");
    final File file = PowerMockito.mock(File.class);
    PowerMockito.when(file.getAbsolutePath()).thenReturn("");
    Reflector.setField(file, "prefixLength", 0);
    Reflector.setField(file, "path", "");
    Reflector.setField(derbyDestination, "database", file);
    Reflector.setField(derbyDestination, "parent", null);
    Reflector.setField(derbyDestination, "exists", null);
    Reflector.setField(objectUnderTest, "destination", derbyDestination);
    final EmbeddedDataSource40 embeddedDataSource40 = PowerMockito.mock(EmbeddedDataSource40.class);
    final Connection connection = (Connection) Reflector.getInstance("java.sql.Connection");
    final Method getConnectionMethod =
        DTUMemberMatcher.method(EmbeddedDataSource40.class, "getConnection");
    PowerMockito.doReturn(connection)
        .when(embeddedDataSource40, getConnectionMethod)
        .withNoArguments();
    PowerMockito.whenNew(EmbeddedDataSource40.class)
        .withNoArguments()
        .thenReturn(embeddedDataSource40);

    // Act
    final Connection retval = objectUnderTest.newConnection();

    // result
    assertNotNull(retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(
      fullyQualifiedNames = {
        "com.kerio.im.core.conversation.DerbyConnectionFactory$DerbyConnectionFactoryImpl"
      },
      value = {EmbeddedDataSource40.class, File.class})
  @Test
  public void openOutputFalse() throws Exception {

    // Arrange
    final DerbyConnectionFactory objectUnderTest =
        (DerbyConnectionFactory)
            Reflector.getInstance("com.kerio.im.core.conversation.DerbyConnectionFactory");
    final DerbyConnectionFactory.DerbyConnectionFactoryImpl
        derbyConnectionFactory$DerbyConnectionFactoryImpl =
            new DerbyConnectionFactory.DerbyConnectionFactoryImpl();
    Reflector.setField(
        objectUnderTest,
        "derbyConnectioFactory",
        derbyConnectionFactory$DerbyConnectionFactoryImpl);
    final DerbyDestination derbyDestination =
        (DerbyDestination) Reflector.getInstance("com.kerio.im.core.conversation.DerbyDestination");
    final File file = PowerMockito.mock(File.class);
    PowerMockito.when(file.getAbsolutePath()).thenReturn("").thenReturn("").thenReturn("");
    Reflector.setField(file, "prefixLength", 0);
    Reflector.setField(file, "path", "");
    Reflector.setField(derbyDestination, "database", file);
    final File file1 = PowerMockito.mock(File.class);
    Reflector.setField(file1, "prefixLength", 0);
    Reflector.setField(file1, "path", "");
    Reflector.setField(derbyDestination, "parent", file1);
    Reflector.setField(derbyDestination, "exists", true);
    Reflector.setField(objectUnderTest, "destination", derbyDestination);
    final EmbeddedDataSource40 embeddedDataSource40 = PowerMockito.mock(EmbeddedDataSource40.class);
    final Connection connection = (Connection) Reflector.getInstance("java.sql.Connection");
    final Method getConnectionMethod =
        DTUMemberMatcher.method(EmbeddedDataSource40.class, "getConnection");
    PowerMockito.doReturn(connection)
        .when(embeddedDataSource40, getConnectionMethod)
        .withNoArguments();
    PowerMockito.whenNew(EmbeddedDataSource40.class)
        .withNoArguments()
        .thenReturn(embeddedDataSource40);

    // Act
    final boolean retval = objectUnderTest.open();

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void openOutputIOException() throws Exception {

    // Arrange
    final DerbyConnectionFactory objectUnderTest =
        (DerbyConnectionFactory)
            Reflector.getInstance("com.kerio.im.core.conversation.DerbyConnectionFactory");
    Reflector.setField(objectUnderTest, "derbyConnectioFactory", null);
    final DerbyDestination derbyDestination =
        (DerbyDestination) Reflector.getInstance("com.kerio.im.core.conversation.DerbyDestination");
    final File file = PowerMockito.mock(File.class);
    Reflector.setField(file, "prefixLength", 0);
    Reflector.setField(file, "path", "");
    Reflector.setField(derbyDestination, "database", file);
    final File file1 = PowerMockito.mock(File.class);
    Reflector.setField(file1, "prefixLength", 0);
    Reflector.setField(file1, "path", "");
    Reflector.setField(derbyDestination, "parent", file1);
    Reflector.setField(derbyDestination, "exists", null);
    Reflector.setField(objectUnderTest, "destination", derbyDestination);

    // Act
    thrown.expect(IOException.class);
    objectUnderTest.open();

    // Method is not expected to return due to exception thrown
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(
      fullyQualifiedNames = {
        "com.kerio.im.core.conversation.DerbyConnectionFactory$DerbyConnectionFactoryImpl"
      },
      value = {EmbeddedDataSource40.class, File.class})
  @Test
  public void openOutputTrue() throws Exception {

    // Arrange
    final DerbyConnectionFactory objectUnderTest =
        (DerbyConnectionFactory)
            Reflector.getInstance("com.kerio.im.core.conversation.DerbyConnectionFactory");
    final DerbyConnectionFactory.DerbyConnectionFactoryImpl
        derbyConnectionFactory$DerbyConnectionFactoryImpl =
            new DerbyConnectionFactory.DerbyConnectionFactoryImpl();
    Reflector.setField(
        objectUnderTest,
        "derbyConnectioFactory",
        derbyConnectionFactory$DerbyConnectionFactoryImpl);
    final DerbyDestination derbyDestination =
        (DerbyDestination) Reflector.getInstance("com.kerio.im.core.conversation.DerbyDestination");
    final File file = PowerMockito.mock(File.class);
    PowerMockito.when(file.getAbsolutePath()).thenReturn("").thenReturn("").thenReturn("");
    Reflector.setField(file, "prefixLength", 0);
    Reflector.setField(file, "path", "");
    Reflector.setField(derbyDestination, "database", file);
    final File file1 = PowerMockito.mock(File.class);
    Reflector.setField(file1, "prefixLength", 0);
    Reflector.setField(file1, "path", "");
    Reflector.setField(derbyDestination, "parent", file1);
    Reflector.setField(derbyDestination, "exists", false);
    Reflector.setField(objectUnderTest, "destination", derbyDestination);
    final EmbeddedDataSource40 embeddedDataSource40 = PowerMockito.mock(EmbeddedDataSource40.class);
    final Connection connection = (Connection) Reflector.getInstance("java.sql.Connection");
    final Method getConnectionMethod =
        DTUMemberMatcher.method(EmbeddedDataSource40.class, "getConnection");
    PowerMockito.doReturn(connection)
        .when(embeddedDataSource40, getConnectionMethod)
        .withNoArguments();
    PowerMockito.whenNew(EmbeddedDataSource40.class)
        .withNoArguments()
        .thenReturn(embeddedDataSource40);

    // Act
    final boolean retval = objectUnderTest.open();

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(
      fullyQualifiedNames = {
        "com.kerio.im.core.conversation.DerbyConnectionFactory$DerbyConnectionFactoryImpl"
      },
      value = {EmbeddedDataSource40.class})
  @Test
  public void shutdownConnectionInputNotNullOutputNotNull() throws Exception {

    // Arrange
    final DerbyConnectionFactory.DerbyConnectionFactoryImpl objectUnderTest =
        new DerbyConnectionFactory.DerbyConnectionFactoryImpl();
    final String path = "";
    final EmbeddedDataSource40 embeddedDataSource40 = PowerMockito.mock(EmbeddedDataSource40.class);
    final Connection connection = (Connection) Reflector.getInstance("java.sql.Connection");
    final Method getConnectionMethod =
        DTUMemberMatcher.method(EmbeddedDataSource40.class, "getConnection");
    PowerMockito.doReturn(connection)
        .when(embeddedDataSource40, getConnectionMethod)
        .withNoArguments();
    PowerMockito.whenNew(EmbeddedDataSource40.class)
        .withNoArguments()
        .thenReturn(embeddedDataSource40);

    // Act
    final Connection retval = objectUnderTest.shutdownConnection(path);

    // result
    assertNotNull(retval);
  }
}
