package com.kerio.im.core.domain;

import static org.junit.Assert.assertEquals;

import com.diffblue.deeptestutils.Reflector;
import com.diffblue.deeptestutils.mock.DTUMemberMatcher;
import com.kerio.im.bean.Domain;
import com.kerio.im.core.api.service.ServiceBus;
import com.kerio.im.xmpp.api.XmppDomains;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.Set;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.api.mockito.expectation.PowerMockitoStubber;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class DomainControlDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: DomainControl */
  // Test generated by Diffblue Deeptest.
  @PrepareForTest(Domain.class)
  @Test
  public void addInputNotNullOutputFalse() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    final ServiceBus serviceBus =
        (ServiceBus) Reflector.getInstance("com.kerio.im.core.api.service.ServiceBus");
    Reflector.setField(objectUnderTest, "bus", serviceBus);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    hashMap.put("", null);
    Reflector.setField(objectUnderTest, "current", hashMap);
    final Domain domain = PowerMockito.mock(Domain.class);
    Reflector.setField(objectUnderTest, "serviceDomain", domain);
    final XmppDomains xmppDomains =
        (XmppDomains) Reflector.getInstance("com.kerio.im.xmpp.api.XmppDomains");
    Reflector.setField(objectUnderTest, "xmppDomains", xmppDomains);
    final Domain addedDomain = PowerMockito.mock(Domain.class);
    final Method getNameMethod = DTUMemberMatcher.method(Domain.class, "getName");
    PowerMockito.doReturn("").when(addedDomain, getNameMethod).withNoArguments();

    // Act
    final boolean retval = objectUnderTest.add(addedDomain);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({XmppDomains.class, ServiceBus.class, Domain.class})
  @Test
  public void addInputNotNullOutputTrue() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    final ServiceBus serviceBus = PowerMockito.mock(ServiceBus.class);
    Reflector.setField(objectUnderTest, "bus", serviceBus);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    Reflector.setField(objectUnderTest, "current", hashMap);
    final Domain domain = PowerMockito.mock(Domain.class);
    Reflector.setField(objectUnderTest, "serviceDomain", domain);
    final XmppDomains xmppDomains = PowerMockito.mock(XmppDomains.class);
    Reflector.setField(objectUnderTest, "xmppDomains", xmppDomains);
    final Domain addedDomain = PowerMockito.mock(Domain.class);
    final Method getNameMethod = DTUMemberMatcher.method(Domain.class, "getName");
    ((PowerMockitoStubber) PowerMockito.doReturn("").doReturn("").doReturn("?"))
        .when(addedDomain, getNameMethod)
        .withNoArguments();

    // Act
    final boolean retval = objectUnderTest.add(addedDomain);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void allExceptServiceOutput0() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    final ServiceBus serviceBus =
        (ServiceBus) Reflector.getInstance("com.kerio.im.core.api.service.ServiceBus");
    Reflector.setField(objectUnderTest, "bus", serviceBus);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    Reflector.setField(objectUnderTest, "current", hashMap);
    final Domain domain = (Domain) Reflector.getInstance("com.kerio.im.bean.Domain");
    Reflector.setField(objectUnderTest, "serviceDomain", domain);
    Reflector.setField(objectUnderTest, "xmppDomains", null);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.domain.DomainControl");
    final Method methodUnderTest = classUnderTest.getDeclaredMethod("allExceptService");
    methodUnderTest.setAccessible(true);
    final Set<Domain> retval = (Set<Domain>) methodUnderTest.invoke(objectUnderTest);

    // result
    final java.util.HashSet<Domain> hashSet = new java.util.HashSet<Domain>();
    assertEquals(hashSet, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(Domain.class)
  @Test
  public void checkInputNotNullOutputFalse() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    final ServiceBus serviceBus =
        (ServiceBus) Reflector.getInstance("com.kerio.im.core.api.service.ServiceBus");
    Reflector.setField(objectUnderTest, "bus", serviceBus);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    final Domain domain1 = PowerMockito.mock(Domain.class);
    hashMap.put("R", domain1);
    Reflector.setField(objectUnderTest, "current", hashMap);
    final Domain domain2 = PowerMockito.mock(Domain.class);
    final Method getNameMethod = DTUMemberMatcher.method(Domain.class, "getName");
    PowerMockito.doReturn("\\").when(domain2, getNameMethod).withNoArguments();
    Reflector.setField(objectUnderTest, "serviceDomain", domain2);
    Reflector.setField(objectUnderTest, "xmppDomains", null);
    final Domain domain = PowerMockito.mock(Domain.class);
    final Method getNameMethod1 = DTUMemberMatcher.method(Domain.class, "getName");
    PowerMockito.doReturn("\\").when(domain, getNameMethod1).withNoArguments();

    // Act
    final boolean retval = objectUnderTest.check(domain);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(Domain.class)
  @Test
  public void checkInputNotNullOutputTrue() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    Reflector.setField(objectUnderTest, "bus", null);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    final Domain domain1 = PowerMockito.mock(Domain.class);
    hashMap.put("<", domain1);
    Reflector.setField(objectUnderTest, "current", hashMap);
    final Domain domain2 = PowerMockito.mock(Domain.class);
    final Method getNameMethod = DTUMemberMatcher.method(Domain.class, "getName");
    PowerMockito.doReturn("^").when(domain2, getNameMethod).withNoArguments();
    Reflector.setField(objectUnderTest, "serviceDomain", domain2);
    Reflector.setField(objectUnderTest, "xmppDomains", null);
    final Domain domain = PowerMockito.mock(Domain.class);
    final Method getNameMethod1 = DTUMemberMatcher.method(Domain.class, "getName");
    ((PowerMockitoStubber) PowerMockito.doReturn("\\").doReturn("R").doReturn("<"))
        .when(domain, getNameMethod1)
        .withNoArguments();

    // Act
    final boolean retval = objectUnderTest.check(domain);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({ServiceBus.class, Domain.class})
  @Test
  public void checkInputNotNullOutputTrue2() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    final ServiceBus serviceBus = PowerMockito.mock(ServiceBus.class);
    Reflector.setField(objectUnderTest, "bus", serviceBus);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    final Domain domain1 = PowerMockito.mock(Domain.class);
    hashMap.put("R", domain1);
    Reflector.setField(objectUnderTest, "current", hashMap);
    final Domain domain2 = PowerMockito.mock(Domain.class);
    final Method getNameMethod = DTUMemberMatcher.method(Domain.class, "getName");
    PowerMockito.doReturn("^").when(domain2, getNameMethod).withNoArguments();
    Reflector.setField(objectUnderTest, "serviceDomain", domain2);
    Reflector.setField(objectUnderTest, "xmppDomains", null);
    final Domain domain = PowerMockito.mock(Domain.class);
    final Method getNameMethod1 = DTUMemberMatcher.method(Domain.class, "getName");
    ((PowerMockitoStubber) PowerMockito.doReturn("\\").doReturn("R"))
        .when(domain, getNameMethod1)
        .withNoArguments();

    // Act
    final boolean retval = objectUnderTest.check(domain);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void countOutputZero() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    Reflector.setField(objectUnderTest, "bus", null);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    Reflector.setField(objectUnderTest, "current", hashMap);
    Reflector.setField(objectUnderTest, "serviceDomain", null);
    Reflector.setField(objectUnderTest, "xmppDomains", null);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.domain.DomainControl");
    final Method methodUnderTest = classUnderTest.getDeclaredMethod("count");
    methodUnderTest.setAccessible(true);
    final int retval = (int) methodUnderTest.invoke(objectUnderTest);

    // result
    assertEquals(0, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isLocalDomainInputNotNullOutputFalse() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    Reflector.setField(objectUnderTest, "bus", null);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    Reflector.setField(objectUnderTest, "current", hashMap);
    Reflector.setField(objectUnderTest, "serviceDomain", null);
    final XmppDomains xmppDomains =
        (XmppDomains) Reflector.getInstance("com.kerio.im.xmpp.api.XmppDomains");
    Reflector.setField(objectUnderTest, "xmppDomains", xmppDomains);
    final String domain = "";

    // Act
    final boolean retval = objectUnderTest.isLocalDomain(domain);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(Domain.class)
  @Test
  public void removeInputNotNullOutputFalse() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    Reflector.setField(objectUnderTest, "bus", null);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    hashMap.put("", null);
    Reflector.setField(objectUnderTest, "current", hashMap);
    final Domain domain = PowerMockito.mock(Domain.class);
    final Method getNameMethod = DTUMemberMatcher.method(Domain.class, "getName");
    PowerMockito.doReturn("").when(domain, getNameMethod).withNoArguments();
    Reflector.setField(objectUnderTest, "serviceDomain", domain);
    Reflector.setField(objectUnderTest, "xmppDomains", null);
    final String removedDomainName = "";

    // Act
    final boolean retval = objectUnderTest.remove(removedDomainName);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({XmppDomains.class, Domain.class})
  @Test
  public void removeInputNotNullOutputTrue() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    Reflector.setField(objectUnderTest, "bus", null);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    Reflector.setField(objectUnderTest, "current", hashMap);
    final Domain domain = PowerMockito.mock(Domain.class);
    final Method getNameMethod = DTUMemberMatcher.method(Domain.class, "getName");
    PowerMockito.doReturn("").when(domain, getNameMethod).withNoArguments();
    Reflector.setField(objectUnderTest, "serviceDomain", domain);
    final XmppDomains xmppDomains = PowerMockito.mock(XmppDomains.class);
    Reflector.setField(objectUnderTest, "xmppDomains", xmppDomains);
    final String removedDomainName = "????";

    // Act
    final boolean retval = objectUnderTest.remove(removedDomainName);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({XmppDomains.class, ServiceBus.class, Domain.class})
  @Test
  public void removeInputNotNullOutputTrue2() throws Exception {

    // Arrange
    final DomainControl objectUnderTest =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    final ServiceBus serviceBus = PowerMockito.mock(ServiceBus.class);
    Reflector.setField(objectUnderTest, "bus", serviceBus);
    final HashMap<String, Domain> hashMap = new HashMap<String, Domain>();
    final Domain domain = PowerMockito.mock(Domain.class);
    hashMap.put("????", domain);
    Reflector.setField(objectUnderTest, "current", hashMap);
    final Domain domain1 = PowerMockito.mock(Domain.class);
    final Method getNameMethod = DTUMemberMatcher.method(Domain.class, "getName");
    PowerMockito.doReturn("").when(domain1, getNameMethod).withNoArguments();
    Reflector.setField(objectUnderTest, "serviceDomain", domain1);
    final XmppDomains xmppDomains = PowerMockito.mock(XmppDomains.class);
    Reflector.setField(objectUnderTest, "xmppDomains", xmppDomains);
    final String removedDomainName = "????";

    // Act
    final boolean retval = objectUnderTest.remove(removedDomainName);

    // result
    assertEquals(true, retval);
  }
}
