package com.kerio.im.core.service;

import static org.junit.Assert.assertEquals;
import static org.mockito.AdditionalMatchers.or;
import static org.mockito.Matchers.anyBoolean;
import static org.mockito.Matchers.anyInt;
import static org.mockito.Matchers.isA;
import static org.mockito.Matchers.isNull;

import com.diffblue.deeptestutils.Reflector;
import com.diffblue.deeptestutils.mock.DTUMemberMatcher;
import com.kerio.im.external.ExtService;
import java.lang.reflect.Method;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class ConnectionListenerDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: ConnectionListener */
  // Test generated by Diffblue Deeptest.

  @Test
  public void connectedInputNotNullTrueNotNullNegativeOutputTrue() throws Exception {

    // Arrange
    final ConnectionListener objectUnderTest =
        (ConnectionListener) Reflector.getInstance("com.kerio.im.core.service.ConnectionListener");
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(objectUnderTest, "extService", extService);
    final String serviceId = "";
    final Boolean secure = true;
    final String remoteAddress = "!";
    final int remotePort = -2_147_483_648;

    // Act
    final boolean retval = objectUnderTest.connected(serviceId, secure, remoteAddress, remotePort);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void connectedInputNotNullTrueNotNullPositiveOutputTrue() throws Exception {

    // Arrange
    final ConnectionListener objectUnderTest =
        (ConnectionListener) Reflector.getInstance("com.kerio.im.core.service.ConnectionListener");
    Reflector.setField(objectUnderTest, "extService", null);
    final String serviceId = "";
    final Boolean secure = true;
    final String remoteAddress = "!";
    final int remotePort = 524_288;

    // Act
    final boolean retval = objectUnderTest.connected(serviceId, secure, remoteAddress, remotePort);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(ExtService.class)
  @Test
  public void connectedInputNotNullTrueNotNullPositiveOutputTrue2() throws Exception {

    // Arrange
    final ConnectionListener objectUnderTest =
        (ConnectionListener) Reflector.getInstance("com.kerio.im.core.service.ConnectionListener");
    final ExtService extService = PowerMockito.mock(ExtService.class);
    final Method connectMethod =
        DTUMemberMatcher.method(
            ExtService.class,
            "connect",
            String.class,
            String.class,
            String.class,
            int.class,
            boolean.class);
    PowerMockito.doReturn(false)
        .when(extService, connectMethod)
        .withArguments(
            or(isA(String.class), isNull(String.class)),
            or(isA(String.class), isNull(String.class)),
            or(isA(String.class), isNull(String.class)),
            anyInt(),
            anyBoolean());
    Reflector.setField(objectUnderTest, "extService", extService);
    final String serviceId = "";
    final Boolean secure = true;
    final String remoteAddress = "!";
    final int remotePort = 1;

    // Act
    final boolean retval = objectUnderTest.connected(serviceId, secure, remoteAddress, remotePort);

    // result
    assertEquals(true, retval);
  }
}
