package com.kerio.im.core.service;

import static org.mockito.AdditionalMatchers.or;
import static org.mockito.Matchers.anyLong;
import static org.mockito.Matchers.isA;
import static org.mockito.Matchers.isNull;

import com.diffblue.deeptestutils.Reflector;
import com.diffblue.deeptestutils.mock.DTUMemberMatcher;
import com.kerio.im.core.ThreadPool;
import com.kerio.im.core.api.service.MessageService.ResponseHandler;
import com.kerio.im.core.api.service.ServiceBus;
import com.kerio.im.core.api.service.ThreadService.ShutdownListener;
import com.kerio.im.core.domain.DomainControl;
import com.kerio.im.core.domain.Domains;
import com.kerio.im.core.remote.CommandEvent;
import com.kerio.im.core.remote.RemoteControl;
import com.kerio.im.xmpp.api.event.PingEvent;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import org.json.JSONObject;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.api.mockito.expectation.PowerMockitoStubber;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class EventPingDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: EventPing */
  // Test generated by Diffblue Deeptest.
  @PrepareForTest(PingEvent.class)
  @Test
  public void access$200InputNotNullNotNullOutputVoid() throws Exception {

    // Arrange
    final EventPing x0 = (EventPing) Reflector.getInstance("com.kerio.im.core.service.EventPing");
    final RemoteControl remoteControl =
        (RemoteControl) Reflector.getInstance("com.kerio.im.core.remote.RemoteControl");
    Reflector.setField(remoteControl, "errorHandler", null);
    Reflector.setField(remoteControl, "bus", null);
    Reflector.setField(x0, "remoteControl", remoteControl);
    Reflector.setField(x0, "domains", null);
    final HashMap<String, CommandEvent> hashMap = new HashMap<String, CommandEvent>();
    hashMap.put("", null);
    Reflector.setField(x0, "pending", hashMap);
    Reflector.setField(x0, "bus", null);
    final ThreadPool threadPool = new ThreadPool();
    Reflector.setField(threadPool, "threadFactory", null);
    Reflector.setField(threadPool, "pool", null);
    Reflector.setField(x0, "pool", threadPool);
    final PingEvent x1 = PowerMockito.mock(PingEvent.class);
    final Method getIdMethod = DTUMemberMatcher.method(PingEvent.class, "getId");
    PowerMockito.doReturn("").when(x1, getIdMethod).withNoArguments();

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.service.EventPing");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "access$200",
            Reflector.forName("com.kerio.im.core.service.EventPing"),
            Reflector.forName("com.kerio.im.xmpp.api.event.PingEvent"));
    methodUnderTest.setAccessible(true);
    methodUnderTest.invoke(null, x0, x1);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void constructorInputNotNullNullNullNotNullOutputNullPointerException() throws Exception {

    // Arrange
    final Domains domains = (Domains) Reflector.getInstance("com.kerio.im.core.domain.Domains");
    final DomainControl domainControl =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    Reflector.setField(domainControl, "bus", null);
    Reflector.setField(domainControl, "current", null);
    Reflector.setField(domainControl, "serviceDomain", null);
    Reflector.setField(domainControl, "xmppDomains", null);
    Reflector.setField(domains, "domainControl", domainControl);
    final ServiceBus bus = null;
    final ThreadPool pool = null;
    final RemoteControl remoteControl =
        (RemoteControl) Reflector.getInstance("com.kerio.im.core.remote.RemoteControl");
    Reflector.setField(remoteControl, "errorHandler", null);
    Reflector.setField(remoteControl, "bus", null);

    // Act, creating object to test constructor
    thrown.expect(NullPointerException.class);
    final EventPing objectUnderTest = new EventPing(domains, bus, pool, remoteControl);

    // Method is not expected to return due to exception thrown
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void eventInputNotNullOutputVoid3() throws Exception {

    // Arrange
    final EventPing objectUnderTest =
        (EventPing) Reflector.getInstance("com.kerio.im.core.service.EventPing");
    Reflector.setField(objectUnderTest, "remoteControl", null);
    final Domains domains = (Domains) Reflector.getInstance("com.kerio.im.core.domain.Domains");
    final DomainControl domainControl =
        (DomainControl) Reflector.getInstance("com.kerio.im.core.domain.DomainControl");
    Reflector.setField(domainControl, "bus", null);
    Reflector.setField(domainControl, "current", null);
    Reflector.setField(domainControl, "serviceDomain", null);
    Reflector.setField(domainControl, "xmppDomains", null);
    Reflector.setField(domains, "domainControl", domainControl);
    Reflector.setField(objectUnderTest, "domains", domains);
    final HashMap<String, CommandEvent> hashMap = new HashMap<String, CommandEvent>();
    hashMap.put(null, null);
    Reflector.setField(objectUnderTest, "pending", hashMap);
    final ServiceBus serviceBus =
        (ServiceBus) Reflector.getInstance("com.kerio.im.core.api.service.ServiceBus");
    Reflector.setField(objectUnderTest, "bus", serviceBus);
    Reflector.setField(objectUnderTest, "pool", null);
    final CommandEvent event =
        (CommandEvent) Reflector.getInstance("com.kerio.im.core.remote.CommandEvent");
    Reflector.setField(event, "fail", false);
    Reflector.setField(event, "responseHandler", null);
    Reflector.setField(event, "async", false);
    Reflector.setField(event, "failMessage", null);
    Reflector.setField(event, "id", null);
    Reflector.setField(event, "type", "get");
    final HashMap<String, String> hashMap1 = new HashMap<String, String>();
    hashMap1.put("t!", null);
    Reflector.setField(event, "content", hashMap1);
    final HashMap<String, String> hashMap2 = new HashMap<String, String>();
    hashMap2.put(null, null);
    Reflector.setField(event, "response", hashMap2);

    // Act
    objectUnderTest.event(event);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({ThreadPool.class, EventPing.class, ServiceBus.class, PingEvent.class})
  @Test
  public void requestInputNotNullNotNullNotNullOutputVoid() throws Exception {

    // Setup mocks
    PowerMockito.mockStatic(PingEvent.class);

    // Arrange
    final EventPing objectUnderTest =
        (EventPing) Reflector.getInstance("com.kerio.im.core.service.EventPing");
    final RemoteControl remoteControl =
        (RemoteControl) Reflector.getInstance("com.kerio.im.core.remote.RemoteControl");
    Reflector.setField(remoteControl, "errorHandler", null);
    Reflector.setField(remoteControl, "bus", null);
    Reflector.setField(objectUnderTest, "remoteControl", remoteControl);
    Reflector.setField(objectUnderTest, "domains", null);
    final HashMap<String, CommandEvent> hashMap = new HashMap<String, CommandEvent>();
    Reflector.setField(objectUnderTest, "pending", hashMap);
    final ServiceBus serviceBus = PowerMockito.mock(ServiceBus.class);
    Reflector.setField(objectUnderTest, "bus", serviceBus);
    final ThreadPool threadPool = new ThreadPool();
    Reflector.setField(threadPool, "threadFactory", null);
    final ScheduledExecutorService scheduledExecutorService =
        (ScheduledExecutorService)
            Reflector.getInstance("java.util.concurrent.ScheduledExecutorService");
    Reflector.setField(threadPool, "pool", scheduledExecutorService);
    Reflector.setField(objectUnderTest, "pool", threadPool);
    final String domain = "  ";
    final String server = "        ";
    final CommandEvent request =
        (CommandEvent) Reflector.getInstance("com.kerio.im.core.remote.CommandEvent");
    Reflector.setField(request, "fail", false);
    Reflector.setField(request, "responseHandler", null);
    Reflector.setField(request, "async", false);
    Reflector.setField(request, "failMessage", null);
    Reflector.setField(request, "id", null);
    Reflector.setField(request, "type", null);
    final HashMap<String, String> hashMap1 = new HashMap<String, String>();
    hashMap1.put(null, null);
    Reflector.setField(request, "content", hashMap1);
    final HashMap<String, String> hashMap2 = new HashMap<String, String>();
    hashMap2.put(null, null);
    Reflector.setField(request, "response", hashMap2);
    final ShutdownListener shutdownListener = PowerMockito.mock(ShutdownListener.class);
    PowerMockito.whenNew(ShutdownListener.class)
        .withParameterTypes(ScheduledFuture.class)
        .withArguments(or(isA(ScheduledFuture.class), isNull(ScheduledFuture.class)))
        .thenReturn(shutdownListener);
    final PingEvent pingEvent = PowerMockito.mock(PingEvent.class);
    final Method getSenderMethod = DTUMemberMatcher.method(PingEvent.class, "getSender");
    PowerMockito.doReturn("        ").when(pingEvent, getSenderMethod).withNoArguments();
    final Method getRecipientMethod = DTUMemberMatcher.method(PingEvent.class, "getRecipient");
    PowerMockito.doReturn("        ").when(pingEvent, getRecipientMethod).withNoArguments();
    final Method getIdMethod = DTUMemberMatcher.method(PingEvent.class, "getId");
    ((PowerMockitoStubber) PowerMockito.doReturn("        ").doReturn("").doReturn("!!!!!!!!!!"))
        .when(pingEvent, getIdMethod)
        .withNoArguments();
    PowerMockito.whenNew(PingEvent.class)
        .withParameterTypes(PingEvent.Type.class, String.class, String.class, String.class)
        .withArguments(
            or(isA(PingEvent.Type.class), isNull(PingEvent.Type.class)),
            or(isA(String.class), isNull(String.class)),
            or(isA(String.class), isNull(String.class)),
            or(isA(String.class), isNull(String.class)))
        .thenReturn(pingEvent);
    final Method getPingIdMethod =
        DTUMemberMatcher.method(PingEvent.class, "getPingId", long.class);
    PowerMockito.doReturn("        ")
        .when(PingEvent.class, getPingIdMethod)
        .withArguments(anyLong());

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.service.EventPing");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "request",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("com.kerio.im.core.remote.CommandEvent"));
    methodUnderTest.setAccessible(true);
    methodUnderTest.invoke(objectUnderTest, domain, server, request);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(
      fullyQualifiedNames = {"com.kerio.im.core.api.service.MessageService$ResponseHandler"},
      value = {RemoteControl.class, JSONObject.class, PingEvent.class})
  @Test
  public void responseInputNotNullOutputVoid2() throws Exception {

    // Arrange
    final EventPing objectUnderTest =
        (EventPing) Reflector.getInstance("com.kerio.im.core.service.EventPing");
    final RemoteControl remoteControl =
        (RemoteControl) Reflector.getInstance("com.kerio.im.core.remote.RemoteControl");
    Reflector.setField(remoteControl, "errorHandler", null);
    final ServiceBus serviceBus =
        (ServiceBus) Reflector.getInstance("com.kerio.im.core.api.service.ServiceBus");
    Reflector.setField(remoteControl, "bus", serviceBus);
    Reflector.setField(objectUnderTest, "remoteControl", remoteControl);
    Reflector.setField(objectUnderTest, "domains", null);
    final HashMap<String, CommandEvent> hashMap = new HashMap<String, CommandEvent>();
    final CommandEvent commandEvent =
        (CommandEvent) Reflector.getInstance("com.kerio.im.core.remote.CommandEvent");
    Reflector.setField(commandEvent, "fail", true);
    final ResponseHandler responseHandler = PowerMockito.mock(ResponseHandler.class);
    Reflector.setField(commandEvent, "responseHandler", responseHandler);
    Reflector.setField(commandEvent, "async", false);
    Reflector.setField(commandEvent, "failMessage", "");
    Reflector.setField(commandEvent, "id", "");
    Reflector.setField(commandEvent, "type", null);
    final HashMap<String, String> hashMap1 = new HashMap<String, String>();
    hashMap1.put("", "");
    Reflector.setField(commandEvent, "content", hashMap1);
    final HashMap<String, String> hashMap2 = new HashMap<String, String>();
    Reflector.setField(commandEvent, "response", hashMap2);
    hashMap.put("???", commandEvent);
    Reflector.setField(objectUnderTest, "pending", hashMap);
    Reflector.setField(objectUnderTest, "bus", null);
    Reflector.setField(objectUnderTest, "pool", null);
    final PingEvent response = PowerMockito.mock(PingEvent.class);
    final Method getSenderMethod = DTUMemberMatcher.method(PingEvent.class, "getSender");
    PowerMockito.doReturn("").when(response, getSenderMethod).withNoArguments();
    final PingEvent.Type type =
        (PingEvent.Type) Reflector.getInstance("com.kerio.im.xmpp.api.event.PingEvent$Type");
    final Method getTypeMethod = DTUMemberMatcher.method(PingEvent.class, "getType");
    PowerMockito.doReturn(type).when(response, getTypeMethod).withNoArguments();
    final Method getRecipientMethod = DTUMemberMatcher.method(PingEvent.class, "getRecipient");
    PowerMockito.doReturn("").when(response, getRecipientMethod).withNoArguments();
    final Method getIdMethod = DTUMemberMatcher.method(PingEvent.class, "getId");
    PowerMockito.doReturn("???").when(response, getIdMethod).withNoArguments();
    final JSONObject jSONObject4 = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject6 = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject5 = PowerMockito.mock(JSONObject.class);
    final Method putMethod1 =
        DTUMemberMatcher.method(JSONObject.class, "put", String.class, Object.class);
    ((PowerMockitoStubber) PowerMockito.doReturn(jSONObject5).doReturn(jSONObject6))
        .when(jSONObject4, putMethod1)
        .withArguments(
            or(isA(String.class), isNull(String.class)),
            or(isA(Object.class), isNull(Object.class)));
    final JSONObject jSONObject = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject3 = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject2 = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject1 = PowerMockito.mock(JSONObject.class);
    final Method putMethod =
        DTUMemberMatcher.method(JSONObject.class, "put", String.class, Object.class);
    ((PowerMockitoStubber)
            PowerMockito.doReturn(jSONObject1).doReturn(jSONObject2).doReturn(jSONObject3))
        .when(jSONObject, putMethod)
        .withArguments(
            or(isA(String.class), isNull(String.class)),
            or(isA(Object.class), isNull(Object.class)));
    final Method toStringMethod = DTUMemberMatcher.method(JSONObject.class, "toString");
    PowerMockito.doReturn("").when(jSONObject, toStringMethod).withNoArguments();
    PowerMockito.whenNew(JSONObject.class)
        .withNoArguments()
        .thenReturn(jSONObject)
        .thenReturn(jSONObject4);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.service.EventPing");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "response", Reflector.forName("com.kerio.im.xmpp.api.event.PingEvent"));
    methodUnderTest.setAccessible(true);
    methodUnderTest.invoke(objectUnderTest, response);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(
      fullyQualifiedNames = {"com.kerio.im.core.api.service.MessageService$ResponseHandler"},
      value = {RemoteControl.class, JSONObject.class, PingEvent.class})
  @Test
  public void responseInputNotNullOutputVoid3() throws Exception {

    // Arrange
    final EventPing objectUnderTest =
        (EventPing) Reflector.getInstance("com.kerio.im.core.service.EventPing");
    final RemoteControl remoteControl =
        (RemoteControl) Reflector.getInstance("com.kerio.im.core.remote.RemoteControl");
    Reflector.setField(remoteControl, "errorHandler", null);
    Reflector.setField(remoteControl, "bus", null);
    Reflector.setField(objectUnderTest, "remoteControl", remoteControl);
    Reflector.setField(objectUnderTest, "domains", null);
    final HashMap<String, CommandEvent> hashMap = new HashMap<String, CommandEvent>();
    final CommandEvent commandEvent =
        (CommandEvent) Reflector.getInstance("com.kerio.im.core.remote.CommandEvent");
    Reflector.setField(commandEvent, "fail", false);
    final ResponseHandler responseHandler = PowerMockito.mock(ResponseHandler.class);
    Reflector.setField(commandEvent, "responseHandler", responseHandler);
    Reflector.setField(commandEvent, "async", false);
    Reflector.setField(commandEvent, "failMessage", null);
    Reflector.setField(commandEvent, "id", null);
    Reflector.setField(commandEvent, "type", null);
    Reflector.setField(commandEvent, "content", null);
    final HashMap<String, String> hashMap1 = new HashMap<String, String>();
    Reflector.setField(commandEvent, "response", hashMap1);
    hashMap.put(null, commandEvent);
    Reflector.setField(objectUnderTest, "pending", hashMap);
    Reflector.setField(objectUnderTest, "bus", null);
    final ThreadPool threadPool = new ThreadPool();
    Reflector.setField(threadPool, "threadFactory", null);
    Reflector.setField(threadPool, "pool", null);
    Reflector.setField(objectUnderTest, "pool", threadPool);
    final PingEvent response = PowerMockito.mock(PingEvent.class);
    final Method getSenderMethod = DTUMemberMatcher.method(PingEvent.class, "getSender");
    PowerMockito.doReturn(null).when(response, getSenderMethod).withNoArguments();
    final Method getRecipientMethod = DTUMemberMatcher.method(PingEvent.class, "getRecipient");
    PowerMockito.doReturn(null).when(response, getRecipientMethod).withNoArguments();
    final Method getIdMethod = DTUMemberMatcher.method(PingEvent.class, "getId");
    PowerMockito.doReturn(null).when(response, getIdMethod).withNoArguments();
    final Method getTypeMethod = DTUMemberMatcher.method(PingEvent.class, "getType");
    PowerMockito.doReturn(null).when(response, getTypeMethod).withNoArguments();
    final JSONObject jSONObject1 = PowerMockito.mock(JSONObject.class);
    final Method putMethod1 =
        DTUMemberMatcher.method(JSONObject.class, "put", String.class, Object.class);
    ((PowerMockitoStubber) PowerMockito.doReturn(null).doReturn(null))
        .when(jSONObject1, putMethod1)
        .withArguments(
            or(isA(String.class), isNull(String.class)),
            or(isA(Object.class), isNull(Object.class)));
    final JSONObject jSONObject = PowerMockito.mock(JSONObject.class);
    final Method putMethod =
        DTUMemberMatcher.method(JSONObject.class, "put", String.class, Object.class);
    ((PowerMockitoStubber) PowerMockito.doReturn(null).doReturn(null).doReturn(null))
        .when(jSONObject, putMethod)
        .withArguments(
            or(isA(String.class), isNull(String.class)),
            or(isA(Object.class), isNull(Object.class)));
    final Method toStringMethod = DTUMemberMatcher.method(JSONObject.class, "toString");
    PowerMockito.doReturn(null).when(jSONObject, toStringMethod).withNoArguments();
    PowerMockito.whenNew(JSONObject.class)
        .withNoArguments()
        .thenReturn(jSONObject)
        .thenReturn(jSONObject1);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.service.EventPing");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "response", Reflector.forName("com.kerio.im.xmpp.api.event.PingEvent"));
    methodUnderTest.setAccessible(true);
    methodUnderTest.invoke(objectUnderTest, response);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(
      fullyQualifiedNames = {"com.kerio.im.core.api.service.MessageService$ResponseHandler"},
      value = {JSONObject.class, RemoteControl.class})
  @Test
  public void responseTimeoutInputNotNullOutputVoid2() throws Exception {

    // Arrange
    final EventPing objectUnderTest =
        (EventPing) Reflector.getInstance("com.kerio.im.core.service.EventPing");
    final RemoteControl remoteControl =
        (RemoteControl) Reflector.getInstance("com.kerio.im.core.remote.RemoteControl");
    Reflector.setField(remoteControl, "errorHandler", null);
    Reflector.setField(remoteControl, "bus", null);
    Reflector.setField(objectUnderTest, "remoteControl", remoteControl);
    final Domains domains = (Domains) Reflector.getInstance("com.kerio.im.core.domain.Domains");
    Reflector.setField(domains, "domainControl", null);
    Reflector.setField(objectUnderTest, "domains", domains);
    final HashMap<String, CommandEvent> hashMap = new HashMap<String, CommandEvent>();
    final CommandEvent commandEvent =
        (CommandEvent) Reflector.getInstance("com.kerio.im.core.remote.CommandEvent");
    Reflector.setField(commandEvent, "fail", false);
    final ResponseHandler responseHandler = PowerMockito.mock(ResponseHandler.class);
    Reflector.setField(commandEvent, "responseHandler", responseHandler);
    Reflector.setField(commandEvent, "async", false);
    Reflector.setField(commandEvent, "failMessage", null);
    Reflector.setField(commandEvent, "id", null);
    Reflector.setField(commandEvent, "type", null);
    Reflector.setField(commandEvent, "content", null);
    final HashMap<String, String> hashMap1 = new HashMap<String, String>();
    Reflector.setField(commandEvent, "response", hashMap1);
    hashMap.put("?????????", commandEvent);
    Reflector.setField(objectUnderTest, "pending", hashMap);
    final ServiceBus serviceBus =
        (ServiceBus) Reflector.getInstance("com.kerio.im.core.api.service.ServiceBus");
    Reflector.setField(objectUnderTest, "bus", serviceBus);
    Reflector.setField(objectUnderTest, "pool", null);
    final String eventID = "?????????";
    final JSONObject jSONObject4 = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject6 = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject5 = PowerMockito.mock(JSONObject.class);
    final Method putMethod1 =
        DTUMemberMatcher.method(JSONObject.class, "put", String.class, Object.class);
    ((PowerMockitoStubber) PowerMockito.doReturn(jSONObject5).doReturn(jSONObject6))
        .when(jSONObject4, putMethod1)
        .withArguments(
            or(isA(String.class), isNull(String.class)),
            or(isA(Object.class), isNull(Object.class)));
    final JSONObject jSONObject = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject3 = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject2 = PowerMockito.mock(JSONObject.class);
    final JSONObject jSONObject1 = PowerMockito.mock(JSONObject.class);
    final Method putMethod =
        DTUMemberMatcher.method(JSONObject.class, "put", String.class, Object.class);
    ((PowerMockitoStubber)
            PowerMockito.doReturn(jSONObject1).doReturn(jSONObject2).doReturn(jSONObject3))
        .when(jSONObject, putMethod)
        .withArguments(
            or(isA(String.class), isNull(String.class)),
            or(isA(Object.class), isNull(Object.class)));
    final Method toStringMethod = DTUMemberMatcher.method(JSONObject.class, "toString");
    PowerMockito.doReturn("").when(jSONObject, toStringMethod).withNoArguments();
    PowerMockito.whenNew(JSONObject.class)
        .withNoArguments()
        .thenReturn(jSONObject)
        .thenReturn(jSONObject4);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.service.EventPing");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod("responseTimeout", Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    methodUnderTest.invoke(objectUnderTest, eventID);
  }
}
