package com.kerio.im.core.service;

import static org.junit.Assert.assertEquals;

import com.diffblue.deeptestutils.Reflector;
import com.kerio.im.bean.Port.Filter;
import java.net.InetAddress;
import java.util.ArrayList;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class SecurityDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: Security */
  // Test generated by Diffblue Deeptest.

  @Test
  public void isRequireTLSOutputFalse() throws Exception {

    // Arrange
    final Security objectUnderTest =
        (Security) Reflector.getInstance("com.kerio.im.core.service.Security");
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "requireTLS", false);
    Reflector.setField(objectUnderTest, "hasExceptions", false);

    // Act
    final boolean retval = objectUnderTest.isRequireTLS();

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void requireTlsInputNotNullOutputFalse() throws Exception {

    // Arrange
    final Security objectUnderTest =
        (Security) Reflector.getInstance("com.kerio.im.core.service.Security");
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "requireTLS", false);
    Reflector.setField(objectUnderTest, "hasExceptions", true);
    final InetAddress client = (InetAddress) Reflector.getInstance("java.net.InetAddress");

    // Act
    final boolean retval = objectUnderTest.requireTls(client);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void requireTlsInputNotNullOutputFalse2() throws Exception {

    // Arrange
    final Security objectUnderTest =
        (Security) Reflector.getInstance("com.kerio.im.core.service.Security");
    final CombinedFilter combinedFilter =
        (CombinedFilter) Reflector.getInstance("com.kerio.im.core.service.CombinedFilter");
    Reflector.setField(combinedFilter, "allEnabled", true);
    final ArrayList<Filter> arrayList = new ArrayList<Filter>();
    Reflector.setField(combinedFilter, "filterChain", arrayList);
    Reflector.setField(objectUnderTest, "filter", combinedFilter);
    Reflector.setField(objectUnderTest, "requireTLS", true);
    Reflector.setField(objectUnderTest, "hasExceptions", true);
    final InetAddress client = (InetAddress) Reflector.getInstance("java.net.InetAddress");

    // Act
    final boolean retval = objectUnderTest.requireTls(client);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void requireTlsInputNotNullOutputTrue() throws Exception {

    // Arrange
    final Security objectUnderTest =
        (Security) Reflector.getInstance("com.kerio.im.core.service.Security");
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "requireTLS", true);
    Reflector.setField(objectUnderTest, "hasExceptions", false);
    final InetAddress client = (InetAddress) Reflector.getInstance("java.net.InetAddress");

    // Act
    final boolean retval = objectUnderTest.requireTls(client);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void requireTlsInputNotNullOutputTrue2() throws Exception {

    // Arrange
    final Security objectUnderTest =
        (Security) Reflector.getInstance("com.kerio.im.core.service.Security");
    final CombinedFilter combinedFilter =
        (CombinedFilter) Reflector.getInstance("com.kerio.im.core.service.CombinedFilter");
    Reflector.setField(combinedFilter, "allEnabled", false);
    final ArrayList<Filter> arrayList = new ArrayList<Filter>();
    Reflector.setField(combinedFilter, "filterChain", arrayList);
    Reflector.setField(objectUnderTest, "filter", combinedFilter);
    Reflector.setField(objectUnderTest, "requireTLS", true);
    Reflector.setField(objectUnderTest, "hasExceptions", true);
    final InetAddress client = (InetAddress) Reflector.getInstance("java.net.InetAddress");

    // Act
    final boolean retval = objectUnderTest.requireTls(client);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void toStringOutputNotNull() throws Exception {

    // Arrange
    final Security objectUnderTest =
        (Security) Reflector.getInstance("com.kerio.im.core.service.Security");
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "requireTLS", true);
    Reflector.setField(objectUnderTest, "hasExceptions", false);

    // Act
    final String retval = objectUnderTest.toString();

    // result
    assertEquals("Security{requireTLS=true, hasExceptions=false, filter=null}", retval);
  }
}
