package com.kerio.im.core.service;

import static org.junit.Assert.assertEquals;
import static org.mockito.AdditionalMatchers.or;
import static org.mockito.Matchers.anyInt;
import static org.mockito.Matchers.isA;
import static org.mockito.Matchers.isNull;

import com.diffblue.deeptestutils.Reflector;
import com.diffblue.deeptestutils.mock.DTUMemberMatcher;
import com.kerio.im.bean.Port;
import com.kerio.im.bean.Port.Filter;
import com.kerio.im.bean.Port.Listener;
import com.kerio.im.bean.Port.Security;
import java.lang.reflect.Method;
import java.net.InetAddress;
import java.util.ArrayList;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class ServicePortDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: ServicePort */
  // Test generated by Diffblue Deeptest.

  @Test
  public void acceptInputNotNullOutputFalse() throws Exception {

    // Arrange
    final ServicePort objectUnderTest =
        (ServicePort) Reflector.getInstance("com.kerio.im.core.service.ServicePort");
    final Security security = (Security) Reflector.getInstance("com.kerio.im.bean.Port$Security");
    Reflector.setField(objectUnderTest, "security", security);
    Reflector.setField(objectUnderTest, "ssl", false);
    final ConnectionLimit connectionLimit =
        (ConnectionLimit) Reflector.getInstance("com.kerio.im.core.service.ConnectionLimit");
    Reflector.setField(connectionLimit, "current", 3L);
    Reflector.setField(connectionLimit, "maximum", 1);
    Reflector.setField(objectUnderTest, "limit", connectionLimit);
    Reflector.setField(objectUnderTest, "serviceName", null);
    final Listener listener = (Listener) Reflector.getInstance("com.kerio.im.bean.Port$Listener");
    Reflector.setField(objectUnderTest, "listener", listener);
    Reflector.setField(objectUnderTest, "id", null);
    Reflector.setField(objectUnderTest, "port", 0);
    Reflector.setField(objectUnderTest, "host", "    ");
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "ifc", null);
    final InetAddress client = (InetAddress) Reflector.getInstance("java.net.InetAddress");

    // Act
    final boolean retval = objectUnderTest.accept(client);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void acceptInputNotNullOutputFalse2() throws Exception {

    // Arrange
    final ServicePort objectUnderTest =
        (ServicePort) Reflector.getInstance("com.kerio.im.core.service.ServicePort");
    final Security security = (Security) Reflector.getInstance("com.kerio.im.bean.Port$Security");
    Reflector.setField(objectUnderTest, "security", security);
    Reflector.setField(objectUnderTest, "ssl", false);
    final ConnectionLimit connectionLimit =
        (ConnectionLimit) Reflector.getInstance("com.kerio.im.core.service.ConnectionLimit");
    Reflector.setField(connectionLimit, "current", -562_952_100_773_885L);
    Reflector.setField(connectionLimit, "maximum", -2_147_352_575);
    Reflector.setField(objectUnderTest, "limit", connectionLimit);
    Reflector.setField(objectUnderTest, "serviceName", null);
    final Listener listener = (Listener) Reflector.getInstance("com.kerio.im.bean.Port$Listener");
    Reflector.setField(objectUnderTest, "listener", listener);
    Reflector.setField(objectUnderTest, "id", null);
    Reflector.setField(objectUnderTest, "port", 0);
    Reflector.setField(objectUnderTest, "host", "    ");
    final CombinedFilter combinedFilter =
        (CombinedFilter) Reflector.getInstance("com.kerio.im.core.service.CombinedFilter");
    Reflector.setField(combinedFilter, "allEnabled", false);
    final ArrayList<Filter> arrayList = new ArrayList<Filter>();
    Reflector.setField(combinedFilter, "filterChain", arrayList);
    Reflector.setField(objectUnderTest, "filter", combinedFilter);
    Reflector.setField(objectUnderTest, "ifc", null);
    final InetAddress client = (InetAddress) Reflector.getInstance("java.net.InetAddress");

    // Act
    final boolean retval = objectUnderTest.accept(client);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void acceptInputNotNullOutputTrue() throws Exception {

    // Arrange
    final ServicePort objectUnderTest =
        (ServicePort) Reflector.getInstance("com.kerio.im.core.service.ServicePort");
    final Security security = (Security) Reflector.getInstance("com.kerio.im.bean.Port$Security");
    Reflector.setField(objectUnderTest, "security", security);
    Reflector.setField(objectUnderTest, "ssl", false);
    final ConnectionLimit connectionLimit =
        (ConnectionLimit) Reflector.getInstance("com.kerio.im.core.service.ConnectionLimit");
    Reflector.setField(connectionLimit, "current", -562_952_100_773_885L);
    Reflector.setField(connectionLimit, "maximum", -2_147_352_575);
    Reflector.setField(objectUnderTest, "limit", connectionLimit);
    Reflector.setField(objectUnderTest, "serviceName", null);
    final Listener listener = (Listener) Reflector.getInstance("com.kerio.im.bean.Port$Listener");
    Reflector.setField(objectUnderTest, "listener", listener);
    Reflector.setField(objectUnderTest, "id", null);
    Reflector.setField(objectUnderTest, "port", 0);
    Reflector.setField(objectUnderTest, "host", "    ");
    final CombinedFilter combinedFilter =
        (CombinedFilter) Reflector.getInstance("com.kerio.im.core.service.CombinedFilter");
    Reflector.setField(combinedFilter, "allEnabled", true);
    final ArrayList<Filter> arrayList = new ArrayList<Filter>();
    Reflector.setField(combinedFilter, "filterChain", arrayList);
    Reflector.setField(objectUnderTest, "filter", combinedFilter);
    Reflector.setField(objectUnderTest, "ifc", null);
    final InetAddress client = (InetAddress) Reflector.getInstance("java.net.InetAddress");

    // Act
    final boolean retval = objectUnderTest.accept(client);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(fullyQualifiedNames = {"com.kerio.im.bean.Port$Listener"})
  @Test
  public void connectedInputNotNullPositiveOutputFalse() throws Exception {

    // Arrange
    final ServicePort objectUnderTest =
        (ServicePort) Reflector.getInstance("com.kerio.im.core.service.ServicePort");
    Reflector.setField(objectUnderTest, "security", null);
    Reflector.setField(objectUnderTest, "ssl", true);
    final ConnectionLimit connectionLimit =
        (ConnectionLimit) Reflector.getInstance("com.kerio.im.core.service.ConnectionLimit");
    Reflector.setField(connectionLimit, "current", 4_611_686_018_427_387_903L);
    Reflector.setField(connectionLimit, "maximum", 0);
    Reflector.setField(objectUnderTest, "limit", connectionLimit);
    Reflector.setField(objectUnderTest, "serviceName", null);
    final Listener listener = PowerMockito.mock(Listener.class);
    final Method connectedMethod =
        DTUMemberMatcher.method(
            Listener.class, "connected", String.class, Boolean.class, String.class, int.class);
    PowerMockito.doReturn(false)
        .when(listener, connectedMethod)
        .withArguments(
            or(isA(String.class), isNull(String.class)),
            or(isA(Boolean.class), isNull(Boolean.class)),
            or(isA(String.class), isNull(String.class)),
            anyInt());
    Reflector.setField(objectUnderTest, "listener", listener);
    Reflector.setField(objectUnderTest, "id", null);
    Reflector.setField(objectUnderTest, "port", 0);
    Reflector.setField(objectUnderTest, "host", null);
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "ifc", null);
    final String remoteAddress = "!";
    final int port = 8192;

    // Act
    final boolean retval = objectUnderTest.connected(remoteAddress, port);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(fullyQualifiedNames = {"com.kerio.im.bean.Port$Listener"})
  @Test
  public void disconnectedInputNotNullPositiveOutputVoid() throws Exception {

    // Arrange
    final ServicePort objectUnderTest =
        (ServicePort) Reflector.getInstance("com.kerio.im.core.service.ServicePort");
    Reflector.setField(objectUnderTest, "security", null);
    Reflector.setField(objectUnderTest, "ssl", false);
    final ConnectionLimit connectionLimit =
        (ConnectionLimit) Reflector.getInstance("com.kerio.im.core.service.ConnectionLimit");
    Reflector.setField(connectionLimit, "current", -9_223_372_036_854_775_807L);
    Reflector.setField(connectionLimit, "maximum", 0);
    Reflector.setField(objectUnderTest, "limit", connectionLimit);
    Reflector.setField(objectUnderTest, "serviceName", null);
    final Listener listener = PowerMockito.mock(Listener.class);
    Reflector.setField(objectUnderTest, "listener", listener);
    Reflector.setField(objectUnderTest, "id", null);
    Reflector.setField(objectUnderTest, "port", 0);
    Reflector.setField(objectUnderTest, "host", null);
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "ifc", null);
    final String remoteAddress = "!";
    final int port = 262_144;

    // Act
    objectUnderTest.disconnected(remoteAddress, port);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void equalsInputNotNullOutputFalse() throws Exception {

    // Arrange
    final ServicePort objectUnderTest =
        (ServicePort) Reflector.getInstance("com.kerio.im.core.service.ServicePort");
    final Security security = (Security) Reflector.getInstance("com.kerio.im.bean.Port$Security");
    Reflector.setField(objectUnderTest, "security", security);
    Reflector.setField(objectUnderTest, "ssl", false);
    final ConnectionLimit connectionLimit =
        (ConnectionLimit) Reflector.getInstance("com.kerio.im.core.service.ConnectionLimit");
    Reflector.setField(connectionLimit, "current", 0L);
    Reflector.setField(connectionLimit, "maximum", 0);
    Reflector.setField(objectUnderTest, "limit", connectionLimit);
    Reflector.setField(objectUnderTest, "serviceName", null);
    Reflector.setField(objectUnderTest, "listener", null);
    Reflector.setField(objectUnderTest, "id", null);
    Reflector.setField(objectUnderTest, "port", 0);
    Reflector.setField(objectUnderTest, "host", "");
    final CombinedFilter combinedFilter =
        (CombinedFilter) Reflector.getInstance("com.kerio.im.core.service.CombinedFilter");
    Reflector.setField(combinedFilter, "allEnabled", false);
    Reflector.setField(combinedFilter, "filterChain", null);
    Reflector.setField(objectUnderTest, "filter", combinedFilter);
    Reflector.setField(objectUnderTest, "ifc", "");
    final Port obj = (Port) Reflector.getInstance("com.kerio.im.bean.Port");

    // Act
    final boolean retval = objectUnderTest.equals(obj);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void equalsInputNullOutputFalse() throws Exception {

    // Arrange
    final ServicePort objectUnderTest =
        (ServicePort) Reflector.getInstance("com.kerio.im.core.service.ServicePort");
    Reflector.setField(objectUnderTest, "security", null);
    Reflector.setField(objectUnderTest, "ssl", false);
    final ConnectionLimit connectionLimit =
        (ConnectionLimit) Reflector.getInstance("com.kerio.im.core.service.ConnectionLimit");
    Reflector.setField(connectionLimit, "current", 0L);
    Reflector.setField(connectionLimit, "maximum", 0);
    Reflector.setField(objectUnderTest, "limit", connectionLimit);
    Reflector.setField(objectUnderTest, "serviceName", "");
    final Listener listener = (Listener) Reflector.getInstance("com.kerio.im.bean.Port$Listener");
    Reflector.setField(objectUnderTest, "listener", listener);
    Reflector.setField(objectUnderTest, "id", "");
    Reflector.setField(objectUnderTest, "port", 0);
    Reflector.setField(objectUnderTest, "host", "");
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "ifc", "");
    final Object obj = null;

    // Act
    final boolean retval = objectUnderTest.equals(obj);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isSSLOutputFalse() throws Exception {

    // Arrange
    final ServicePort objectUnderTest =
        (ServicePort) Reflector.getInstance("com.kerio.im.core.service.ServicePort");
    Reflector.setField(objectUnderTest, "security", null);
    Reflector.setField(objectUnderTest, "ssl", false);
    Reflector.setField(objectUnderTest, "limit", null);
    Reflector.setField(objectUnderTest, "serviceName", null);
    Reflector.setField(objectUnderTest, "listener", null);
    Reflector.setField(objectUnderTest, "id", null);
    Reflector.setField(objectUnderTest, "port", 0);
    Reflector.setField(objectUnderTest, "host", null);
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "ifc", null);

    // Act
    final boolean retval = objectUnderTest.isSSL();

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void toStringOutputNotNull() throws Exception {

    // Arrange
    final ServicePort objectUnderTest =
        (ServicePort) Reflector.getInstance("com.kerio.im.core.service.ServicePort");
    Reflector.setField(objectUnderTest, "security", null);
    Reflector.setField(objectUnderTest, "ssl", false);
    Reflector.setField(objectUnderTest, "limit", null);
    Reflector.setField(objectUnderTest, "serviceName", null);
    Reflector.setField(objectUnderTest, "listener", null);
    Reflector.setField(objectUnderTest, "id", null);
    Reflector.setField(objectUnderTest, "port", -1_000_000);
    Reflector.setField(objectUnderTest, "host", "!!!!!!!!!!");
    Reflector.setField(objectUnderTest, "filter", null);
    Reflector.setField(objectUnderTest, "ifc", "(((((((");

    // Act
    final String retval = objectUnderTest.toString();

    // result
    assertEquals("Port{port=-1000000, ifc=(((((((, host=!!!!!!!!!!, secure=false}", retval);
  }
}
