package com.kerio.im.core.user;

import static org.junit.Assert.assertArrayEquals;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import com.diffblue.deeptestutils.Reflector;
import java.lang.reflect.Method;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class EventUserSyncDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: EventUserSync */
  // Test generated by Diffblue Deeptest.

  @Test
  public void asBoolInputNotNullNotNullOutputTrue() throws Exception {

    // Arrange
    final EventUserSync objectUnderTest =
        (EventUserSync) Reflector.getInstance("com.kerio.im.core.user.EventUserSync");
    Reflector.setField(objectUnderTest, "userControlList", null);
    final String intValue = "";
    final String trueValue = "";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.EventUserSync");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "asBool", Reflector.forName("java.lang.String"), Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final Boolean retval = (Boolean) methodUnderTest.invoke(objectUnderTest, intValue, trueValue);

    // result
    assertEquals(new Boolean(true), retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void asBoolInputNullNullOutputNull() throws Exception {

    // Arrange
    final EventUserSync objectUnderTest =
        (EventUserSync) Reflector.getInstance("com.kerio.im.core.user.EventUserSync");
    Reflector.setField(objectUnderTest, "userControlList", null);
    final String intValue = null;
    final String trueValue = null;

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.EventUserSync");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "asBool", Reflector.forName("java.lang.String"), Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final Boolean retval = (Boolean) methodUnderTest.invoke(objectUnderTest, intValue, trueValue);

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void valueOfInputNotNullOutputIllegalArgumentException() {

    // Arrange
    final String name = "BBBCCCC";

    // Act
    thrown.expect(IllegalArgumentException.class);
    EventUserSync.Operation.valueOf(name);

    // Method is not expected to return due to exception thrown
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void valuesOutput4() {

    // Act
    final EventUserSync.Operation[] retval = EventUserSync.Operation.values();

    // result
    assertArrayEquals(
        new EventUserSync.Operation[] {
          EventUserSync.Operation.created,
          EventUserSync.Operation.updated,
          EventUserSync.Operation.removed,
          EventUserSync.Operation.repair
        },
        retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void valuesOutput7() {

    // Act
    final EventUserSync.Content[] retval = EventUserSync.Content.values();

    // result
    assertArrayEquals(
        new EventUserSync.Content[] {
          EventUserSync.Content.fullname, EventUserSync.Content.event,
          EventUserSync.Content.name, EventUserSync.Content.domain,
          EventUserSync.Content.enabled, EventUserSync.Content.gal,
          EventUserSync.Content.hasDomainRestriction
        },
        retval);
  }
}
