package com.kerio.im.core.user;

import static org.junit.Assert.assertArrayEquals;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import com.diffblue.deeptestutils.Reflector;
import com.kerio.im.core.api.service.PacketType;
import com.kerio.im.external.ExtService;
import com.kerio.im.xmpp.api.XmppService;
import java.lang.reflect.Method;
import java.util.HashMap;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class UserAccessPolicyDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: UserAccessPolicy */
  // Test generated by Diffblue Deeptest.
  @PrepareForTest(PacketType.class)
  @Test
  public void allowDifferentDomainsInputNotNullNotNullOutputFalse() throws Exception {

    // Setup mocks
    PowerMockito.mockStatic(PacketType.class);

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(UserAccessPolicy.State.UNKNOWN);
    final Users users = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    final UserControlList userControlList =
        (UserControlList) Reflector.getInstance("com.kerio.im.core.user.UserControlList");
    Reflector.setField(userControlList, "userControlMap", null);
    final XmppService xmppService =
        (XmppService) Reflector.getInstance("com.kerio.im.xmpp.api.XmppService");
    Reflector.setField(userControlList, "xmppService", xmppService);
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(userControlList, "extService", extService);
    Reflector.setField(users, "list", userControlList);
    Reflector.setField(objectUnderTest, "users", users);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(objectUnderTest, "controlUser", "AAAAAAAAAAAAAAAAAAAAAAAAA\uffae");
    final String user = "";
    final String userDomain = "\u03ce\u03ce";
    final PacketType[] packetTypeArray = {null};
    PowerMockito.doReturn(packetTypeArray).when(PacketType.class);
    PacketType.values();

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "allowDifferentDomains",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, user, userDomain);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(PacketType.class)
  @Test
  public void allowDifferentDomainsInputNotNullNotNullOutputTrue() throws Exception {

    // Setup mocks
    PowerMockito.mockStatic(PacketType.class);

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(UserAccessPolicy.State.UNKNOWN);
    final Users users = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    final UserControlList userControlList =
        (UserControlList) Reflector.getInstance("com.kerio.im.core.user.UserControlList");
    Reflector.setField(userControlList, "userControlMap", null);
    final XmppService xmppService =
        (XmppService) Reflector.getInstance("com.kerio.im.xmpp.api.XmppService");
    Reflector.setField(userControlList, "xmppService", xmppService);
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(userControlList, "extService", extService);
    Reflector.setField(users, "list", userControlList);
    Reflector.setField(objectUnderTest, "users", users);
    Reflector.setField(objectUnderTest, "controlDomain", "\u0140\u03ce");
    Reflector.setField(objectUnderTest, "controlUser", "z\u007fAAA\u001b");
    final String user = "Z\u007faaa\u001b";
    final String userDomain = "\u0140\u03ce";
    final PacketType[] packetTypeArray = {null};
    PowerMockito.doReturn(packetTypeArray).when(PacketType.class);
    PacketType.values();

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "allowDifferentDomains",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, user, userDomain);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(PacketType.class)
  @Test
  public void allowDifferentDomainsInputNullNotNullOutputTrue() throws Exception {

    // Setup mocks
    PowerMockito.mockStatic(PacketType.class);

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(UserAccessPolicy.State.ENABLED);
    final Users users = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    final UserControlList userControlList =
        (UserControlList) Reflector.getInstance("com.kerio.im.core.user.UserControlList");
    final HashMap<String, UserControl> hashMap = new HashMap<String, UserControl>();
    Reflector.setField(userControlList, "userControlMap", hashMap);
    final XmppService xmppService =
        (XmppService) Reflector.getInstance("com.kerio.im.xmpp.api.XmppService");
    Reflector.setField(userControlList, "xmppService", xmppService);
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(userControlList, "extService", extService);
    Reflector.setField(users, "list", userControlList);
    Reflector.setField(objectUnderTest, "users", users);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(
        objectUnderTest,
        "controlUser",
        "\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe\uffbe");
    final String user = null;
    final String userDomain = "@@@@@@@@@@@@@@";
    final PacketType[] packetTypeArray = {null};
    PowerMockito.doReturn(packetTypeArray).when(PacketType.class);
    PacketType.values();

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "allowDifferentDomains",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, user, userDomain);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(PacketType.class)
  @Test
  public void allowDifferentDomainsInputNullNullOutputFalse() throws Exception {

    // Setup mocks
    PowerMockito.mockStatic(PacketType.class);

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(UserAccessPolicy.State.DISABLED);
    final Users users = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    final UserControlList userControlList =
        (UserControlList) Reflector.getInstance("com.kerio.im.core.user.UserControlList");
    final HashMap<String, UserControl> hashMap = new HashMap<String, UserControl>();
    final UserControl userControl =
        (UserControl) Reflector.getInstance("com.kerio.im.core.user.UserControl");
    final UserCache userCache =
        (UserCache) Reflector.getInstance("com.kerio.im.core.user.UserCache");
    Reflector.setField(userCache, "users", null);
    Reflector.setField(userCache, "domain", null);
    Reflector.setField(userCache, "extService", null);
    Reflector.setField(userControl, "userCache", userCache);
    Reflector.setField(userControl, "domain", null);
    Reflector.setField(userControl, "xmppUsers", null);
    Reflector.setField(userControl, "groups", null);
    hashMap.put(null, userControl);
    Reflector.setField(userControlList, "userControlMap", hashMap);
    final XmppService xmppService =
        (XmppService) Reflector.getInstance("com.kerio.im.xmpp.api.XmppService");
    Reflector.setField(userControlList, "xmppService", xmppService);
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(userControlList, "extService", extService);
    Reflector.setField(users, "list", userControlList);
    Reflector.setField(objectUnderTest, "users", users);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(
        objectUnderTest, "controlUser", "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA\uffbe");
    final String user = null;
    final String userDomain = null;
    final PacketType[] packetTypeArray = {null};
    PowerMockito.doReturn(packetTypeArray).when(PacketType.class);
    PacketType.values();

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "allowDifferentDomains",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, user, userDomain);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void allowEqualDomainsOutputTrue() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(objectUnderTest, "controlUser", null);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest = classUnderTest.getDeclaredMethod("allowEqualDomains");
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void filterInputNotNullNotNullNotNullNotNullOutputTrue() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", "");
    Reflector.setField(objectUnderTest, "controlUser", "????>S");
    final String user1 = "";
    final String domain1 = "`EEEA@e`C";
    final String user2 = "sXXX";
    final String domain2 = "`EEEA@E`C";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "filter",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval =
        (boolean) methodUnderTest.invoke(objectUnderTest, user1, domain1, user2, domain2);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(PacketType.class)
  @Test
  public void filterInputNullNotNullNotNullNotNullOutputFalse() throws Exception {

    // Setup mocks
    PowerMockito.mockStatic(PacketType.class);

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(UserAccessPolicy.State.DISABLED);
    final Users users = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    Reflector.setField(users, "list", null);
    Reflector.setField(objectUnderTest, "users", users);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(objectUnderTest, "controlUser", "");
    final String user1 = null;
    final String domain1 = "\u0a29\u0a29AAAAAAA";
    final String user2 =
        "\u00dc\u00f0\u00f0\u00db\u00db\u00db\u00db\u00db\u00db\u00db\u00db\u00db\u00db\u1277\u1277\u1277";
    final String domain2 = "\u805c\\\\\u805f\\\\\\\\\\\u00d4\u00d4\u805c\u805c";
    final PacketType[] packetTypeArray = {null};
    PowerMockito.doReturn(packetTypeArray).when(PacketType.class);
    PacketType.values();

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "filter",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval =
        (boolean) methodUnderTest.invoke(objectUnderTest, user1, domain1, user2, domain2);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void filterInputNullNullNullNullOutputTrue() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    final Users users = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    Reflector.setField(users, "list", null);
    Reflector.setField(objectUnderTest, "users", users);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(objectUnderTest, "controlUser", "");
    final String user1 = null;
    final String domain1 = null;
    final String user2 = null;
    final String domain2 = null;

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "filter",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval =
        (boolean) methodUnderTest.invoke(objectUnderTest, user1, domain1, user2, domain2);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getStateOutputNull() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(objectUnderTest, "controlUser", null);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest = classUnderTest.getDeclaredMethod("getState");
    methodUnderTest.setAccessible(true);
    final UserAccessPolicy.State retval =
        (UserAccessPolicy.State) methodUnderTest.invoke(objectUnderTest);

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getUserAccessInputNotNullNotNullOutputTrue() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    final Users users = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    final UserControlList userControlList =
        (UserControlList) Reflector.getInstance("com.kerio.im.core.user.UserControlList");
    final HashMap<String, UserControl> hashMap = new HashMap<String, UserControl>();
    final UserControl userControl =
        (UserControl) Reflector.getInstance("com.kerio.im.core.user.UserControl");
    final UserCache userCache =
        (UserCache) Reflector.getInstance("com.kerio.im.core.user.UserCache");
    Reflector.setField(userCache, "users", null);
    Reflector.setField(userCache, "domain", null);
    Reflector.setField(userCache, "extService", null);
    Reflector.setField(userControl, "userCache", userCache);
    Reflector.setField(userControl, "domain", null);
    Reflector.setField(userControl, "xmppUsers", null);
    Reflector.setField(userControl, "groups", null);
    hashMap.put("#\"  ", userControl);
    Reflector.setField(userControlList, "userControlMap", hashMap);
    final XmppService xmppService =
        (XmppService) Reflector.getInstance("com.kerio.im.xmpp.api.XmppService");
    Reflector.setField(userControlList, "xmppService", xmppService);
    Reflector.setField(userControlList, "extService", null);
    Reflector.setField(users, "list", userControlList);
    Reflector.setField(objectUnderTest, "users", users);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(objectUnderTest, "controlUser", null);
    final String login = "";
    final String domain = "\"3!!";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "getUserAccess",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, login, domain);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void incomingInputNotNullNotNullNotNullNotNullNotNullOutputTrue() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    final Users users = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    final UserControlList userControlList =
        (UserControlList) Reflector.getInstance("com.kerio.im.core.user.UserControlList");
    Reflector.setField(userControlList, "userControlMap", null);
    Reflector.setField(userControlList, "xmppService", null);
    Reflector.setField(userControlList, "extService", null);
    Reflector.setField(users, "list", userControlList);
    Reflector.setField(objectUnderTest, "users", users);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(objectUnderTest, "controlUser", "bcc");
    final String from = " ";
    final String fromDomain = "";
    final String to = "O";
    final String toDomain = "";
    final PacketType type =
        (PacketType) Reflector.getInstance("com.kerio.im.core.api.service.PacketType");

    // Act
    final boolean retval = objectUnderTest.incoming(from, fromDomain, to, toDomain, type);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void incomingResponseOutputNotNull() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(objectUnderTest, "controlUser", null);

    // Act
    final String retval = objectUnderTest.incomingResponse();

    // result
    assertEquals(
        "Message delivery failed: recipient can receive emails from his/her own domain only",
        retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isControlUserInputNotNullNotNullOutputFalse() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", "");
    Reflector.setField(objectUnderTest, "controlUser", "");
    final String login = "";
    final String domain = "AA";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "isControlUser",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, login, domain);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isControlUserInputNotNullNotNullOutputFalse2() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", "");
    Reflector.setField(objectUnderTest, "controlUser", "");
    final String login = "A";
    final String domain = "AXXX";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "isControlUser",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, login, domain);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isControlUserInputNotNullNotNullOutputTrue() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", "");
    Reflector.setField(objectUnderTest, "controlUser", "");
    final String login = "";
    final String domain = "";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "isControlUser",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval = (boolean) methodUnderTest.invoke(objectUnderTest, login, domain);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isSameDomainInputNotNullNotNullNotNullOutputFalse() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", "");
    Reflector.setField(objectUnderTest, "controlUser", null);
    final String prefix = "!!!!!!!!!!";
    final String domain1 = "@@@@@@@@";
    final String domain2 = "@@@@@@@@@@";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "isSameDomain",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval =
        (boolean) methodUnderTest.invoke(objectUnderTest, prefix, domain1, domain2);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isSameDomainInputNotNullNotNullNotNullOutputFalse2() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", "");
    Reflector.setField(objectUnderTest, "controlUser", null);
    final String prefix = "!!!!";
    final String domain1 = "A";
    final String domain2 = "appp`vppp";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "isSameDomain",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval =
        (boolean) methodUnderTest.invoke(objectUnderTest, prefix, domain1, domain2);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isSameDomainInputNotNullNotNullNotNullOutputTrue() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", "");
    Reflector.setField(objectUnderTest, "controlUser", null);
    final String prefix = "!!!!!!";
    final String domain1 = "A";
    final String domain2 = "a";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "isSameDomain",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval =
        (boolean) methodUnderTest.invoke(objectUnderTest, prefix, domain1, domain2);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isSameDomainInputNotNullNotNullNotNullOutputTrue2() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", "");
    Reflector.setField(objectUnderTest, "controlUser", null);
    final String prefix = "";
    final String domain1 = "A]A1{qp01";
    final String domain2 = "aA]a1{QP01";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserAccessPolicy");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "isSameDomain",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final boolean retval =
        (boolean) methodUnderTest.invoke(objectUnderTest, prefix, domain1, domain2);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void outgoingInputNotNullNotNullNotNullNotNullNotNullOutputTrue() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", "`aaaa>aaa?");
    Reflector.setField(objectUnderTest, "controlUser", null);
    final String to = "        ";
    final String toDomain = "B]CB]D";
    final String from = "_";
    final String fromDomain = "B]CB]D";
    final PacketType type =
        (PacketType) Reflector.getInstance("com.kerio.im.core.api.service.PacketType");

    // Act
    final boolean retval = objectUnderTest.outgoing(to, toDomain, from, fromDomain, type);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void outgoingResponseOutputNotNull() throws Exception {

    // Arrange
    final UserAccessPolicy objectUnderTest =
        (UserAccessPolicy) Reflector.getInstance("com.kerio.im.core.user.UserAccessPolicy");
    objectUnderTest.setState(null);
    Reflector.setField(objectUnderTest, "users", null);
    Reflector.setField(objectUnderTest, "controlDomain", null);
    Reflector.setField(objectUnderTest, "controlUser", null);

    // Act
    final String retval = objectUnderTest.outgoingResponse();

    // result
    assertEquals(
        "Message delivery failed: sending messages outside your domain is disabled for your account",
        retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void valuesOutput3() {

    // Act
    final UserAccessPolicy.State[] retval = UserAccessPolicy.State.values();

    // result
    assertArrayEquals(
        new UserAccessPolicy.State[] {
          UserAccessPolicy.State.UNKNOWN,
          UserAccessPolicy.State.ENABLED,
          UserAccessPolicy.State.DISABLED
        },
        retval);
  }
}
