package com.kerio.im.core.user;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;
import static org.mockito.AdditionalMatchers.or;
import static org.mockito.Matchers.isA;
import static org.mockito.Matchers.isNull;

import com.diffblue.deeptestutils.Reflector;
import com.diffblue.deeptestutils.mock.DTUMemberMatcher;
import com.kerio.im.bean.Domain;
import com.kerio.im.bean.User;
import com.kerio.im.external.ExtService;
import com.kerio.im.xmpp.api.XmppUsers;
import java.lang.reflect.Method;
import java.util.HashMap;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.api.mockito.expectation.PowerMockitoStubber;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class UserControlDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: UserControl */
  // Test generated by Diffblue Deeptest.
  @PrepareForTest({XmppUsers.class, User.class})
  @Test
  public void addInputNotNullOutputVoid2() throws Exception {

    // Arrange
    final UserControl objectUnderTest =
        (UserControl) Reflector.getInstance("com.kerio.im.core.user.UserControl");
    final UserCache userCache =
        (UserCache) Reflector.getInstance("com.kerio.im.core.user.UserCache");
    final HashMap<String, User> hashMap = new HashMap<String, User>();
    Reflector.setField(userCache, "users", hashMap);
    final Domain domain = (Domain) Reflector.getInstance("com.kerio.im.bean.Domain");
    Reflector.setField(userCache, "domain", domain);
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(userCache, "extService", extService);
    Reflector.setField(objectUnderTest, "userCache", userCache);
    Reflector.setField(objectUnderTest, "domain", null);
    final XmppUsers xmppUsers = PowerMockito.mock(XmppUsers.class);
    final Method addMethod = DTUMemberMatcher.method(XmppUsers.class, "add", User.class);
    PowerMockito.doReturn(false)
        .when(xmppUsers, addMethod)
        .withArguments(or(isA(User.class), isNull(User.class)));
    Reflector.setField(objectUnderTest, "xmppUsers", xmppUsers);
    final GroupProvider groupProvider = new GroupProvider();
    Reflector.setField(objectUnderTest, "groups", groupProvider);
    final User user = PowerMockito.mock(User.class);
    final Method getLoginMethod = DTUMemberMatcher.method(User.class, "getLogin");
    ((PowerMockitoStubber) PowerMockito.doReturn("").doReturn("").doReturn("?"))
        .when(user, getLoginMethod)
        .withNoArguments();
    final Method getDomainMethod = DTUMemberMatcher.method(User.class, "getDomain");
    PowerMockito.doReturn("").when(user, getDomainMethod).withNoArguments();

    // Act
    objectUnderTest.add(user);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void byeOutputNullPointerException() throws Exception {

    // Arrange
    final UserControl objectUnderTest =
        (UserControl) Reflector.getInstance("com.kerio.im.core.user.UserControl");
    Reflector.setField(objectUnderTest, "userCache", null);
    Reflector.setField(objectUnderTest, "domain", null);
    Reflector.setField(objectUnderTest, "xmppUsers", null);
    Reflector.setField(objectUnderTest, "groups", null);

    // Act
    thrown.expect(NullPointerException.class);
    objectUnderTest.bye();

    // Method is not expected to return due to exception thrown
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(XmppUsers.class)
  @Test
  public void checkInputNotNullOutputFalse() throws Exception {

    // Arrange
    final UserControl objectUnderTest =
        (UserControl) Reflector.getInstance("com.kerio.im.core.user.UserControl");
    final UserCache userCache =
        (UserCache) Reflector.getInstance("com.kerio.im.core.user.UserCache");
    final HashMap<String, User> hashMap = new HashMap<String, User>();
    Reflector.setField(userCache, "users", hashMap);
    Reflector.setField(userCache, "domain", null);
    Reflector.setField(userCache, "extService", null);
    Reflector.setField(objectUnderTest, "userCache", userCache);
    Reflector.setField(objectUnderTest, "domain", null);
    final XmppUsers xmppUsers = PowerMockito.mock(XmppUsers.class);
    final Method checkMethod = DTUMemberMatcher.method(XmppUsers.class, "check", User.class);
    PowerMockito.doReturn(false)
        .when(xmppUsers, checkMethod)
        .withArguments(or(isA(User.class), isNull(User.class)));
    Reflector.setField(objectUnderTest, "xmppUsers", xmppUsers);
    Reflector.setField(objectUnderTest, "groups", null);
    final String userName = "        !!";

    // Act
    final boolean retval = objectUnderTest.check(userName);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({XmppUsers.class, User.class})
  @Test
  public void exInputNotNullOutputVoid() throws Exception {

    // Arrange
    final UserControl.UserAdded objectUnderTest =
        (UserControl.UserAdded)
            Reflector.getInstance("com.kerio.im.core.user.UserControl$UserAdded");
    final UserCache userCache =
        (UserCache) Reflector.getInstance("com.kerio.im.core.user.UserCache");
    final HashMap<String, User> hashMap = new HashMap<String, User>();
    Reflector.setField(userCache, "users", hashMap);
    Reflector.setField(userCache, "domain", null);
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(userCache, "extService", extService);
    Reflector.setField(objectUnderTest, "userStore", userCache);
    final XmppUsers xmppUsers = PowerMockito.mock(XmppUsers.class);
    final Method addMethod = DTUMemberMatcher.method(XmppUsers.class, "add", User.class);
    PowerMockito.doReturn(false)
        .when(xmppUsers, addMethod)
        .withArguments(or(isA(User.class), isNull(User.class)));
    Reflector.setField(objectUnderTest, "xmppUsers", xmppUsers);
    final User item = PowerMockito.mock(User.class);
    final Method getLoginMethod = DTUMemberMatcher.method(User.class, "getLogin");
    ((PowerMockitoStubber) PowerMockito.doReturn("").doReturn("!!!!!!!!!!"))
        .when(item, getLoginMethod)
        .withNoArguments();
    final Method getDomainMethod = DTUMemberMatcher.method(User.class, "getDomain");
    PowerMockito.doReturn("").when(item, getDomainMethod).withNoArguments();

    // Act
    objectUnderTest.ex(item);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void findInputNotNullOutputNull() throws Exception {

    // Arrange
    final UserControl objectUnderTest =
        (UserControl) Reflector.getInstance("com.kerio.im.core.user.UserControl");
    final UserCache userCache =
        (UserCache) Reflector.getInstance("com.kerio.im.core.user.UserCache");
    final HashMap<String, User> hashMap = new HashMap<String, User>();
    Reflector.setField(userCache, "users", hashMap);
    Reflector.setField(userCache, "domain", null);
    Reflector.setField(userCache, "extService", null);
    Reflector.setField(objectUnderTest, "userCache", userCache);
    Reflector.setField(objectUnderTest, "domain", null);
    Reflector.setField(objectUnderTest, "xmppUsers", null);
    Reflector.setField(objectUnderTest, "groups", null);
    final String login = "        !!";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.UserControl");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod("find", Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final User retval = (User) methodUnderTest.invoke(objectUnderTest, login);

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDomainOutputNull() throws Exception {

    // Arrange
    final UserControl objectUnderTest =
        (UserControl) Reflector.getInstance("com.kerio.im.core.user.UserControl");
    Reflector.setField(objectUnderTest, "userCache", null);
    Reflector.setField(objectUnderTest, "domain", null);
    Reflector.setField(objectUnderTest, "xmppUsers", null);
    Reflector.setField(objectUnderTest, "groups", null);

    // Act
    final Domain retval = objectUnderTest.getDomain();

    // result
    assertNull(retval);
  }
}
