package com.kerio.im.core.user;

import static org.junit.Assert.assertArrayEquals;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import com.diffblue.deeptestutils.Reflector;
import com.kerio.im.external.ExtService;
import java.lang.reflect.Method;
import java.util.HashMap;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class UsersDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: Users */
  // Test generated by Diffblue Deeptest.

  @Test
  public void checkInputNotNullNotNullOutputFalse() throws Exception {

    // Arrange
    final Users objectUnderTest = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    final UserControlList userControlList =
        (UserControlList) Reflector.getInstance("com.kerio.im.core.user.UserControlList");
    final HashMap<String, UserControl> hashMap = new HashMap<String, UserControl>();
    hashMap.put("\"!!", null);
    Reflector.setField(userControlList, "userControlMap", hashMap);
    Reflector.setField(userControlList, "xmppService", null);
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(userControlList, "extService", extService);
    Reflector.setField(objectUnderTest, "list", userControlList);
    final String userName = "";
    final String domain = "\"!!";

    // Act
    final boolean retval = objectUnderTest.check(userName, domain);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getAdminsInputNotNullOutput0() throws Exception {

    // Arrange
    final Users objectUnderTest = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    Reflector.setField(objectUnderTest, "list", null);
    final String domain = "";

    // Act
    final String[] retval = objectUnderTest.getAdmins(domain);

    // result
    assertArrayEquals(new String[] {}, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getControlInputNotNullOutputNull() throws Exception {

    // Arrange
    final Users objectUnderTest = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    final UserControlList userControlList =
        (UserControlList) Reflector.getInstance("com.kerio.im.core.user.UserControlList");
    final HashMap<String, UserControl> hashMap = new HashMap<String, UserControl>();
    hashMap.put("", null);
    Reflector.setField(userControlList, "userControlMap", hashMap);
    Reflector.setField(userControlList, "xmppService", null);
    final ExtService extService =
        (ExtService) Reflector.getInstance("com.kerio.im.external.ExtService");
    Reflector.setField(userControlList, "extService", extService);
    Reflector.setField(objectUnderTest, "list", userControlList);
    final String domain = "";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.user.Users");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod("getControl", Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final UserControl retval = (UserControl) methodUnderTest.invoke(objectUnderTest, domain);

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void usersCountInputNotNullOutputZero() throws Exception {

    // Arrange
    final Users objectUnderTest = (Users) Reflector.getInstance("com.kerio.im.core.user.Users");
    Reflector.setField(objectUnderTest, "list", null);
    final String domain = "";

    // Act
    final long retval = objectUnderTest.usersCount(domain);

    // result
    assertEquals(0L, retval);
  }
}
