package com.kerio.im.core.vcard;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import com.diffblue.deeptestutils.Reflector;
import com.kerio.im.bean.VCard;
import com.kerio.im.external.ExtService;
import java.lang.reflect.Method;
import java.util.HashMap;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class VCardCacheDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: VCardCache */
  // Test generated by Diffblue Deeptest.

  @Test
  public void clearOutputVoid() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    hashMap.put(null, null);
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", null);
    objectUnderTest.setSource(null);
    final HashMap<String, VCard> hashMap1 = new HashMap<String, VCard>();
    hashMap1.put(null, null);
    Reflector.setField(objectUnderTest, "userToVCard", hashMap1);
    Reflector.setField(objectUnderTest, "syncKey", 0L);

    // Act
    objectUnderTest.clear();
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void containsIdInputNotNullOutputFalse() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", null);
    objectUnderTest.setSource("");
    Reflector.setField(objectUnderTest, "userToVCard", null);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final String itemId = "?";

    // Act
    final boolean retval = objectUnderTest.containsId(itemId);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void containsIdInputNotNullOutputFalse2() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    hashMap.put("####", null);
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", null);
    objectUnderTest.setSource("  ");
    final HashMap<String, VCard> hashMap1 = new HashMap<String, VCard>();
    Reflector.setField(objectUnderTest, "userToVCard", hashMap1);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final String itemId = "####";

    // Act
    final boolean retval = objectUnderTest.containsId(itemId);

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void containsIdInputNotNullOutputTrue() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    hashMap.put("cccc", null);
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", null);
    objectUnderTest.setSource("  ");
    final HashMap<String, VCard> hashMap1 = new HashMap<String, VCard>();
    final VCard vCard = (VCard) Reflector.getInstance("com.kerio.im.bean.VCard");
    hashMap1.put(null, vCard);
    Reflector.setField(objectUnderTest, "userToVCard", hashMap1);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final String itemId = "cccc";

    // Act
    final boolean retval = objectUnderTest.containsId(itemId);

    // result
    assertEquals(true, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void countOutputZero() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    hashMap.put(null, null);
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", null);
    objectUnderTest.setSource(null);
    final HashMap<String, VCard> hashMap1 = new HashMap<String, VCard>();
    Reflector.setField(objectUnderTest, "userToVCard", hashMap1);
    Reflector.setField(objectUnderTest, "syncKey", 0L);

    // Act
    final int retval = objectUnderTest.count();

    // result
    assertEquals(0, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getByIdInputNotNullOutputNull() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", null);
    objectUnderTest.setSource(null);
    final HashMap<String, VCard> hashMap1 = new HashMap<String, VCard>();
    Reflector.setField(objectUnderTest, "userToVCard", hashMap1);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final String itemId = "%\"\"\"\"\"\"\"\"";

    // Act
    final VCard retval = objectUnderTest.getById(itemId);

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getInputNotNullOutputNotNull() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    hashMap.put(null, null);
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", "????");
    objectUnderTest.setSource(null);
    final HashMap<String, VCard> hashMap1 = new HashMap<String, VCard>();
    final VCard vCard = (VCard) Reflector.getInstance("com.kerio.im.bean.VCard");
    hashMap1.put("@@@@????", vCard);
    Reflector.setField(objectUnderTest, "userToVCard", hashMap1);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final String login = "@@@";

    // Act
    final VCard retval = objectUnderTest.get(login);

    // result
    assertNotNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getInputNotNullOutputNull() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    hashMap.put(null, null);
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", "@@@@@@");
    objectUnderTest.setSource(null);
    final HashMap<String, VCard> hashMap1 = new HashMap<String, VCard>();
    final VCard vCard = (VCard) Reflector.getInstance("com.kerio.im.bean.VCard");
    hashMap1.put(null, vCard);
    Reflector.setField(objectUnderTest, "userToVCard", hashMap1);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final String login = "@@@@@@@";

    // Act
    final VCard retval = objectUnderTest.get(login);

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPrimaryEmailInputNotNullOutputNotNull() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    hashMap.put(null, null);
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", "");
    objectUnderTest.setSource(null);
    Reflector.setField(objectUnderTest, "userToVCard", null);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final String login = "";

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.core.vcard.VCardCache");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod("getPrimaryEmail", Reflector.forName("java.lang.String"));
    methodUnderTest.setAccessible(true);
    final String retval = (String) methodUnderTest.invoke(objectUnderTest, login);

    // result
    assertEquals("@", retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void putInputNotNullNotNullNotNullOutputVoid() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", null);
    objectUnderTest.setSource(null);
    final HashMap<String, VCard> hashMap1 = new HashMap<String, VCard>();
    hashMap1.put("!", null);
    Reflector.setField(objectUnderTest, "userToVCard", hashMap1);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final VCard vcard = (VCard) Reflector.getInstance("com.kerio.im.bean.VCard");
    final String itemId = "\'&\'\'\'\'&";
    final String username = "!";

    // Act
    objectUnderTest.put(vcard, itemId, username);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void refreshInputNullNullOutputNullPointerException() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    Reflector.setField(objectUnderTest, "idToUser", null);
    Reflector.setField(objectUnderTest, "domain", null);
    Reflector.setField(objectUnderTest, "source", null);
    Reflector.setField(objectUnderTest, "userToVCard", null);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final ExtService extService = null;
    final VCard.VCardFactory factory = null;

    // Act
    thrown.expect(NullPointerException.class);
    objectUnderTest.refresh(extService, factory);

    // Method is not expected to return due to exception thrown
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void removeByIdInputNotNullOutputVoid2() throws Exception {

    // Arrange
    final VCardCache objectUnderTest =
        (VCardCache) Reflector.getInstance("com.kerio.im.core.vcard.VCardCache");
    final HashMap<String, String> hashMap = new HashMap<String, String>();
    hashMap.put(",-", "");
    Reflector.setField(objectUnderTest, "idToUser", hashMap);
    Reflector.setField(objectUnderTest, "domain", null);
    objectUnderTest.setSource(null);
    final HashMap<String, VCard> hashMap1 = new HashMap<String, VCard>();
    Reflector.setField(objectUnderTest, "userToVCard", hashMap1);
    Reflector.setField(objectUnderTest, "syncKey", 0L);
    final String itemId = ",-";

    // Act
    objectUnderTest.removeById(itemId);
  }
}
