/*
 *  Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.conversation;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.LinkedList;
import org.apache.derby.jdbc.EmbeddedDataSource40;

/**
 *
 * @author tskoda
 */
public class MemoryDerby {
    
    private final LinkedList<String> dbs;

    public MemoryDerby() {
        this.dbs = new LinkedList<String>();
    }
    
    public EmbeddedDataSource40 createDS(String database) throws SQLException {
        EmbeddedDataSource40 ds = new EmbeddedDataSource40();
        ds.setDatabaseName("memory:" + database);
        return ds;
    }

    public Connection create(String database) throws SQLException {
        EmbeddedDataSource40 ds = createDS(database);
        ds.setCreateDatabase("create");
        this.dbs.add(database);
        return ds.getConnection();
    }
    
    public void destroy() {
        for (String db: this.dbs) {
            destroy(db);
        }
    }

    public void destroy(String database) {
        EmbeddedDataSource40 ds = new EmbeddedDataSource40();
        ds.setDatabaseName("memory:" + database);
        ds.setConnectionAttributes("drop=true");
        TempDerby.shutdown(ds);
    }
}
