/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.external;

import java.util.List;

/**
 *
 * @author oleopold
 */
public interface ImService {

    String getUserName();

    String getPassword();

    Integer generateRequestId();

    void register(ISingnalHandler watcher);

    void unregister();

    /**
     * Return all ports configured for service id.
     *
     * @param requestId
     * @return
     */
    ImResponseEnvelope<List<IMPresence>> subscribeGlobalPresence(Integer requestId);

    /**
     *
     * @param user
     * @return
     */
    UserImClient createUserImClient(IMContactID user);

    void sendMessageOnBehalf(IMMessage imMessage, boolean markAsRead);

    IMConversation createConversationOnBehalf(IMContactID initiator, List<IMContactID> participants);
}
