package com.kerio.im.external;

import static org.junit.Assert.assertNull;

import com.diffblue.deeptestutils.Reflector;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class IMEventDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: IMEvent */
  // Test generated by Diffblue Deeptest.

  @Test
  public void constructorInputNullNotNullOutputIllegalArgumentException() throws Exception {

    // Arrange
    final Object event = null;
    final IMContactID recipient =
        (IMContactID) Reflector.getInstance("com.kerio.im.external.IMContactID");
    Reflector.setField(recipient, "domain", null);
    Reflector.setField(recipient, "userName", null);

    // Act, creating object to test constructor
    thrown.expect(IllegalArgumentException.class);
    final IMEvent objectUnderTest = new IMEvent(event, recipient);

    // Method is not expected to return due to exception thrown
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getEventOutputNull() throws Exception {

    // Arrange
    final IMEvent objectUnderTest =
        (IMEvent) Reflector.getInstance("com.kerio.im.external.IMEvent");
    Reflector.setField(objectUnderTest, "recipient", null);
    Reflector.setField(objectUnderTest, "event", null);

    // Act
    final Object retval = objectUnderTest.getEvent();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getRecipientOutputNull() throws Exception {

    // Arrange
    final IMEvent objectUnderTest =
        (IMEvent) Reflector.getInstance("com.kerio.im.external.IMEvent");
    Reflector.setField(objectUnderTest, "recipient", null);
    Reflector.setField(objectUnderTest, "event", null);

    // Act
    final IMContactID retval = objectUnderTest.getRecipient();

    // result
    assertNull(retval);
  }
}
