/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.connect;

import com.kerio.im.common.Key;

/**
 *
 * @author tskoda
 */
public class ConnectKey {

    /**
     * Key for ping period property
     */
    public static final Key<Integer> PING_PERIOD_KEY = Key.with("bridge.pingPeriod");
    /**
     * Key for server admin property
     */
    //TODO refactore it to webmailapi and storeapi users, move it to appropriate module
    public static final Key<String> SERVER_ADMIN_KEY = Key.with("server.admin");
    /**
     * Key for server admin pass property
     */
    //TODO refactore it to webmailapi and storeapi users, move it to appropriate module
    public static final Key<String> SERVER_ADMIN_PASS_KEY = Key.with("server.adminPass");
    /**
     * Admin API address
     */
    public static final Key<String> ADMINAPI_IP = Key.with("adminapi.ip");
    /**
     * Admin API port
     */
    public static final Key<Integer> ADMINAPI_PORT = Key.with("adminapi.port");
    /**
     * Webmail API address
     */
    public static final Key<String> WEBMAILAPI_IP = Key.with("webmailapi.ip");
    /**
     * Webmail API port
     */
    public static final Key<Integer> WEBMAILAPI_PORT = Key.with("webmailapi.port");
    /**
     * Webmail API protocol security
     */
    public static final Key<Boolean> WEBMAILAPI_SECURE = Key.with("webmailapi.secure");
    /**
     * Im API address
     */
    public static final Key<String> IMAPI_IP = Key.with("imapi.ip");
    /**
     * Im API port
     */
    public static final Key<Integer> IMAPI_PORT = Key.with("imapi.port");
    /**
     * Im API protocol security
     */
    public static final Key<Boolean> IMAPI_SECURE = Key.with("imapi.secure");
    /**
     * Im enabled
     */
    public static final Key<Boolean> IMAPI_ENABLED = Key.with("imapi.enabled");
   
}
