/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.im;

import org.jabsorb.client.ClientError;
import org.json.JSONObject;

/**
 *
 * @author oleopold
 */
public class JsonErrorException extends ClientError {

    private final int httpresultCode;
    private final JSONObject msg;

    public JsonErrorException(int httpError, JSONObject msg, String message) {
        super(message);
        this.msg = msg;
        this.httpresultCode = httpError;
    }

    @Override
    public String getMessage() {
        return String.format("HTTP_ERROR_%d: %s", httpresultCode, super.getMessage());
    }

    /**
     * Get the value of httpError
     *
     * @return the value of httpError
     */
    public int getHttpresultCode() {
        return httpresultCode;
    }

    /**
     * Get the value of msg
     *
     * @return the value of msg
     */
    public JSONObject getMsg() {
        return msg;
    }
}
