package com.kerio.im.im;

import static org.junit.Assert.assertArrayEquals;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;
import static org.mockito.AdditionalMatchers.or;
import static org.mockito.Matchers.isA;
import static org.mockito.Matchers.isNull;

import com.diffblue.deeptestutils.Reflector;
import com.diffblue.deeptestutils.mock.DTUMemberMatcher;
import com.kerio.im.external.IMContactID;
import com.kerio.lib.json.api.client.KJsonRpcSession;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class ImApiDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: ImApi */
  // Test generated by Diffblue Deeptest.

  @Test
  public void convertContactIdsInput0Output0() throws Exception {

    // Arrange
    final ImApi objectUnderTest = (ImApi) Reflector.getInstance("com.kerio.im.im.ImApi");
    Reflector.setField(objectUnderTest, "client", null);
    Reflector.setField(objectUnderTest, "session", null);
    final String[] ids = {};

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "convertContactIds", Reflector.forName("java.lang.String[]"));
    methodUnderTest.setAccessible(true);
    final List<IMContactID> retval =
        (List<IMContactID>) methodUnderTest.invoke(objectUnderTest, new Object[] {ids});

    // result
    final ArrayList<IMContactID> arrayList = new ArrayList<IMContactID>();
    assertEquals(arrayList, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(ImApi.class)
  @Test
  public void convertContactIdsInput1Output1() throws Exception {

    // Arrange
    final ImApi objectUnderTest = (ImApi) Reflector.getInstance("com.kerio.im.im.ImApi");
    Reflector.setField(objectUnderTest, "client", null);
    Reflector.setField(objectUnderTest, "session", null);
    final String[] ids = {""};
    final IMContactID iMContactID = PowerMockito.mock(IMContactID.class);
    PowerMockito.whenNew(IMContactID.class)
        .withParameterTypes(String.class)
        .withArguments(or(isA(String.class), isNull(String.class)))
        .thenReturn(iMContactID);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "convertContactIds", Reflector.forName("java.lang.String[]"));
    methodUnderTest.setAccessible(true);
    final List<IMContactID> retval =
        (List<IMContactID>) methodUnderTest.invoke(objectUnderTest, new Object[] {ids});

    // result
    assertNotNull(retval);
    assertEquals(1, retval.size());
    assertNotNull(retval.get(0));
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void convertContactIdsInputNullOutput0() throws Exception {

    // Arrange
    final ImApi objectUnderTest = (ImApi) Reflector.getInstance("com.kerio.im.im.ImApi");
    Reflector.setField(objectUnderTest, "client", null);
    Reflector.setField(objectUnderTest, "session", null);
    final String[] ids = null;

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "convertContactIds", Reflector.forName("java.lang.String[]"));
    methodUnderTest.setAccessible(true);
    final List<IMContactID> retval =
        (List<IMContactID>) methodUnderTest.invoke(objectUnderTest, new Object[] {ids});

    // result
    final ArrayList<IMContactID> arrayList = new ArrayList<IMContactID>();
    assertEquals(arrayList, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void generateRequestIdOutputPositive() throws Exception {

    // Arrange
    final ImApi objectUnderTest = (ImApi) Reflector.getInstance("com.kerio.im.im.ImApi");
    final ImJsonRpcClient imJsonRpcClient =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    imJsonRpcClient.serializer = null;
    Reflector.setField(imJsonRpcClient, "session", null);
    Reflector.setField(imJsonRpcClient, "logger", null);
    Reflector.setField(imJsonRpcClient, "lastRequestIdSet", false);
    Reflector.setField(imJsonRpcClient, "lastRequestId", null);
    imJsonRpcClient.setParametersInArray(false);
    Reflector.setField(objectUnderTest, "client", imJsonRpcClient);
    Reflector.setField(objectUnderTest, "session", null);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest = classUnderTest.getDeclaredMethod("generateRequestId");
    methodUnderTest.setAccessible(true);
    final int retval = (int) methodUnderTest.invoke(objectUnderTest);

    // result
    assertEquals(1, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSessionOutputNull() throws Exception {

    // Arrange
    final ImApi objectUnderTest = (ImApi) Reflector.getInstance("com.kerio.im.im.ImApi");
    Reflector.setField(objectUnderTest, "client", null);
    Reflector.setField(objectUnderTest, "session", null);

    // Act
    final KJsonRpcSession retval = objectUnderTest.getSession();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void hostnameInputNotNullPositiveFalseOutputNotNull() throws Exception {

    // Arrange
    final String server = "uuuuuu8u";
    final Integer port = 9;
    final Boolean secure = false;

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "hostname",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.Integer"),
            Reflector.forName("java.lang.Boolean"));
    methodUnderTest.setAccessible(true);
    final String retval = (String) methodUnderTest.invoke(null, server, port, secure);

    // result
    assertEquals("http://uuuuuu8u:9", retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void hostnameInputNotNullZeroTrueOutputNotNull() throws Exception {

    // Arrange
    final String server = "r";
    final Integer port = 0;
    final Boolean secure = true;

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "hostname",
            Reflector.forName("java.lang.String"),
            Reflector.forName("java.lang.Integer"),
            Reflector.forName("java.lang.Boolean"));
    methodUnderTest.setAccessible(true);
    final String retval = (String) methodUnderTest.invoke(null, server, port, secure);

    // result
    assertEquals("https://r:0", retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(IMContactID.class)
  @Test
  public void lambda$createConversation$0InputNotNullOutputNotNull() throws Exception {

    // Arrange
    final IMContactID m = PowerMockito.mock(IMContactID.class);
    final Method getFullNameMethod = DTUMemberMatcher.method(IMContactID.class, "getFullName");
    PowerMockito.doReturn("").when(m, getFullNameMethod).withNoArguments();

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "lambda$createConversation$0", Reflector.forName("com.kerio.im.external.IMContactID"));
    methodUnderTest.setAccessible(true);
    final String retval = (String) methodUnderTest.invoke(null, m);

    // result
    assertEquals("", retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void lambda$createConversation$1InputZeroOutput0() throws Exception {

    // Arrange
    final int size = 0;

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod("lambda$createConversation$1", Reflector.forName("int"));
    methodUnderTest.setAccessible(true);
    final String[] retval = (String[]) methodUnderTest.invoke(null, size);

    // result
    assertArrayEquals(new String[] {}, retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(IMContactID.class)
  @Test
  public void lambda$createConversationOnBehalf$2InputNotNullOutputNotNull() throws Exception {

    // Arrange
    final IMContactID m = PowerMockito.mock(IMContactID.class);
    final Method getFullNameMethod = DTUMemberMatcher.method(IMContactID.class, "getFullName");
    PowerMockito.doReturn("").when(m, getFullNameMethod).withNoArguments();

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "lambda$createConversationOnBehalf$2",
            Reflector.forName("com.kerio.im.external.IMContactID"));
    methodUnderTest.setAccessible(true);
    final String retval = (String) methodUnderTest.invoke(null, m);

    // result
    assertEquals("", retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void lambda$createConversationOnBehalf$3InputZeroOutput0() throws Exception {

    // Arrange
    final int size = 0;

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImApi");
    final Method methodUnderTest =
        classUnderTest.getDeclaredMethod(
            "lambda$createConversationOnBehalf$3", Reflector.forName("int"));
    methodUnderTest.setAccessible(true);
    final String[] retval = (String[]) methodUnderTest.invoke(null, size);

    // result
    assertArrayEquals(new String[] {}, retval);
  }
}
