package com.kerio.im.im;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;
import static org.mockito.AdditionalMatchers.or;
import static org.mockito.Matchers.isA;
import static org.mockito.Matchers.isNull;

import com.diffblue.deeptestutils.Reflector;
import com.diffblue.deeptestutils.mock.DTUMemberMatcher;
import java.lang.reflect.Method;
import org.jabsorb.JSONSerializer;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class ImJsonRpcClientDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIdOutputPositive() throws Exception {

    // Arrange
    final ImJsonRpcClient objectUnderTest =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    objectUnderTest.serializer = null;
    Reflector.setField(objectUnderTest, "session", null);
    Reflector.setField(objectUnderTest, "logger", null);
    Reflector.setField(objectUnderTest, "lastRequestIdSet", false);
    Reflector.setField(objectUnderTest, "lastRequestId", 0);
    objectUnderTest.setParametersInArray(false);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImJsonRpcClient");
    final Method methodUnderTest = classUnderTest.getDeclaredMethod("getId");
    methodUnderTest.setAccessible(true);
    final int retval = (int) methodUnderTest.invoke(objectUnderTest);

    // result
    assertEquals(1, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIdOutputZero() throws Exception {

    // Arrange
    final ImJsonRpcClient objectUnderTest =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    objectUnderTest.serializer = null;
    Reflector.setField(objectUnderTest, "session", null);
    Reflector.setField(objectUnderTest, "logger", null);
    Reflector.setField(objectUnderTest, "lastRequestIdSet", true);
    Reflector.setField(objectUnderTest, "lastRequestId", 0);
    objectUnderTest.setParametersInArray(false);

    // Act
    final Class<?> classUnderTest = Reflector.forName("com.kerio.im.im.ImJsonRpcClient");
    final Method methodUnderTest = classUnderTest.getDeclaredMethod("getId");
    methodUnderTest.setAccessible(true);
    final int retval = (int) methodUnderTest.invoke(objectUnderTest);

    // result
    assertEquals(0, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getLastRequestIdOutputZero() throws Exception {

    // Arrange
    final ImJsonRpcClient objectUnderTest =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    objectUnderTest.serializer = null;
    Reflector.setField(objectUnderTest, "session", null);
    Reflector.setField(objectUnderTest, "logger", null);
    Reflector.setField(objectUnderTest, "lastRequestIdSet", false);
    Reflector.setField(objectUnderTest, "lastRequestId", 0);
    objectUnderTest.setParametersInArray(false);

    // Act
    final int retval = objectUnderTest.getLastRequestId();

    // result
    assertEquals(0, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSerializerOutputNull() throws Exception {

    // Arrange
    final ImJsonRpcClient objectUnderTest =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    objectUnderTest.serializer = null;
    Reflector.setField(objectUnderTest, "session", null);
    Reflector.setField(objectUnderTest, "logger", null);
    Reflector.setField(objectUnderTest, "lastRequestIdSet", false);
    Reflector.setField(objectUnderTest, "lastRequestId", null);
    objectUnderTest.setParametersInArray(false);

    // Act
    final JSONSerializer retval = objectUnderTest.getSerializer();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void invokeInputZeroNotNull0OutputNotNull() throws Exception {

    // Arrange
    final ImJsonRpcClient objectUnderTest =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    objectUnderTest.serializer = null;
    Reflector.setField(objectUnderTest, "session", null);
    Reflector.setField(objectUnderTest, "logger", null);
    Reflector.setField(objectUnderTest, "lastRequestIdSet", false);
    Reflector.setField(objectUnderTest, "lastRequestId", null);
    objectUnderTest.setParametersInArray(false);
    final Object proxyObj = 0;
    final Method method = (Method) Reflector.getInstance("java.lang.reflect.Method");
    Reflector.setField(method, "parameterTypes", null);
    Reflector.setField(method, "clazz", null);
    Reflector.setField(method, "name", "toString");
    Reflector.setField(method, "override", false);
    final Object[] args = {};

    // Act
    final Object retval = objectUnderTest.invoke(proxyObj, method, args);

    // result
    assertEquals("java.lang.Integer@0", retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest({ImJsonRpcClient.class, System.class})
  @Test
  public void invokeInputZeroNotNull0OutputZero() throws Exception {

    // Setup mocks
    PowerMockito.mockStatic(System.class);

    // Arrange
    final ImJsonRpcClient objectUnderTest =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    objectUnderTest.serializer = null;
    Reflector.setField(objectUnderTest, "session", null);
    Reflector.setField(objectUnderTest, "logger", null);
    Reflector.setField(objectUnderTest, "lastRequestIdSet", false);
    Reflector.setField(objectUnderTest, "lastRequestId", null);
    objectUnderTest.setParametersInArray(false);
    final Object proxyObj = 0;
    final Method method = (Method) Reflector.getInstance("java.lang.reflect.Method");
    Reflector.setField(method, "parameterTypes", null);
    Reflector.setField(method, "clazz", null);
    Reflector.setField(method, "name", "hashCode");
    Reflector.setField(method, "override", false);
    final Object[] args = {};
    PowerMockito.when(System.identityHashCode(or(isA(Object.class), isNull(Object.class))))
        .thenReturn(0);

    // Act
    final Object retval = objectUnderTest.invoke(proxyObj, method, args);

    // result
    assertEquals(new Integer(0), retval);
  }

  // Test generated by Diffblue Deeptest.
  @PrepareForTest(JSONSerializer.class)
  @Test
  public void isMarshallNullAttributesOutputFalse() throws Exception {

    // Arrange
    final ImJsonRpcClient objectUnderTest =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    final JSONSerializer jSONSerializer = PowerMockito.mock(JSONSerializer.class);
    final Method getMarshallNullAttributesMethod =
        DTUMemberMatcher.method(JSONSerializer.class, "getMarshallNullAttributes");
    PowerMockito.doReturn(false)
        .when(jSONSerializer, getMarshallNullAttributesMethod)
        .withNoArguments();
    objectUnderTest.serializer = jSONSerializer;
    Reflector.setField(objectUnderTest, "session", null);
    Reflector.setField(objectUnderTest, "logger", null);
    Reflector.setField(objectUnderTest, "lastRequestIdSet", false);
    Reflector.setField(objectUnderTest, "lastRequestId", null);
    objectUnderTest.setParametersInArray(false);

    // Act
    final boolean retval = objectUnderTest.isMarshallNullAttributes();

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void isParametersInArrayOutputFalse() throws Exception {

    // Arrange
    final ImJsonRpcClient objectUnderTest =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    objectUnderTest.serializer = null;
    Reflector.setField(objectUnderTest, "session", null);
    Reflector.setField(objectUnderTest, "logger", null);
    Reflector.setField(objectUnderTest, "lastRequestIdSet", false);
    Reflector.setField(objectUnderTest, "lastRequestId", null);
    objectUnderTest.setParametersInArray(false);

    // Act
    final boolean retval = objectUnderTest.isParametersInArray();

    // result
    assertEquals(false, retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void setRequestIdInputZeroOutputVoid() throws Exception {

    // Arrange
    final ImJsonRpcClient objectUnderTest =
        (ImJsonRpcClient) Reflector.getInstance("com.kerio.im.im.ImJsonRpcClient");
    objectUnderTest.serializer = null;
    Reflector.setField(objectUnderTest, "session", null);
    Reflector.setField(objectUnderTest, "logger", null);
    Reflector.setField(objectUnderTest, "lastRequestIdSet", false);
    Reflector.setField(objectUnderTest, "lastRequestId", null);
    objectUnderTest.setParametersInArray(false);
    final int id = 0;

    // Act
    objectUnderTest.setRequestId(id);
  }
}
