package com.kerio.lib.json.api.connect.admin.iface;

import static org.junit.Assert.assertNull;

import com.kerio.lib.json.api.connect.admin.iface.Users.ActivateOnServerResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.ActivateResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.AuthenticateConnectionFromExternalServiceResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.ConnectFromExternalServiceResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.CreateLdapResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.CreateResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.ExportStatisticsResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.ExportToCsvResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetContactPublicFolderListResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetEffectiveUserRightsResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetFromServerResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetMailboxCountResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetMobileDeviceListResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetNotActivatedResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetPersonalContactResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetRecoveryDeletedItemsSizeResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.GetStatisticsResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.ParseFromCsvResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.RecoverDeletedItemsResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.RemoveResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.SetPersonalContactResult;
import com.kerio.lib.json.api.connect.admin.iface.Users.SetResult;
import com.kerio.lib.json.api.connect.admin.struct.AuthResult;
import com.kerio.lib.json.api.connect.admin.struct.EffectiveUserRights;
import com.kerio.lib.json.api.connect.admin.struct.Importee;
import com.kerio.lib.json.api.connect.admin.struct.MailboxCount;
import com.kerio.lib.json.api.connect.admin.struct.PublicFolder;
import com.kerio.lib.json.api.connect.admin.struct.QuotaUsage;
import com.kerio.lib.json.api.connect.admin.struct.ResultTriplet;
import com.kerio.lib.json.api.connect.admin.struct.User;
import com.kerio.lib.json.api.connect.admin.struct.UserStats;
import com.kerio.lib.json.api.connect.admin.struct.common.Download;
import com.kerio.lib.json.api.connect.admin.struct.common.Error;
import com.kerio.lib.json.api.connect.admin.struct.contacts.PersonalContact;
import com.kerio.lib.json.api.connect.admin.struct.mobile.MobileDevice;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class Users_ActivateOnServerResultDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: Users_ActivateOnServerResult */
  // Test generated by Diffblue Deeptest.

  @Test
  public void getContactsOutputNull() {

    // Arrange
    final GetPersonalContactResult objectUnderTest = new GetPersonalContactResult();

    // Act
    final PersonalContact[] retval = objectUnderTest.getContacts();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getCountOutputNull() {

    // Arrange
    final GetMailboxCountResult objectUnderTest = new GetMailboxCountResult();

    // Act
    final MailboxCount retval = objectUnderTest.getCount();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull() {

    // Arrange
    final ActivateOnServerResult objectUnderTest = new ActivateOnServerResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull2() {

    // Arrange
    final ActivateResult objectUnderTest = new ActivateResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull3() {

    // Arrange
    final CreateLdapResult objectUnderTest = new CreateLdapResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull4() {

    // Arrange
    final CreateResult objectUnderTest = new CreateResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull5() {

    // Arrange
    final GetEffectiveUserRightsResult objectUnderTest = new GetEffectiveUserRightsResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull6() {

    // Arrange
    final GetPersonalContactResult objectUnderTest = new GetPersonalContactResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull7() {

    // Arrange
    final GetRecoveryDeletedItemsSizeResult objectUnderTest =
        new GetRecoveryDeletedItemsSizeResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull8() {

    // Arrange
    final RecoverDeletedItemsResult objectUnderTest = new RecoverDeletedItemsResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull9() {

    // Arrange
    final RemoveResult objectUnderTest = new RemoveResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull10() {

    // Arrange
    final SetPersonalContactResult objectUnderTest = new SetPersonalContactResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull11() {

    // Arrange
    final SetResult objectUnderTest = new SetResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getFileDownloadOutputNull() {

    // Arrange
    final ExportStatisticsResult objectUnderTest = new ExportStatisticsResult();

    // Act
    final Download retval = objectUnderTest.getFileDownload();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getFileDownloadOutputNull2() {

    // Arrange
    final ExportToCsvResult objectUnderTest = new ExportToCsvResult();

    // Act
    final Download retval = objectUnderTest.getFileDownload();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getListOutputNull() {

    // Arrange
    final GetMobileDeviceListResult objectUnderTest = new GetMobileDeviceListResult();

    // Act
    final MobileDevice[] retval = objectUnderTest.getList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getListOutputNull2() {

    // Arrange
    final GetResult objectUnderTest = new GetResult();

    // Act
    final User[] retval = objectUnderTest.getList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getListOutputNull3() {

    // Arrange
    final GetStatisticsResult objectUnderTest = new GetStatisticsResult();

    // Act
    final UserStats[] retval = objectUnderTest.getList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getNewUsersOutputNull() {

    // Arrange
    final GetFromServerResult objectUnderTest = new GetFromServerResult();

    // Act
    final Importee[] retval = objectUnderTest.getNewUsers();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getNewUsersOutputNull2() {

    // Arrange
    final GetNotActivatedResult objectUnderTest = new GetNotActivatedResult();

    // Act
    final Importee[] retval = objectUnderTest.getNewUsers();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPublicFoldersOutputNull() {

    // Arrange
    final GetContactPublicFolderListResult objectUnderTest = new GetContactPublicFolderListResult();

    // Act
    final PublicFolder[] retval = objectUnderTest.getPublicFolders();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getRecoveryMessagesOutputNull() {

    // Arrange
    final RecoverDeletedItemsResult objectUnderTest = new RecoverDeletedItemsResult();

    // Act
    final ResultTriplet[] retval = objectUnderTest.getRecoveryMessages();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getResultOutputNull() {

    // Arrange
    final AuthenticateConnectionFromExternalServiceResult objectUnderTest =
        new AuthenticateConnectionFromExternalServiceResult();

    // Act
    final AuthResult retval = objectUnderTest.getResult();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getResultOutputNull2() {

    // Arrange
    final ConnectFromExternalServiceResult objectUnderTest = new ConnectFromExternalServiceResult();

    // Act
    final Boolean retval = objectUnderTest.getResult();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getResultOutputNull3() {

    // Arrange
    final CreateLdapResult objectUnderTest = new CreateLdapResult();

    // Act
    final com.kerio.lib.json.api.connect.admin.struct.common.CreateResult[] retval =
        objectUnderTest.getResult();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getResultOutputNull4() {

    // Arrange
    final CreateResult objectUnderTest = new CreateResult();

    // Act
    final com.kerio.lib.json.api.connect.admin.struct.common.CreateResult[] retval =
        objectUnderTest.getResult();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getResultOutputNull5() {

    // Arrange
    final GetEffectiveUserRightsResult objectUnderTest = new GetEffectiveUserRightsResult();

    // Act
    final EffectiveUserRights[] retval = objectUnderTest.getResult();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSizeListOutputNull() {

    // Arrange
    final GetRecoveryDeletedItemsSizeResult objectUnderTest =
        new GetRecoveryDeletedItemsSizeResult();

    // Act
    final QuotaUsage[] retval = objectUnderTest.getSizeList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getTotalItemsOutputNull() {

    // Arrange
    final GetMobileDeviceListResult objectUnderTest = new GetMobileDeviceListResult();

    // Act
    final Integer retval = objectUnderTest.getTotalItems();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getTotalItemsOutputNull2() {

    // Arrange
    final GetResult objectUnderTest = new GetResult();

    // Act
    final Integer retval = objectUnderTest.getTotalItems();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getUsersOutputNull() {

    // Arrange
    final ParseFromCsvResult objectUnderTest = new ParseFromCsvResult();

    // Act
    final Importee[] retval = objectUnderTest.getUsers();

    // result
    assertNull(retval);
  }
}
