package com.kerio.lib.json.api.connect.admin.struct;

import static org.junit.Assert.assertNull;

import com.kerio.lib.json.api.connect.admin.struct.common.ByteUnits;
import com.kerio.lib.json.api.connect.admin.struct.common.ByteValueWithUnits;
import com.kerio.lib.json.api.connect.admin.struct.common.OptionalString;
import com.kerio.lib.json.api.connect.admin.struct.common.SizeLimit;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class DomainDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: Domain */
  // Test generated by Diffblue Deeptest.

  @Test
  public void getAliasListOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final String[] retval = objectUnderTest.getAliasList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getArchiveBeforeFilterOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setAutoDelete(actionAfterDays);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays1 = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays1);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getArchiveBeforeFilter();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getArchiveIncomingMessagesOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getArchiveIncomingMessages();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getArchiveLocalMessagesOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setAutoDelete(actionAfterDays);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays1 = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays1);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getArchiveLocalMessages();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getArchiveOutgoingMessagesOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setAutoDelete(actionAfterDays);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays1 = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays1);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getArchiveOutgoingMessages();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getAutoDeleteOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit = new SizeLimit();
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(0);
    forwarding.setHow(DeliveryType.OfflineEtrn);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final ActionAfterDays retval = objectUnderTest.getAutoDelete();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getCheckSpoofedSenderOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getCheckSpoofedSender();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getCustomClientLogoOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    objectUnderTest.setOutgoingMessageLimit(null);
    objectUnderTest.setIsLdapManagementAllowed(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setDeletedItems(actionAfterDays);
    objectUnderTest.setPasswordMinimumLength(null);
    objectUnderTest.setJunkEmail(null);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    objectUnderTest.setDomainFooter(null);

    // Act
    final CustomImage retval = objectUnderTest.getCustomClientLogo();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDeletedItemsOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.OfflineEtrn);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final ActionAfterDays retval = objectUnderTest.getDeletedItems();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDescriptionOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final String retval = objectUnderTest.getDescription();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDomainFooterOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    objectUnderTest.setOutgoingMessageLimit(null);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    objectUnderTest.setDomainFooter(null);

    // Act
    final Footer retval = objectUnderTest.getDomainFooter();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDomainQuotaOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    objectUnderTest.setOutgoingMessageLimit(null);
    objectUnderTest.setIsLdapManagementAllowed(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setDeletedItems(actionAfterDays);
    objectUnderTest.setPasswordMinimumLength(null);
    objectUnderTest.setJunkEmail(null);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    final DirectoryService directoryService = new DirectoryService();
    directoryService.setHostname("");
    directoryService.setIsEnabled(false);
    directoryService.setBackupHostname("");
    directoryService.setDirectoryName(null);
    directoryService.setServiceType(DirectoryServiceType.CustomLDAP);
    directoryService.setCustomMapFile("");
    directoryService.setLdapSuffix("");
    final DirectoryAuthentication directoryAuthentication = new DirectoryAuthentication();
    directoryAuthentication.setPassword("");
    directoryAuthentication.setUsername("");
    directoryAuthentication.setIsSecure(false);
    directoryService.setAuthentication(directoryAuthentication);
    objectUnderTest.setService(directoryService);
    objectUnderTest.setPasswordHistoryCount(null);
    objectUnderTest.setDomainFooter(null);

    // Act
    final DomainQuota retval = objectUnderTest.getDomainQuota();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getForwardingOptionsOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setDeletedItems(actionAfterDays);
    objectUnderTest.setPasswordMinimumLength(null);
    objectUnderTest.setJunkEmail(null);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    objectUnderTest.setDomainFooter(null);

    // Act
    final Forwarding retval = objectUnderTest.getForwardingOptions();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIdOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final String retval = objectUnderTest.getId();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIpAddressBindOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.OfflineEtrn);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final OptionalString retval = objectUnderTest.getIpAddressBind();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIsDistributedOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getIsDistributed();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIsDkimEnabledOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getIsDkimEnabled();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIsInstantMessagingEnabledOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setAutoDelete(actionAfterDays);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays1 = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays1);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getIsInstantMessagingEnabled();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIsLdapManagementAllowedOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getIsLdapManagementAllowed();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIsPrimaryOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    final DomainQuota domainQuota = new DomainQuota();
    objectUnderTest.setDomainQuota(domainQuota);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    objectUnderTest.setJunkEmail(null);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(0);
    forwarding.setHow(null);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    final DirectoryService directoryService = new DirectoryService();
    directoryService.setHostname("");
    directoryService.setIsEnabled(false);
    directoryService.setBackupHostname("");
    directoryService.setDirectoryName("");
    directoryService.setServiceType(DirectoryServiceType.CustomLDAP);
    directoryService.setCustomMapFile("");
    directoryService.setLdapSuffix("");
    final DirectoryAuthentication directoryAuthentication = new DirectoryAuthentication();
    directoryAuthentication.setPassword("");
    directoryAuthentication.setUsername("");
    directoryAuthentication.setIsSecure(false);
    directoryService.setAuthentication(directoryAuthentication);
    objectUnderTest.setService(directoryService);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getIsPrimary();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getJunkEmailOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setAutoDelete(actionAfterDays);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    objectUnderTest.setJunkEmail(null);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final ActionAfterDays retval = objectUnderTest.getJunkEmail();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getKeepForRecoveryOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit = new SizeLimit();
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(0);
    forwarding.setHow(DeliveryType.OfflineEtrn);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final ActionAfterDays retval = objectUnderTest.getKeepForRecovery();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getKerberosRealmOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm(null);
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    objectUnderTest.setJunkEmail(null);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(0);
    forwarding.setHow(DeliveryType.OfflineEtrn);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final String retval = objectUnderTest.getKerberosRealm();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getLogoOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(null);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final WebmailLogo retval = objectUnderTest.getLogo();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getNameOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName(null);
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final String retval = objectUnderTest.getName();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getOutgoingMessageLimitOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    objectUnderTest.setOutgoingMessageLimit(null);
    objectUnderTest.setIsLdapManagementAllowed(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setDeletedItems(actionAfterDays);
    objectUnderTest.setPasswordMinimumLength(null);
    objectUnderTest.setJunkEmail(null);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(0);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost(null);
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    final DirectoryService directoryService = new DirectoryService();
    directoryService.setHostname("");
    directoryService.setIsEnabled(false);
    directoryService.setBackupHostname("");
    directoryService.setDirectoryName("");
    directoryService.setServiceType(DirectoryServiceType.WindowsActiveDirectory);
    directoryService.setCustomMapFile("");
    directoryService.setLdapSuffix("");
    final DirectoryAuthentication directoryAuthentication = new DirectoryAuthentication();
    directoryAuthentication.setPassword("");
    directoryAuthentication.setUsername("");
    directoryAuthentication.setIsSecure(false);
    directoryService.setAuthentication(directoryAuthentication);
    objectUnderTest.setService(directoryService);
    objectUnderTest.setPasswordHistoryCount(null);
    objectUnderTest.setDomainFooter(null);

    // Act
    final SizeLimit retval = objectUnderTest.getOutgoingMessageLimit();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPamRealmOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    final DomainQuota domainQuota = new DomainQuota();
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    sizeLimit.setLimit(byteValueWithUnits);
    domainQuota.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setDomainQuota(domainQuota);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit1 = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits1.setValue(0);
    sizeLimit1.setLimit(byteValueWithUnits1);
    sizeLimit1.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit1);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final String retval = objectUnderTest.getPamRealm();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPasswordComplexityEnabledOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getPasswordComplexityEnabled();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPasswordExpirationDaysOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Integer retval = objectUnderTest.getPasswordExpirationDays();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPasswordExpirationEnabledOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(null);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    final DomainQuota domainQuota = new DomainQuota();
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(null);
    sizeLimit.setLimit(byteValueWithUnits);
    domainQuota.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setDomainQuota(domainQuota);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit1 = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits1.setValue(0);
    sizeLimit1.setLimit(byteValueWithUnits1);
    sizeLimit1.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit1);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getPasswordExpirationEnabled();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPasswordHistoryCountOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    final DomainQuota domainQuota = new DomainQuota();
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    sizeLimit.setLimit(byteValueWithUnits);
    domainQuota.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setDomainQuota(domainQuota);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit1 = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits1.setValue(0);
    sizeLimit1.setLimit(byteValueWithUnits1);
    sizeLimit1.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit1);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Integer retval = objectUnderTest.getPasswordHistoryCount();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPasswordMinimumLengthOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.OfflineEtrn);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Integer retval = objectUnderTest.getPasswordMinimumLength();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getRemoteArchiveAddressOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final String retval = objectUnderTest.getRemoteArchiveAddress();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getRenameInfoOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    objectUnderTest.setOutgoingMessageLimit(null);
    objectUnderTest.setIsLdapManagementAllowed(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setDeletedItems(actionAfterDays);
    objectUnderTest.setPasswordMinimumLength(null);
    objectUnderTest.setJunkEmail(null);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    final DirectoryService directoryService = new DirectoryService();
    directoryService.setHostname("");
    directoryService.setIsEnabled(false);
    directoryService.setBackupHostname("");
    directoryService.setDirectoryName("");
    directoryService.setServiceType(DirectoryServiceType.CustomLDAP);
    directoryService.setCustomMapFile("");
    directoryService.setLdapSuffix("");
    final DirectoryAuthentication directoryAuthentication = new DirectoryAuthentication();
    directoryAuthentication.setPassword("");
    directoryAuthentication.setUsername("");
    directoryAuthentication.setIsSecure(false);
    directoryService.setAuthentication(directoryAuthentication);
    objectUnderTest.setService(directoryService);
    objectUnderTest.setPasswordHistoryCount(null);
    objectUnderTest.setDomainFooter(null);

    // Act
    final DomainRenameInfo retval = objectUnderTest.getRenameInfo();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSentItemsOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setAutoDelete(actionAfterDays);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    final SizeLimit sizeLimit = new SizeLimit(null, byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays1 = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays1);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final ActionAfterDays retval = objectUnderTest.getSentItems();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getServiceOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(0);
    forwarding.setHow(DeliveryType.OfflineEtrn);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final DirectoryService retval = objectUnderTest.getService();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getUseRemoteArchiveAddressOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    objectUnderTest.setDomainQuota(null);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits.setValue(0);
    sizeLimit.setLimit(byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    final Forwarding forwarding = new Forwarding();
    forwarding.setPort(null);
    forwarding.setHow(DeliveryType.Online);
    forwarding.setPreventLoop(false);
    forwarding.setIsEnabled(false);
    forwarding.setHost("");
    objectUnderTest.setForwardingOptions(forwarding);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Boolean retval = objectUnderTest.getUseRemoteArchiveAddress();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getUserMaxCountOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    objectUnderTest.setAutoDelete(null);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    final DomainQuota domainQuota = new DomainQuota();
    final SizeLimit sizeLimit = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    sizeLimit.setLimit(byteValueWithUnits);
    domainQuota.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setDomainQuota(domainQuota);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription("");
    final SizeLimit sizeLimit1 = new SizeLimit();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits1.setValue(0);
    sizeLimit1.setLimit(byteValueWithUnits1);
    sizeLimit1.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit1);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setJunkEmail(actionAfterDays);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName("");
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    objectUnderTest.setService(null);
    objectUnderTest.setPasswordHistoryCount(null);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final Integer retval = objectUnderTest.getUserMaxCount();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getWinNtNameOutputNull() {

    // Arrange
    final Domain objectUnderTest = new Domain();
    objectUnderTest.setPasswordExpirationEnabled(false);
    final ActionAfterDays actionAfterDays = new ActionAfterDays();
    objectUnderTest.setAutoDelete(actionAfterDays);
    objectUnderTest.setSentItems(null);
    objectUnderTest.setId(null);
    objectUnderTest.setKerberosRealm("");
    objectUnderTest.setName("");
    objectUnderTest.setCheckSpoofedSender(null);
    objectUnderTest.setPasswordExpirationDays(null);
    objectUnderTest.setIsDistributed(null);
    objectUnderTest.setUseRemoteArchiveAddress(null);
    objectUnderTest.setIsInstantMessagingEnabled(null);
    objectUnderTest.setIsDkimEnabled(null);
    final DomainQuota domainQuota = new DomainQuota();
    objectUnderTest.setDomainQuota(domainQuota);
    objectUnderTest.setCustomClientLogo(null);
    objectUnderTest.setArchiveIncomingMessages(null);
    objectUnderTest.setRenameInfo(null);
    objectUnderTest.setIpAddressBind(null);
    objectUnderTest.setDescription(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    final SizeLimit sizeLimit = new SizeLimit(null, byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setOutgoingMessageLimit(sizeLimit);
    objectUnderTest.setIsLdapManagementAllowed(null);
    objectUnderTest.setDeletedItems(null);
    objectUnderTest.setPasswordMinimumLength(null);
    objectUnderTest.setJunkEmail(null);
    objectUnderTest.setRemoteArchiveAddress(null);
    objectUnderTest.setWinNtName(null);
    objectUnderTest.setLogo(null);
    objectUnderTest.setUserMaxCount(null);
    objectUnderTest.setArchiveLocalMessages(null);
    objectUnderTest.setKeepForRecovery(null);
    objectUnderTest.setPamRealm(null);
    objectUnderTest.setForwardingOptions(null);
    objectUnderTest.setArchiveOutgoingMessages(null);
    objectUnderTest.setArchiveBeforeFilter(null);
    objectUnderTest.setPasswordComplexityEnabled(null);
    objectUnderTest.setAliasList(null);
    objectUnderTest.setIsPrimary(null);
    final DirectoryService directoryService = new DirectoryService();
    directoryService.setHostname("");
    directoryService.setIsEnabled(false);
    directoryService.setBackupHostname("");
    directoryService.setDirectoryName("");
    directoryService.setServiceType(DirectoryServiceType.CustomLDAP);
    directoryService.setCustomMapFile("");
    directoryService.setLdapSuffix("");
    final DirectoryAuthentication directoryAuthentication = new DirectoryAuthentication();
    directoryAuthentication.setPassword("");
    directoryAuthentication.setUsername("");
    directoryAuthentication.setIsSecure(false);
    directoryService.setAuthentication(directoryAuthentication);
    objectUnderTest.setService(directoryService);
    objectUnderTest.setPasswordHistoryCount(0);
    final Footer footer = new Footer();
    footer.setIsUsedInDomain(false);
    footer.setIsHtml(false);
    footer.setText("");
    footer.setIsUsed(false);
    objectUnderTest.setDomainFooter(footer);

    // Act
    final String retval = objectUnderTest.getWinNtName();

    // result
    assertNull(retval);
  }
}
