package com.kerio.lib.json.api.connect.admin.struct;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import com.kerio.lib.json.api.connect.admin.struct.common.ByteUnits;
import com.kerio.lib.json.api.connect.admin.struct.common.ByteValueWithUnits;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class ServerStatisticsDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: ServerStatistics */
  // Test generated by Diffblue Deeptest.

  @Test
  public void getAntibombingOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    occupiedStorage.setTotal(byteValueWithUnits);
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    occupiedStorage.setOccupied(byteValueWithUnits1);
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput2);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(null);
    messageThroughput3.setVolume(byteValueWithUnits2);
    objectUnderTest.setMx(messageThroughput3);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    messageThroughput4.setVolume(null);
    messageThroughput4.setCount(null);
    messageThroughput4.setRecipients("");
    objectUnderTest.setStoredInQueue(messageThroughput4);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput5 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput5);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final AntibombingStats retval = objectUnderTest.getAntibombing();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getAntivirusOutputNull() {

    // Arrange
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(null);
    occupiedStorage.setOccupied(byteValueWithUnits);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    messageThroughput1.setVolume(byteValueWithUnits1);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits2);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits3 = new ByteValueWithUnits();
    byteValueWithUnits3.setValue(null);
    messageThroughput3.setVolume(byteValueWithUnits3);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits4 = new ByteValueWithUnits();
    otherStats.setLargest(byteValueWithUnits4);
    final ServerStatistics objectUnderTest =
        new ServerStatistics(
            0,
            null,
            occupiedStorage,
            messageThroughput,
            messageThroughput1,
            messageThroughput2,
            null,
            messageThroughput3,
            null,
            null,
            null,
            null,
            null,
            otherStats,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null);
    objectUnderTest.setGreylisting(null);

    // Act
    final AntivirusStats retval = objectUnderTest.getAntivirus();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDeliveredToLocalsOutputNotNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    objectUnderTest.setReceived(null);
    objectUnderTest.setDeliveryStatus(null);
    final Pop3ClientStats pop3ClientStats = new Pop3ClientStats();
    objectUnderTest.setPop3Client(pop3ClientStats);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.KiloBytes);
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    messageThroughput.setCount(null);
    messageThroughput.setRecipients("");
    objectUnderTest.setTransmitted(messageThroughput);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput1);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.GigaBytes);
    byteValueWithUnits1.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits1);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients(null);
    objectUnderTest.setMx(messageThroughput2);
    final DnsResolverStats dnsResolverStats = new DnsResolverStats();
    objectUnderTest.setDnsResolver(dnsResolverStats);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(0);
    otherStats.setLargest(byteValueWithUnits2);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    objectUnderTest.setStoredInQueue(null);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput3);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final MessageThroughput retval = objectUnderTest.getDeliveredToLocals();

    // result
    assertNotNull(retval);
    assertNull(retval.getVolume());
    assertNull(retval.getCount());
    assertNull(retval.getRecipients());
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDeliveryStatusOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    messageThroughput.setVolume(null);
    messageThroughput.setCount(null);
    messageThroughput.setRecipients("");
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    final Pop3ClientStats pop3ClientStats = new Pop3ClientStats();
    objectUnderTest.setPop3Client(pop3ClientStats);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    messageThroughput1.setVolume(null);
    messageThroughput1.setCount(null);
    messageThroughput1.setRecipients("");
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    objectUnderTest.setRelay(null);
    objectUnderTest.setFailures(null);
    objectUnderTest.setMx(null);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    otherStats.setLoops(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.KiloBytes);
    byteValueWithUnits.setValue(null);
    otherStats.setLargest(byteValueWithUnits);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits1);
    objectUnderTest.setStoredInQueue(messageThroughput2);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    messageThroughput3.setVolume(null);
    messageThroughput3.setCount(null);
    messageThroughput3.setRecipients("");
    objectUnderTest.setDeliveredToLocals(messageThroughput3);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final Notifications retval = objectUnderTest.getDeliveryStatus();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDnsResolverOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    objectUnderTest.setReceived(null);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    objectUnderTest.setTransmitted(messageThroughput);
    objectUnderTest.setWebServer(null);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput1);
    objectUnderTest.setFailures(null);
    objectUnderTest.setMx(null);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    messageThroughput2.setVolume(null);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients("");
    objectUnderTest.setStoredInQueue(messageThroughput2);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    objectUnderTest.setDeliveredToLocals(null);
    objectUnderTest.setImapServer(null);
    final AntivirusStats antivirusStats = new AntivirusStats();
    antivirusStats.setProhibitedTypes(null);
    antivirusStats.setCheckedAttachments("");
    antivirusStats.setFoundViruses(null);
    objectUnderTest.setAntivirus(antivirusStats);
    objectUnderTest.setSmtpServer(null);
    final Distance distance = new Distance(0, null, null);
    objectUnderTest.setUptime(distance);
    objectUnderTest.setLdapServer(null);

    // Act
    final DnsResolverStats retval = objectUnderTest.getDnsResolver();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getFailuresOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    messageThroughput.setVolume(null);
    messageThroughput.setCount("");
    messageThroughput.setRecipients(null);
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(null);
    messageThroughput1.setVolume(byteValueWithUnits);
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(null);
    occupiedStorage.setOccupied(byteValueWithUnits1);
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput2);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setUnits(ByteUnits.MegaBytes);
    byteValueWithUnits2.setValue(null);
    messageThroughput3.setVolume(byteValueWithUnits2);
    messageThroughput3.setCount("");
    messageThroughput3.setRecipients(null);
    objectUnderTest.setMx(messageThroughput3);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits3 = new ByteValueWithUnits();
    byteValueWithUnits3.setValue(null);
    otherStats.setLargest(byteValueWithUnits3);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits4 = new ByteValueWithUnits();
    byteValueWithUnits4.setValue(0);
    messageThroughput4.setVolume(byteValueWithUnits4);
    objectUnderTest.setStoredInQueue(messageThroughput4);
    objectUnderTest.setStart(0);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    objectUnderTest.setDeliveredToLocals(null);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final FailureAndBounce retval = objectUnderTest.getFailures();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getGreylistingOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    occupiedStorage.setTotal(byteValueWithUnits);
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    occupiedStorage.setOccupied(byteValueWithUnits1);
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput2);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(null);
    messageThroughput3.setVolume(byteValueWithUnits2);
    objectUnderTest.setMx(messageThroughput3);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    messageThroughput4.setVolume(null);
    messageThroughput4.setCount(null);
    messageThroughput4.setRecipients("");
    objectUnderTest.setStoredInQueue(messageThroughput4);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput5 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput5);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final GreylistingStats retval = objectUnderTest.getGreylisting();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getImapServerOutputNull() {

    // Arrange
    final MessageThroughput messageThroughput = new MessageThroughput();
    final Pop3ClientStats pop3ClientStats = new Pop3ClientStats();
    final ServerStatistics objectUnderTest =
        new ServerStatistics(
            0,
            null,
            null,
            messageThroughput,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            pop3ClientStats,
            null,
            null,
            null,
            null,
            null,
            null,
            null);

    // Act
    final ImapServerStats retval = objectUnderTest.getImapServer();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getLdapServerOutputNull() {

    // Arrange
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    occupiedStorage.setOccupied(byteValueWithUnits);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits1);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(0);
    messageThroughput1.setVolume(byteValueWithUnits2);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits3 = new ByteValueWithUnits();
    byteValueWithUnits3.setValue(null);
    messageThroughput4.setVolume(byteValueWithUnits3);
    final MessageThroughput messageThroughput5 = new MessageThroughput();
    messageThroughput5.setVolume(null);
    final ServerStatistics objectUnderTest =
        new ServerStatistics(
            null,
            null,
            occupiedStorage,
            messageThroughput,
            messageThroughput1,
            messageThroughput2,
            messageThroughput3,
            messageThroughput4,
            messageThroughput5,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null);
    objectUnderTest.setAntivirus(null);

    // Act
    final LdapServerStats retval = objectUnderTest.getLdapServer();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getMxOutputNotNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    objectUnderTest.setReceived(null);
    objectUnderTest.setDeliveryStatus(null);
    final Pop3ClientStats pop3ClientStats = new Pop3ClientStats();
    objectUnderTest.setPop3Client(pop3ClientStats);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.KiloBytes);
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    messageThroughput.setCount(null);
    messageThroughput.setRecipients("");
    objectUnderTest.setTransmitted(messageThroughput);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput1);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.GigaBytes);
    byteValueWithUnits1.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits1);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients(null);
    objectUnderTest.setMx(messageThroughput2);
    final DnsResolverStats dnsResolverStats = new DnsResolverStats();
    objectUnderTest.setDnsResolver(dnsResolverStats);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(0);
    otherStats.setLargest(byteValueWithUnits2);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    objectUnderTest.setStoredInQueue(null);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput3);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final MessageThroughput retval = objectUnderTest.getMx();

    // result
    assertNotNull(retval);
    assertNotNull(retval.getVolume());
    assertEquals(ByteUnits.GigaBytes, retval.getVolume().getUnits());
    assertNull(retval.getVolume().getValue());
    assertNull(retval.getCount());
    assertNull(retval.getRecipients());
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getOtherOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.getUnits();
    messageThroughput1.setVolume(byteValueWithUnits);
    objectUnderTest.setTransmitted(messageThroughput1);
    final WebServerStats webServerStats = new WebServerStats();
    objectUnderTest.setWebServer(webServerStats);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    occupiedStorage.setPercentage("");
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    occupiedStorage.setTotal(byteValueWithUnits1);
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(0);
    occupiedStorage.setOccupied(byteValueWithUnits2);
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    messageThroughput2.setVolume(null);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients("");
    objectUnderTest.setRelay(messageThroughput2);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits3 = new ByteValueWithUnits();
    byteValueWithUnits3.getUnits();
    messageThroughput3.setVolume(byteValueWithUnits3);
    objectUnderTest.setMx(messageThroughput3);
    objectUnderTest.setDnsResolver(null);
    objectUnderTest.setOther(null);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    objectUnderTest.setStoredInQueue(messageThroughput4);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput5 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits4 = new ByteValueWithUnits();
    byteValueWithUnits4.getUnits();
    messageThroughput5.setVolume(byteValueWithUnits4);
    objectUnderTest.setDeliveredToLocals(messageThroughput5);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final OtherStats retval = objectUnderTest.getOther();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPop3ClientOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    messageThroughput.setVolume(byteValueWithUnits);
    messageThroughput.setCount("");
    messageThroughput.setRecipients(null);
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    messageThroughput1.setVolume(null);
    messageThroughput1.setCount(null);
    messageThroughput1.setRecipients("");
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    occupiedStorage.setPercentage("");
    occupiedStorage.setTotal(null);
    occupiedStorage.setOccupied(null);
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    objectUnderTest.setRelay(null);
    objectUnderTest.setFailures(null);
    objectUnderTest.setMx(null);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    objectUnderTest.setStoredInQueue(null);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    objectUnderTest.setDeliveredToLocals(null);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final Pop3ClientStats retval = objectUnderTest.getPop3Client();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPop3ServerOutputNull() {

    // Arrange
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(null);
    occupiedStorage.setOccupied(byteValueWithUnits);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(null);
    messageThroughput1.setVolume(byteValueWithUnits1);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits2);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits3 = new ByteValueWithUnits();
    byteValueWithUnits3.setValue(null);
    messageThroughput3.setVolume(byteValueWithUnits3);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    final OtherStats otherStats = new OtherStats();
    final ServerStatistics objectUnderTest =
        new ServerStatistics(
            0,
            null,
            occupiedStorage,
            messageThroughput,
            messageThroughput1,
            messageThroughput2,
            messageThroughput3,
            messageThroughput4,
            null,
            null,
            null,
            null,
            null,
            otherStats,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null);
    objectUnderTest.setRelay(null);

    // Act
    final Pop3ServerStats retval = objectUnderTest.getPop3Server();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getReceivedOutputNotNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    messageThroughput.setVolume(byteValueWithUnits);
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    occupiedStorage.setOccupied(byteValueWithUnits1);
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    occupiedStorage.setTotal(byteValueWithUnits2);
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    messageThroughput2.setVolume(null);
    messageThroughput2.setCount("");
    messageThroughput2.setRecipients(null);
    objectUnderTest.setRelay(messageThroughput2);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits3 = new ByteValueWithUnits();
    byteValueWithUnits3.setUnits(ByteUnits.MegaBytes);
    byteValueWithUnits3.setValue(null);
    messageThroughput3.setVolume(byteValueWithUnits3);
    messageThroughput3.setCount(null);
    messageThroughput3.setRecipients(null);
    objectUnderTest.setMx(messageThroughput3);
    objectUnderTest.setDnsResolver(null);
    objectUnderTest.setOther(null);
    objectUnderTest.setGreylisting(null);
    objectUnderTest.setStoredInQueue(null);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits4 = new ByteValueWithUnits();
    messageThroughput4.setVolume(byteValueWithUnits4);
    messageThroughput4.setCount("");
    messageThroughput4.setRecipients(null);
    objectUnderTest.setDeliveredToLocals(messageThroughput4);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final MessageThroughput retval = objectUnderTest.getReceived();

    // result
    assertNotNull(retval);
    assertNotNull(retval.getVolume());
    assertNull(retval.getVolume().getUnits());
    assertNull(retval.getVolume().getValue());
    assertNull(retval.getCount());
    assertNull(retval.getRecipients());
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getRelayOutputNotNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    objectUnderTest.setReceived(null);
    objectUnderTest.setDeliveryStatus(null);
    final Pop3ClientStats pop3ClientStats = new Pop3ClientStats();
    objectUnderTest.setPop3Client(pop3ClientStats);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.KiloBytes);
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    messageThroughput.setCount(null);
    messageThroughput.setRecipients("");
    objectUnderTest.setTransmitted(messageThroughput);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput1);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.GigaBytes);
    byteValueWithUnits1.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits1);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients(null);
    objectUnderTest.setMx(messageThroughput2);
    final DnsResolverStats dnsResolverStats = new DnsResolverStats();
    objectUnderTest.setDnsResolver(dnsResolverStats);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(0);
    otherStats.setLargest(byteValueWithUnits2);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    objectUnderTest.setStoredInQueue(null);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput3);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final MessageThroughput retval = objectUnderTest.getRelay();

    // result
    assertNotNull(retval);
    assertNull(retval.getVolume());
    assertNull(retval.getCount());
    assertNull(retval.getRecipients());
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSmtpClientOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    occupiedStorage.setPercentage(null);
    occupiedStorage.setTotal(null);
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.KiloBytes);
    byteValueWithUnits1.setValue(0);
    occupiedStorage.setOccupied(byteValueWithUnits1);
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput2);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    objectUnderTest.setMx(messageThroughput3);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(null);
    messageThroughput4.setVolume(byteValueWithUnits2);
    objectUnderTest.setStoredInQueue(messageThroughput4);
    objectUnderTest.setStart(0);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput5 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput5);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    final Distance distance = new Distance();
    objectUnderTest.setUptime(distance);
    objectUnderTest.setLdapServer(null);

    // Act
    final SmtpClientStats retval = objectUnderTest.getSmtpClient();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSmtpServerOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    messageThroughput1.setVolume(null);
    messageThroughput1.setCount(null);
    messageThroughput1.setRecipients("");
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    objectUnderTest.setRelay(null);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    objectUnderTest.setMx(messageThroughput2);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    objectUnderTest.setStoredInQueue(messageThroughput3);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits1.setValue(null);
    messageThroughput4.setVolume(byteValueWithUnits1);
    messageThroughput4.setCount(null);
    messageThroughput4.setRecipients(null);
    objectUnderTest.setDeliveredToLocals(messageThroughput4);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final SmtpServerStats retval = objectUnderTest.getSmtpServer();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSpamOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    objectUnderTest.setReceived(null);
    objectUnderTest.setDeliveryStatus(null);
    final Pop3ClientStats pop3ClientStats = new Pop3ClientStats();
    objectUnderTest.setPop3Client(pop3ClientStats);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.KiloBytes);
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    messageThroughput.setCount(null);
    messageThroughput.setRecipients("");
    objectUnderTest.setTransmitted(messageThroughput);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput1);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.GigaBytes);
    byteValueWithUnits1.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits1);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients(null);
    objectUnderTest.setMx(messageThroughput2);
    final DnsResolverStats dnsResolverStats = new DnsResolverStats();
    objectUnderTest.setDnsResolver(dnsResolverStats);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(0);
    otherStats.setLargest(byteValueWithUnits2);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    objectUnderTest.setStoredInQueue(null);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput3);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final SpamStats retval = objectUnderTest.getSpam();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getStartOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    objectUnderTest.setReceived(null);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    messageThroughput.setVolume(byteValueWithUnits);
    messageThroughput.setCount("");
    messageThroughput.setRecipients(null);
    objectUnderTest.setTransmitted(messageThroughput);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput1);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits1);
    objectUnderTest.setMx(messageThroughput2);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(null);
    otherStats.setLargest(byteValueWithUnits2);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    messageThroughput3.setVolume(null);
    messageThroughput3.setCount("");
    messageThroughput3.setRecipients(null);
    objectUnderTest.setStoredInQueue(messageThroughput3);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits3 = new ByteValueWithUnits();
    byteValueWithUnits3.setValue(null);
    messageThroughput4.setVolume(byteValueWithUnits3);
    objectUnderTest.setDeliveredToLocals(messageThroughput4);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    final Distance distance = new Distance(0, null, 0);
    objectUnderTest.setUptime(distance);
    objectUnderTest.setLdapServer(null);

    // Act
    final Integer retval = objectUnderTest.getStart();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getStorageOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    objectUnderTest.setReceived(null);
    objectUnderTest.setDeliveryStatus(null);
    final Pop3ClientStats pop3ClientStats = new Pop3ClientStats();
    objectUnderTest.setPop3Client(pop3ClientStats);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.KiloBytes);
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    messageThroughput.setCount(null);
    messageThroughput.setRecipients("");
    objectUnderTest.setTransmitted(messageThroughput);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput1);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.GigaBytes);
    byteValueWithUnits1.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits1);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients(null);
    objectUnderTest.setMx(messageThroughput2);
    final DnsResolverStats dnsResolverStats = new DnsResolverStats();
    objectUnderTest.setDnsResolver(dnsResolverStats);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(0);
    otherStats.setLargest(byteValueWithUnits2);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    objectUnderTest.setStoredInQueue(null);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput3);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final OccupiedStorage retval = objectUnderTest.getStorage();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getStoredInQueueOutputNotNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    messageThroughput1.setVolume(byteValueWithUnits);
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    objectUnderTest.setRelay(null);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    messageThroughput2.setVolume(null);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients("");
    objectUnderTest.setMx(messageThroughput2);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(null);
    otherStats.setLargest(byteValueWithUnits1);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.getUnits();
    messageThroughput3.setVolume(byteValueWithUnits2);
    objectUnderTest.setStoredInQueue(messageThroughput3);
    objectUnderTest.setStart(0);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput4);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final MessageThroughput retval = objectUnderTest.getStoredInQueue();

    // result
    assertNotNull(retval);
    assertNotNull(retval.getVolume());
    assertNull(retval.getVolume().getUnits());
    assertNull(retval.getVolume().getValue());
    assertNull(retval.getCount());
    assertNull(retval.getRecipients());
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getTransmittedOutputNotNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    objectUnderTest.setReceived(null);
    objectUnderTest.setDeliveryStatus(null);
    final Pop3ClientStats pop3ClientStats = new Pop3ClientStats();
    objectUnderTest.setPop3Client(pop3ClientStats);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.KiloBytes);
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    messageThroughput.setCount(null);
    messageThroughput.setRecipients("");
    objectUnderTest.setTransmitted(messageThroughput);
    objectUnderTest.setWebServer(null);
    objectUnderTest.setStorage(null);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    objectUnderTest.setRelay(messageThroughput1);
    objectUnderTest.setFailures(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setUnits(ByteUnits.GigaBytes);
    byteValueWithUnits1.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits1);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients(null);
    objectUnderTest.setMx(messageThroughput2);
    final DnsResolverStats dnsResolverStats = new DnsResolverStats();
    objectUnderTest.setDnsResolver(dnsResolverStats);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(0);
    otherStats.setLargest(byteValueWithUnits2);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    objectUnderTest.setStoredInQueue(null);
    objectUnderTest.setStart(null);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput3);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final MessageThroughput retval = objectUnderTest.getTransmitted();

    // result
    assertNotNull(retval);
    assertNotNull(retval.getVolume());
    assertEquals(ByteUnits.KiloBytes, retval.getVolume().getUnits());
    assertNull(retval.getVolume().getValue());
    assertNull(retval.getCount());
    assertEquals("", retval.getRecipients());
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getUptimeOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    objectUnderTest.setReceived(messageThroughput);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(null);
    messageThroughput1.setVolume(byteValueWithUnits);
    objectUnderTest.setTransmitted(messageThroughput1);
    objectUnderTest.setWebServer(null);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(null);
    occupiedStorage.setOccupied(byteValueWithUnits1);
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    objectUnderTest.setRelay(null);
    objectUnderTest.setFailures(null);
    objectUnderTest.setMx(null);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setValue(null);
    otherStats.setLargest(byteValueWithUnits2);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits3 = new ByteValueWithUnits();
    byteValueWithUnits3.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits3);
    objectUnderTest.setStoredInQueue(messageThroughput2);
    objectUnderTest.setStart(0);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits4 = new ByteValueWithUnits();
    byteValueWithUnits4.setUnits(ByteUnits.TeraBytes);
    byteValueWithUnits4.setValue(null);
    messageThroughput3.setVolume(byteValueWithUnits4);
    messageThroughput3.setCount(null);
    messageThroughput3.setRecipients(null);
    objectUnderTest.setDeliveredToLocals(messageThroughput3);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    objectUnderTest.setUptime(null);
    objectUnderTest.setLdapServer(null);

    // Act
    final Distance retval = objectUnderTest.getUptime();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getWebServerOutputNull() {

    // Arrange
    final MessageThroughput messageThroughput = new MessageThroughput();
    final Pop3ClientStats pop3ClientStats = new Pop3ClientStats();
    final ServerStatistics objectUnderTest =
        new ServerStatistics(
            null,
            null,
            null,
            null,
            null,
            null,
            messageThroughput,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            null,
            pop3ClientStats,
            null,
            null,
            null,
            null,
            null,
            null,
            null);

    // Act
    final WebServerStats retval = objectUnderTest.getWebServer();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getXmppServerOutputNull() {

    // Arrange
    final ServerStatistics objectUnderTest = new ServerStatistics();
    objectUnderTest.setSmtpClient(null);
    objectUnderTest.setReceived(null);
    objectUnderTest.setDeliveryStatus(null);
    objectUnderTest.setPop3Client(null);
    final MessageThroughput messageThroughput = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setUnits(ByteUnits.Bytes);
    byteValueWithUnits.setValue(null);
    messageThroughput.setVolume(byteValueWithUnits);
    messageThroughput.setCount("");
    messageThroughput.setRecipients(null);
    objectUnderTest.setTransmitted(messageThroughput);
    objectUnderTest.setWebServer(null);
    final OccupiedStorage occupiedStorage = new OccupiedStorage();
    objectUnderTest.setStorage(occupiedStorage);
    objectUnderTest.setAntibombing(null);
    objectUnderTest.setSpam(null);
    final MessageThroughput messageThroughput1 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(null);
    messageThroughput1.setVolume(byteValueWithUnits1);
    objectUnderTest.setRelay(messageThroughput1);
    final FailureAndBounce failureAndBounce = new FailureAndBounce();
    objectUnderTest.setFailures(failureAndBounce);
    final MessageThroughput messageThroughput2 = new MessageThroughput();
    final ByteValueWithUnits byteValueWithUnits2 = new ByteValueWithUnits();
    byteValueWithUnits2.setUnits(ByteUnits.MegaBytes);
    byteValueWithUnits2.setValue(null);
    messageThroughput2.setVolume(byteValueWithUnits2);
    messageThroughput2.setCount(null);
    messageThroughput2.setRecipients("");
    objectUnderTest.setMx(messageThroughput2);
    objectUnderTest.setDnsResolver(null);
    final OtherStats otherStats = new OtherStats();
    final ByteValueWithUnits byteValueWithUnits3 = new ByteValueWithUnits();
    byteValueWithUnits3.setValue(null);
    otherStats.setLargest(byteValueWithUnits3);
    objectUnderTest.setOther(otherStats);
    objectUnderTest.setGreylisting(null);
    final MessageThroughput messageThroughput3 = new MessageThroughput();
    messageThroughput3.setVolume(null);
    messageThroughput3.setCount(null);
    messageThroughput3.setRecipients("");
    objectUnderTest.setStoredInQueue(messageThroughput3);
    objectUnderTest.setStart(0);
    objectUnderTest.setXmppServer(null);
    objectUnderTest.setPop3Server(null);
    final MessageThroughput messageThroughput4 = new MessageThroughput();
    objectUnderTest.setDeliveredToLocals(messageThroughput4);
    objectUnderTest.setImapServer(null);
    objectUnderTest.setAntivirus(null);
    objectUnderTest.setSmtpServer(null);
    final Distance distance = new Distance(null, 0, null);
    objectUnderTest.setUptime(distance);
    objectUnderTest.setLdapServer(null);

    // Act
    final XmppServerStats retval = objectUnderTest.getXmppServer();

    // result
    assertNull(retval);
  }
}
