package com.kerio.lib.json.api.connect.admin.struct;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import com.kerio.lib.json.api.connect.admin.struct.common.ByteValueWithUnits;
import com.kerio.lib.json.api.connect.admin.struct.common.IdEntity;
import com.kerio.lib.json.api.connect.admin.struct.common.SizeLimit;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class UserTemplateDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: UserTemplate */
  // Test generated by Diffblue Deeptest.

  @Test
  public void getAccessPolicyOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    final SizeLimit sizeLimit = new SizeLimit();
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName("");
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(null);
    objectUnderTest.setAuthType(null);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    final UserRight userRight = new UserRight();
    userRight.setArchiveFolderRight(false);
    objectUnderTest.setRole(userRight);
    objectUnderTest.setHasDefaultSpamRule(false);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(false);
    objectUnderTest.setDomainId(null);

    // Act
    final IdEntity retval = objectUnderTest.getAccessPolicy();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getAllowPasswordChangeOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription("");
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    final SizeLimit sizeLimit = new SizeLimit(false, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    final ItemCountLimit itemCountLimit = new ItemCountLimit(false, 0);
    objectUnderTest.setItemLimit(itemCountLimit);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(false);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(ValidFor.OneDomain);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    final String[] stringArray = {null};
    objectUnderTest.setEmailAddresses(stringArray);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final Boolean retval = objectUnderTest.getAllowPasswordChange();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getAuthTypeOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    final UserRight userRight = new UserRight();
    userRight.setArchiveFolderRight(false);
    objectUnderTest.setRole(userRight);

    // Act
    final UserAuthType retval = objectUnderTest.getAuthType();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getCleanOutItemsOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription("");
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    final SizeLimit sizeLimit = new SizeLimit(null, byteValueWithUnits);
    sizeLimit.setIsActive(null);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    final SizeLimit sizeLimit1 = new SizeLimit(false, null);
    objectUnderTest.setOutMessageLimit(sizeLimit1);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(false);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(ValidFor.OneDomain);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final CleanOut retval = objectUnderTest.getCleanOutItems();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getCompanyContactIdOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    objectUnderTest.setDiskSizeLimit(null);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(null);
    objectUnderTest.setAuthType(null);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    final UserRight userRight = new UserRight();
    userRight.setUserRole(UserRoleType.UserRole);
    userRight.setArchiveFolderRight(false);
    userRight.setPublicFolderRight(null);
    objectUnderTest.setRole(userRight);
    objectUnderTest.setHasDefaultSpamRule(false);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final String retval = objectUnderTest.getCompanyContactId();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDescriptionOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    final SizeLimit sizeLimit = new SizeLimit(false, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(0);
    final SizeLimit sizeLimit1 = new SizeLimit(false, byteValueWithUnits1);
    objectUnderTest.setOutMessageLimit(sizeLimit1);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(false);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(ValidFor.OneDomain);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final String retval = objectUnderTest.getDescription();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDiskSizeLimitOutputNotNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    final SizeLimit sizeLimit = new SizeLimit(null, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    final ItemCountLimit itemCountLimit = new ItemCountLimit();
    objectUnderTest.setItemLimit(itemCountLimit);
    objectUnderTest.setPublishInGal(false);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(null);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final SizeLimit retval = objectUnderTest.getDiskSizeLimit();

    // result
    assertNotNull(retval);
    assertNotNull(retval.getLimit());
    assertNull(retval.getLimit().getUnits());
    assertNull(retval.getLimit().getValue());
    assertNull(retval.getIsActive());
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDomainIdOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    final SizeLimit sizeLimit = new SizeLimit(false, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName("");
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    final SizeLimit sizeLimit1 = new SizeLimit(false, null);
    objectUnderTest.setOutMessageLimit(sizeLimit1);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(false);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(ValidFor.OneDomain);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final String retval = objectUnderTest.getDomainId();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getEmailAddressesOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription("");
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    final SizeLimit sizeLimit = new SizeLimit(false, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    final ItemCountLimit itemCountLimit = new ItemCountLimit(false, 0);
    objectUnderTest.setItemLimit(itemCountLimit);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(false);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(ValidFor.OneDomain);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final String[] retval = objectUnderTest.getEmailAddresses();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getEmailForwardingOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription("");
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    final SizeLimit sizeLimit = new SizeLimit(null, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId("");
    objectUnderTest.setName(null);
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    final SizeLimit sizeLimit1 = new SizeLimit(null, byteValueWithUnits1);
    objectUnderTest.setOutMessageLimit(sizeLimit1);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(null);
    objectUnderTest.setAuthType(null);
    objectUnderTest.setId(null);
    final UserGroup[] userGroupArray = {};
    objectUnderTest.setUserGroups(userGroupArray);
    objectUnderTest.setEmailAddresses(null);
    final UserRight userRight = new UserRight();
    objectUnderTest.setRole(userRight);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final EmailForwarding retval = objectUnderTest.getEmailForwarding();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getHasDefaultSpamRuleOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setIsPasswordReversible(false);

    // Act
    final Boolean retval = objectUnderTest.getHasDefaultSpamRule();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getHasDomainRestrictionOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    final SizeLimit sizeLimit = new SizeLimit(false, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    final ByteValueWithUnits byteValueWithUnits1 = new ByteValueWithUnits();
    byteValueWithUnits1.setValue(0);
    final SizeLimit sizeLimit1 = new SizeLimit(false, byteValueWithUnits1);
    objectUnderTest.setOutMessageLimit(sizeLimit1);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(ValidFor.OneDomain);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final Boolean retval = objectUnderTest.getHasDomainRestriction();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getHomeServerIdOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    objectUnderTest.setDiskSizeLimit(null);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(null);
    objectUnderTest.setAuthType(null);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    final UserRight userRight = new UserRight();
    userRight.setUserRole(UserRoleType.UserRole);
    userRight.setArchiveFolderRight(false);
    userRight.setPublicFolderRight(null);
    objectUnderTest.setRole(userRight);
    objectUnderTest.setHasDefaultSpamRule(false);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final String retval = objectUnderTest.getHomeServerId();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIdOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription("");
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    final SizeLimit sizeLimit = new SizeLimit(false, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    final ItemCountLimit itemCountLimit = new ItemCountLimit(false, 0);
    objectUnderTest.setItemLimit(itemCountLimit);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(false);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(ValidFor.OneDomain);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(false);
    objectUnderTest.setDomainId(null);

    // Act
    final String retval = objectUnderTest.getId();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getIsPasswordReversibleOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    objectUnderTest.setDiskSizeLimit(null);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(null);
    objectUnderTest.setAuthType(null);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    final UserRight userRight = new UserRight();
    userRight.setUserRole(UserRoleType.UserRole);
    userRight.setArchiveFolderRight(false);
    userRight.setPublicFolderRight(null);
    objectUnderTest.setRole(userRight);
    objectUnderTest.setHasDefaultSpamRule(false);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final Boolean retval = objectUnderTest.getIsPasswordReversible();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getItemLimitOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    final SizeLimit sizeLimit = new SizeLimit();
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName("");
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(null);
    objectUnderTest.setAuthType(null);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    final UserRight userRight = new UserRight();
    userRight.setArchiveFolderRight(false);
    objectUnderTest.setRole(userRight);
    objectUnderTest.setHasDefaultSpamRule(false);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(false);
    objectUnderTest.setDomainId(null);

    // Act
    final ItemCountLimit retval = objectUnderTest.getItemLimit();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getNameOutputNotNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    final SizeLimit sizeLimit = new SizeLimit();
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName("");
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(null);
    objectUnderTest.setAuthType(null);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    final UserRight userRight = new UserRight();
    userRight.setArchiveFolderRight(false);
    objectUnderTest.setRole(userRight);
    objectUnderTest.setHasDefaultSpamRule(false);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(false);
    objectUnderTest.setDomainId(null);

    // Act
    final String retval = objectUnderTest.getName();

    // result
    assertEquals("", retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getOutMessageLimitOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription("");
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    final SizeLimit sizeLimit = new SizeLimit(null, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName(null);
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    objectUnderTest.setOutMessageLimit(null);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(null);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId(null);

    // Act
    final SizeLimit retval = objectUnderTest.getOutMessageLimit();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPublishInGalOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    objectUnderTest.setEmailForwarding(null);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    final SizeLimit sizeLimit = new SizeLimit(false, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName("");
    objectUnderTest.setItemLimit(null);
    objectUnderTest.setPublishInGal(null);
    final SizeLimit sizeLimit1 = new SizeLimit(false, null);
    objectUnderTest.setOutMessageLimit(sizeLimit1);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(false);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(ValidFor.OneDomain);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(null);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId("");

    // Act
    final Boolean retval = objectUnderTest.getPublishInGal();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getRoleOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setHasDefaultSpamRule(false);

    // Act
    final UserRight retval = objectUnderTest.getRole();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getScopeOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    final UserRight userRight = new UserRight();
    userRight.setArchiveFolderRight(false);
    objectUnderTest.setRole(userRight);

    // Act
    final ValidFor retval = objectUnderTest.getScope();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getUserGroupsOutputNull() {

    // Arrange
    final UserTemplate objectUnderTest = new UserTemplate();
    objectUnderTest.setDescription(null);
    final EmailForwarding emailForwarding = new EmailForwarding();
    objectUnderTest.setEmailForwarding(emailForwarding);
    final ByteValueWithUnits byteValueWithUnits = new ByteValueWithUnits();
    byteValueWithUnits.setValue(0);
    final SizeLimit sizeLimit = new SizeLimit(false, byteValueWithUnits);
    objectUnderTest.setDiskSizeLimit(sizeLimit);
    objectUnderTest.setCleanOutItems(null);
    objectUnderTest.setHomeServerId(null);
    objectUnderTest.setName("");
    final ItemCountLimit itemCountLimit = new ItemCountLimit(false, null);
    objectUnderTest.setItemLimit(itemCountLimit);
    objectUnderTest.setPublishInGal(null);
    final SizeLimit sizeLimit1 = new SizeLimit(false, null);
    objectUnderTest.setOutMessageLimit(sizeLimit1);
    objectUnderTest.setAllowPasswordChange(null);
    objectUnderTest.setHasDomainRestriction(null);
    objectUnderTest.setAccessPolicy(null);
    objectUnderTest.setScope(ValidFor.OneDomain);
    objectUnderTest.setAuthType(UserAuthType.UAppleAuth);
    objectUnderTest.setId(null);
    objectUnderTest.setUserGroups(null);
    objectUnderTest.setEmailAddresses(null);
    objectUnderTest.setRole(null);
    objectUnderTest.setHasDefaultSpamRule(false);
    objectUnderTest.setCompanyContactId(null);
    objectUnderTest.setIsPasswordReversible(null);
    objectUnderTest.setDomainId("");

    // Act
    final UserGroup[] retval = objectUnderTest.getUserGroups();

    // result
    assertNull(retval);
  }
}
