/*
 * Copyright 2015 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.methods;

import com.kerio.im.rpcserver.RpcError;
import java.util.logging.Level;
import java.util.logging.Logger;
import com.kerio.im.rpcserver.RpcMethod;
import com.kerio.im.rpcserver.SessionManager;
import com.kerio.im.struct.SessionToken;

/**
 *
 * @author oleopold
 */
public class Login implements RpcMethod {

    private static final Logger LOG = Logger.getLogger(Login.class.getName());
    
    private final String username;
    private final String password;

    public Login(String username, String password) {
        this.username = username;
        this.password = password;
    }

    @Override
    public String getMethod() {
        return "Session.login";
    }

    @Override
    public void execute(Request data, Response res, SessionManager sessionManager) {
        LOG.log(Level.FINE, "Called method \"{0}\" with data: {1}", new Object[]{data.getContent().getMethod(), data.getContent().getParams().toString()});
        
        if (username.equals(data.getContent().getParams().get("userName")) && password.equals(data.getContent().getParams().get("password"))) {
            SessionManager.IDs ids = sessionManager.getIDs();
            res.setSessionID(ids.getSessionID());
            res.success(new SessionToken(ids.getToken()));
            return;
        }
       
        res.error(new RpcError(1000, "Invalid username or password"), 403);
        
    }

}
