/*
 *  Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.rpcserver;

/**
 *
 * @author tskoda
 */
public interface RpcMethod {

    interface Request {
        
        RequestEnvelope getContent();

        <T> T getContent(Class<T> clasz);
        
        String getSessionID();
        
        String getToken();
    }

    interface Response {

        void success();

        void success(Object content);
        
        void error(int httpCode);

        void error(RpcError error, int httpCode);
        
        void setSessionID(String sessionID);

    }
    
    String getMethod();

    /**
     * This method must be thread-safe and non-blocking.
     * @param data
     * @param res 
     * @param sessionManager 
     */
    void execute(final Request data, final Response res, SessionManager sessionManager);

}
