/*
 *  Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.rpcserver;

import com.fasterxml.jackson.databind.ObjectMapper;
import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author tskoda
 */
public class RpcRequestImpl implements RpcMethod.Request {

    private final RequestEnvelope content;
    private final HttpServletRequest raw;
    private final ObjectMapper mapper;
    private final String sessionID;
    private final String token;

    public RpcRequestImpl(RequestEnvelope content, HttpServletRequest raw, ObjectMapper mapper, String sessionID, String token) {
        this.content = content;
        this.raw = raw;
        this.mapper = mapper;
        this.sessionID = sessionID;
        this.token = token;
    }

    @Override
    public RequestEnvelope getContent() {
        return content;
    }

    public HttpServletRequest getRaw() {
        return raw;
    }

    /**
     * Return typed content of request.
     * @param <T>
     * @param contentClass
     * @return
     */
    @Override
    public <T> T getContent(Class<T> contentClass) {
        return this.mapper.convertValue(this.content.getParams(), contentClass);
    }

    @Override
    public String getSessionID() {
        return sessionID;
    }

    @Override
    public String getToken() {
        return token;
    }        

}
