/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase;


import com.kerio.im.common.Mapper;
import com.kerio.im.bean.User;
import tigase.xmpp.BareJID;
import tigase.xmpp.JID;

/**
 *
 * @author tskoda
 */
public final class Conversion {

    private static final Mapper<User, BareJID> USER_2_BAREJID = new Mapper<User, BareJID>() {

        @Override
        public BareJID map(User element) {
            return BareJID.bareJIDInstanceNS(element.getLogin(), element.getDomain());
        }
    };
    private static final Mapper<User, JID> USER_2_JID = new Mapper<User, JID>() {

        @Override
        public JID map(User element) {
            return JID.jidInstanceNS(element.getLogin(), element.getDomain(), null);
        }
    };

    public static BareJID toBareJID(User user) {
        return USER_2_BAREJID.map(user);
    }
    
    public static JID toJID(User user) {
        return USER_2_JID.map(user);
    }

    public static Mapper<User, BareJID> userToBareJID() {
        return USER_2_BAREJID;
    }

    public static Mapper<User, JID> userToJID() {
        return USER_2_JID;
    }
}
