/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase;

import com.kerio.im.common.RegisterAs;
import com.kerio.im.core.api.CoreService;
import com.kerio.im.xmpp.api.XmppService;
import com.kerio.im.xmpp.api.XmppServiceFactory;
import java.util.Map;
import java.util.Properties;

/**
 *
 * @author tskoda
 */
@RegisterAs(interfaces=TigaseServerFactory.class)
public class TigaseServerFactory implements XmppServiceFactory {
    
    private TigaseServerImpl tigaseServer = null;

    @Override
    public XmppService get(Map<String, String> properties, CoreService coreService) {
        XmppService result = this.tigaseServer;
        
        if (result == null) {
            this.tigaseServer = new TigaseServerImpl();
            this.tigaseServer.start(properties, coreService);
            result = this.tigaseServer;
        }
        
        return result;
    }
    
}
