/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.auth;

import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.security.auth.callback.CallbackHandler;
import javax.security.sasl.SaslException;
import javax.security.sasl.SaslServer;
import javax.security.sasl.SaslServerFactory;

/**
 *
 * @author tskoda
 */
public class ConnectSaslServerFactory implements SaslServerFactory {
    
    private static final Logger LOG = Logger.getLogger(ConnectSaslServerFactory.class.getName());

    @Override
    public SaslServer createSaslServer(String mechanism, String protocol, String serverName, Map<String, ?> props, CallbackHandler cbh) throws SaslException {
        
        if (mechanism.equals(ConnectSaslPlain.MECHANISM)) {
            return new ConnectSaslPlain(props, cbh);
        } else {
            LOG.log(Level.WARNING, "Attemt to authenticate with unsupported {0} mechanism", mechanism);
            throw new SaslException("Mechanism not supported");
        }
        
    }
    
    @Override
    public String[] getMechanismNames(Map<String, ?> map) {
        
        //TODO - consider settings passed in map (see Sasl.* constants)
        return new String[] {ConnectSaslPlain.MECHANISM};
        
    }
    
}
