/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.tigase.bridge.IM;

import com.kerio.im.external.IMContactID;
import com.kerio.im.external.IMConversation;
import com.kerio.im.external.IMMessage;
import com.kerio.im.external.ImService;
import java.util.logging.Logger;
import com.kerio.im.tigase.bridge.xmpp.IMBridge;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;

/**
 *
 * @author oleopold
 */
public class IMServerConnection {
    private final ImService imClient;
    private static final Logger LOG = Logger.getLogger(IMConnection.class.getName());

    public IMServerConnection(ImService imClient) {
        this.imClient = imClient;
    }

    public void sendMessage(IMContactID sender, String text, Integer conversationID, boolean markAsRead) {
        LOG.log(Level.FINE, IMBridge.LOG_PREFIX + "User {0} is is sending message to conversation {1} in offline mode.", new Object[]{sender, conversationID});
        imClient.sendMessageOnBehalf(new IMMessage(
                null,
                text,
                IMMessage.MessageEvent.active,
                conversationID,
                sender,
                null),
                markAsRead
        );
    }
    
    public IMConversation createConversation(IMContactID userID, IMContactID participant) {
        LOG.log(Level.INFO, IMBridge.LOG_PREFIX + "Creating conversation between user {0} and {1}.", new Object[]{userID, participant});
        List<IMContactID> participants = new ArrayList<>();
        participants.add(participant);
        return imClient.createConversationOnBehalf(userID, participants);
    }
}
