/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.tigase.bridge.xmpp;

import tigase.server.Message;
import tigase.server.Packet;
import tigase.util.TigaseStringprepException;
import tigase.xml.Element;
import tigase.xml.XMLUtils;
import tigase.xmpp.Authorization;
import tigase.xmpp.JID;
import tigase.xmpp.PacketErrorTypeException;
import tigase.xmpp.StanzaType;

/**
 *
 * @author vbystricky
 */
public class PacketFactory {

    public static Packet getMessagePacket(JID sender, JID receiver, String text, String packetId, JID packetFrom, JID packetTo) throws TigaseStringprepException {
        Packet msg = Message.getMessage(sender, receiver, StanzaType.chat, XMLUtils.escape(text), null, null, packetId);
        Element active = new Element("active");
        active.setXMLNS("http://jabber.org/protocol/chatstates");
        msg.getElement().addChild(active);
        msg.setPacketFrom(packetFrom);
        msg.setPacketTo(packetTo);
        return msg;
    }

    public static Packet getErrorPacket(Packet packet) {
        try {
            Packet error
                    = Authorization.ITEM_NOT_FOUND.getResponseMessage(packet,
                            "The user connection is no longer active.", true);

            return error;
        } catch (PacketErrorTypeException e) {
            // already error packet. Dropping it to prevent infinite loop
            return null;
        }
    }
}
