/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.tigase.bridge.xmpp;

/**
 *
 * @author oleopold
 */
public class VariableSleeper {
    private final long[] TIME_LIST = {1000, 5000, 10000, 20000, 40000, 60000};
    private int timeIndex;

    public VariableSleeper() {
        timeIndex = 0;
    }

    public void sleep() throws InterruptedException {
        Thread.sleep(getNextSleepDuration());
        incrementInterval();
    }

    void incrementInterval() {
        if (timeIndex < TIME_LIST.length - 1) {
            ++timeIndex;
        }
    }

    public long getNextSleepDuration() {
        return TIME_LIST[timeIndex];
    }
}
