/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.configuration.task;

import com.kerio.im.common.Task;
import com.kerio.im.common.error.Code;
import tigase.xmpp.ResourceValidator;
import com.kerio.im.tigase.configuration.PluginConfigurator;
import com.kerio.im.xmpp.api.XmppException;
import tigase.db.TigaseDBException;
import tigase.xmpp.impl.BindResource;

/**
 *
 * @author tskoda
 */
public class InitializeBindResource implements Task<ResourceValidator> {

    public static final String UNKNOWN_RESOURCE_PREFIX = "kerio-";
    private final PluginConfigurator configurator;

    public InitializeBindResource(PluginConfigurator configurator) {
        this.configurator = configurator;
    }

    @Override
    public void run(ResourceValidator resourceValidator) {
        try {
            configurator.configure("urn:ietf:params:xml:ns:xmpp-bind", BindResource.DEF_RESOURCE_PREFIX_PROP_KEY, UNKNOWN_RESOURCE_PREFIX);
            configurator.configure("urn:ietf:params:xml:ns:xmpp-bind", ResourceValidator.class.getName(), resourceValidator);
        } catch (TigaseDBException ex) {
            throw new XmppException("VCard configuration failed", ex, Code.INTERNAL_SERVER_ERROR);
        }
    }
}
