/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.tigase.configuration.task;

import com.kerio.im.common.Task;
import com.kerio.im.core.api.service.SecurityService;
import tigase.io.SSLFilter;
import tigase.io.SSLFilterProvider;

/**
 *
 * @author tskoda
 */
public class InitializeCipherFilter implements Task<SecurityService> {

    @Override
    public void run(final SecurityService securityService) {
        SSLFilterProvider.setSSLFilter(new SSLFilter() {

            @Override
            public String[] filterCiphers(String protocol, String[] defaultEnabledCiphers) {
                return securityService.filterCiphers(protocol, defaultEnabledCiphers);
            }

            @Override
            public String[] filterProtocols(String[] defaultEnabledProtocols) {
                return securityService.filterProtocols(defaultEnabledProtocols);
            }
            
        });
    }

}
