/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.configuration.task;

import com.kerio.im.common.Task;
import com.kerio.im.common.error.Code;
import com.kerio.im.tigase.ClientResolver;
import com.kerio.im.tigase.configuration.PluginConfigurator;
import com.kerio.im.tigase.plugin.SASLPlugin;
import com.kerio.im.xmpp.api.XmppException;
import java.util.logging.Level;
import java.util.logging.Logger;
import tigase.db.TigaseDBException;

/**
 *
 * @author tskoda
 */
public class InitializeSASL implements Task<ClientResolver> {
    
    private static final Logger LOG = Logger.getLogger(InitializeSASL.class.getName());

    private final PluginConfigurator configurator;

    public InitializeSASL(PluginConfigurator configurator) {
        this.configurator = configurator;
    }

    @Override
    public void run(ClientResolver connectionInfo) {
       try {
           LOG.log(Level.CONFIG, "Initializing SASL plugin");
           configurator.configure(SASLPlugin.PLUGIN_ID, ClientResolver.class.getName(), connectionInfo);
        } catch (TigaseDBException e) {
            throw new XmppException("Initializing SASL plugin failed", e, Code.INTERNAL_SERVER_ERROR);
        }
    }
}