/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.configuration.task;

import com.kerio.im.common.Task;
import com.kerio.im.common.error.Code;
import com.kerio.im.tigase.ClientResolver;
import com.kerio.im.tigase.configuration.PluginConfigurator;
import com.kerio.im.tigase.plugin.TLSPlugin;
import com.kerio.im.xmpp.api.XmppException;
import java.util.logging.Level;
import java.util.logging.Logger;
import tigase.db.TigaseDBException;

/**
 *
 * @author tskoda
 */
public class InitializeTLS implements Task<PluginConfigurator> {
    
    private static final Logger LOG = Logger.getLogger(InitializeTLS.class.getName());

    private final ClientResolver connectionInfo;

    public InitializeTLS(ClientResolver connectionInfo) {
        this.connectionInfo = connectionInfo;
    }

    @Override
    public void run(PluginConfigurator configurator) {
       try {
           LOG.log(Level.CONFIG, "Initializing TLS plugin");
           configurator.configure(TLSPlugin.PLUGIN_ID, ClientResolver.class.getName(), this.connectionInfo);
        } catch (TigaseDBException e) {
            throw new XmppException("Initializing TLS plugin failed", e, Code.INTERNAL_SERVER_ERROR);
        }
    }
}
