/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.configuration.task;

import com.kerio.im.common.Task;
import com.kerio.im.common.error.Code;
import com.kerio.im.core.api.CoreService;
import com.kerio.im.core.api.service.ServiceBus;
import com.kerio.im.core.api.service.VCardService;
import com.kerio.im.tigase.configuration.PluginConfigurator;
import com.kerio.im.tigase.plugin.VCardPlugin;
import com.kerio.im.xmpp.api.XmppException;
import tigase.db.TigaseDBException;

/**
 *
 * @author tskoda
 */
public class InitializeVCard implements Task<CoreService> {
    
    private final PluginConfigurator configurator;

    public InitializeVCard(PluginConfigurator configurator) {
        this.configurator = configurator;
    }
    
    @Override
    public void run(CoreService coreService) {
        
        try {
            configurator.configure(VCardPlugin.PLUGIN_ID, CoreService.class.getName(), coreService);
        } catch (TigaseDBException ex) {
            throw new XmppException("VCard configuration failed", ex, Code.INTERNAL_SERVER_ERROR);
        }
    }
}
