/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.configuration.task;

import com.kerio.im.common.Task;
import com.kerio.im.common.error.Code;
import com.kerio.im.core.api.CoreService;
import com.kerio.im.core.api.service.ServiceBus;
import com.kerio.im.tigase.configuration.PluginConfigurator;
import com.kerio.im.tigase.plugin.PingPlugin;
import com.kerio.im.tigase.plugin.VCardFilterPlugin;
import com.kerio.im.xmpp.api.XmppException;
import tigase.db.TigaseDBException;

/**
 *
 * @author tskoda
 */
public class InitializeVCardFilter implements Task<PluginConfigurator> {

    private final CoreService coreService;

    public InitializeVCardFilter(CoreService coreService) {
        this.coreService = coreService;
    }

    @Override
    public void run(PluginConfigurator configurator) {
        try {
            configurator.configure(VCardFilterPlugin.PLUGIN_ID, CoreService.class.getName(), this.coreService);
        } catch (TigaseDBException e) {
            throw new XmppException("Faile to configure {0} plugin", e, Code.INTERNAL_SERVER_ERROR, PingPlugin.ID);
        }
    }
}
