/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.derby;

import java.sql.ResultSet;
import java.sql.Statement;
import java.util.logging.Logger;

/**
 *
 * @author tskoda
 */
public class DerbyUtil {
    
    private static final Logger LOG = Logger.getLogger(DerbyUtil.class.getName());
    
    public static void close(ResultSet resultSet) {
        if (resultSet != null) {
            try {
                resultSet.close();
            } catch (Exception e) {
                LOG.warning("Can not close ResultSet");
            }
        }
    }

    public static void close(Statement statement) {
        if (statement != null) {
            try {
                statement.close();
            } catch (Exception e) {
                LOG.warning("Can not close Statement");
            }
        }
    }
    
    private DerbyUtil() {
        
    }
            
    
}
