/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase;

import com.kerio.im.common.Mapper;
import com.kerio.im.bean.User;
import static org.junit.Assert.*;
import org.junit.Test;
import tigase.xmpp.BareJID;
import tigase.xmpp.JID;

/**
 *
 * @author tskoda
 */
public class ConversionTest {

    /**
     * Test of userToBareJID method, of class SyncUtilFactory.
     */
    @Test
    public void testUserToBareJID() throws Exception {

        Mapper<User, BareJID> result = Conversion.userToBareJID();
        assertNotNull(result);

        BareJID convertedUser = result.map(new User("login", "domain", "Firstname Secondname", true, true, true));
        assertEquals(BareJID.bareJIDInstanceNS("login", "domain"), convertedUser);
    }

    /**
     * Test of userToJID method, of class SyncUtilFactory.
     */
    @Test
    public void testUserToJID() {
        Mapper<User, JID> result = Conversion.userToJID();
        assertNotNull(result);

        JID convertedUser = result.map(new User("login", "domain", "Firstname Secondname", true, true, true));
        assertEquals(JID.jidInstanceNS("login", "domain", null), convertedUser);
    }
}
