/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.auth;

import com.kerio.im.tigase.auth.ConnectSaslServerFactory;
import com.kerio.im.tigase.auth.ConnectSaslPlain;
import javax.security.sasl.SaslException;
import javax.security.sasl.SaslServer;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author tskoda
 */
public class ConnectSaslServerFactoryTest {
    
    public ConnectSaslServerFactoryTest() {
    }

    @Test(expected=SaslException.class)
    public void testCreateSaslServerUnknownMechanism() throws Exception {
        ConnectSaslServerFactory factory = new ConnectSaslServerFactory();
        factory.createSaslServer("someUnknownMechanism", null, null, null, null);
        fail();
    }
    
    @Test
    public void testCreateSaslServerPlain() throws SaslException {
        ConnectSaslServerFactory factory = new ConnectSaslServerFactory();
        SaslServer createSaslServer = factory.createSaslServer(ConnectSaslPlain.MECHANISM, null, null, null, null);
        assertTrue(createSaslServer instanceof ConnectSaslPlain);
        
    }

    @Test
    public void testGetMechanismNames() {
        ConnectSaslServerFactory factory = new ConnectSaslServerFactory();
        String[] mechanismNames = factory.getMechanismNames(null);
        
        assertTrue(mechanismNames.length == 1);
        assertTrue(mechanismNames[0].equals(ConnectSaslPlain.MECHANISM));
    }
}
