/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.derby;

import java.sql.Connection;
import java.sql.SQLException;
import org.apache.derby.jdbc.EmbeddedDataSource40;

/**
 *
 * @author tskoda
 */
public class DerbyUtilMemory {
    
    public static EmbeddedDataSource40 createDS(String database) throws SQLException {
        EmbeddedDataSource40 ds = new EmbeddedDataSource40();
        ds.setDatabaseName("memory:" + database);
        return ds;
    }

    public static Connection create(String database) throws SQLException {
        EmbeddedDataSource40 ds = createDS(database);
        ds.setCreateDatabase("create");
        return ds.getConnection();
    }

    public static void shutdown(String database) {
        EmbeddedDataSource40 ds = new EmbeddedDataSource40();
        ds.setDatabaseName("memory:" + database);
        ds.setConnectionAttributes("drop=true");
        DerbyUtilCommon.shutdown(ds);
    }
    
}
