/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.xmpp.api;

import com.kerio.im.bean.Certificate;
import java.util.Map;
import java.util.Set;

/**
 *
 * @author tskoda
 */
public interface XmppDomains {

    void activate(String domain);

    void remove(String domain);
    
    void backup(String backupPath);

    /**
     * Returns all domains. All domains are not necessarily active. There could
     * be also latent domains which existed in last xmpp server run, but has
     * not been activated yet.
     * @return 
     */
    Set<String> all();

    /**
     * Add / update all pairs subject / certificate holding by serverCertificates. 
     * To remove certificate just provide alias with empty certificate.
     * 
     * @param certificates map of alias/certificate pairs 
     */
    void update(Map<String, Certificate> certificates);
    
}
