/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.service.task;

import com.kerio.im.common.Lookup;
import com.kerio.im.common.Task;
import com.kerio.im.core.api.RegisterService;
import com.kerio.im.core.api.service.ServiceBus;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author tskoda
 */
public class CallSubscribers implements Task<ServiceBus> {
    
    private static final Logger LOG = Logger.getLogger(CallSubscribers.class.getName());

    @Override
    public void run(ServiceBus bus) {
        LOG.log(Level.FINE, "Calling all static service bus registrators");
        List<RegisterService> staticRegistrators = Lookup.all(RegisterService.class);
        for (RegisterService service: staticRegistrators) {
            service.register(bus);
        }
    }
    
    
    
}
