/*
 * Copyright 2010 Kerio Technologies s.r.o. All rights reserved
 */
package tigase.db;

import java.util.logging.Level;
import java.util.logging.Logger;
import tigase.server.Packet;

/**
 *
 * @author tskoda
 */
public class DataTooBigException extends Exception {

    private static final long serialVersionUID = 1L;
    
    private final long serializedSize;
    private final long maximumLimit;

    public DataTooBigException(long serializedSize, long maximumLimit) {
        this.serializedSize = serializedSize;
        this.maximumLimit = maximumLimit;
    }

    public long getSerializedSize() {
        return serializedSize;
    }

    public long getMaximumLimit() {
        return maximumLimit;
    }
    
}
